# google_my_business_api

GoogleMyBusinessApi - JavaScript client for google_my_business_api
The Google My Business API provides an interface for managing business location information on Google.
This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.JavascriptClientCodegen
For more information, please visit [https://google.com](https://google.com)

## Installation

### For [Node.js](https://nodejs.org/)

#### npm

To publish the library as a [npm](https://www.npmjs.com/),
please follow the procedure in ["Publishing npm packages"](https://docs.npmjs.com/getting-started/publishing-npm-packages).

Then install it via:

```shell
npm install google_my_business_api --save
```

##### Local development

To use the library locally without publishing to a remote npm registry, first install the dependencies by changing 
into the directory containing `package.json` (and this README). Let's call this `JAVASCRIPT_CLIENT_DIR`. Then run:

```shell
npm install
```

Next, [link](https://docs.npmjs.com/cli/link) it globally in npm with the following, also from `JAVASCRIPT_CLIENT_DIR`:

```shell
npm link
```

Finally, switch to the directory you want to use your google_my_business_api from, and run:

```shell
npm link /path/to/<JAVASCRIPT_CLIENT_DIR>
```

You should now be able to `require('google_my_business_api')` in javascript files from the directory you ran the last 
command above from.

#### git
#
If the library is hosted at a git repository, e.g.
https://github.com/YOUR_USERNAME/google_my_business_api
then install it via:

```shell
    npm install YOUR_USERNAME/google_my_business_api --save
```

### For browser

The library also works in the browser environment via npm and [browserify](http://browserify.org/). After following
the above steps with Node.js and installing browserify with `npm install -g browserify`,
perform the following (assuming *main.js* is your entry file, that's to say your javascript file where you actually 
use this library):

```shell
browserify main.js > bundle.js
```

Then include *bundle.js* in the HTML pages.

### Webpack Configuration

Using Webpack you may encounter the following error: "Module not found: Error:
Cannot resolve module", most certainly you should disable AMD loader. Add/merge
the following section to your webpack config:

```javascript
module: {
  rules: [
    {
      parser: {
        amd: false
      }
    }
  ]
}
```

## Getting Started

Please follow the [installation](#installation) instruction and execute the following JS code:

```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var api = new GoogleMyBusinessApi.AccountsApi()

var opts = { 
  'accessToken': "accessToken_example", // {String} OAuth access token.
  'alt': "json", // {String} Data format for response.
  'callback': "callback_example", // {String} JSONP
  'fields': "fields_example", // {String} Selector specifying which fields to include in a partial response.
  'key': "key_example", // {String} API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // {String} OAuth 2.0 token for the current user.
  'prettyPrint': true, // {Boolean} Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // {String} Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // {String} Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // {String} Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.Account(), // {Account} 
  'primaryOwner': "primaryOwner_example" // {String} The resource name of the account which will be the primary owner of the account being created. It should be of the form `accounts/{account_id}/`.
};
api.mybusinessAccountsCreate(opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});


```

## Documentation for API Endpoints

All URIs are relative to *https://mybusiness.googleapis.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsCreate**](docs/AccountsApi.md#mybusinessAccountsCreate) | **POST** /v4/accounts | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsGenerateAccountNumber**](docs/AccountsApi.md#mybusinessAccountsGenerateAccountNumber) | **POST** /v4/accounts/{name}:generateAccountNumber | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsInvitationsAccept**](docs/AccountsApi.md#mybusinessAccountsInvitationsAccept) | **POST** /v4/accounts/{name}:accept | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsInvitationsDecline**](docs/AccountsApi.md#mybusinessAccountsInvitationsDecline) | **POST** /v4/accounts/{name}:decline | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsInvitationsList**](docs/AccountsApi.md#mybusinessAccountsInvitationsList) | **GET** /v4/accounts/{parent}/invitations | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsList**](docs/AccountsApi.md#mybusinessAccountsList) | **GET** /v4/accounts | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsListRecommendGoogleLocations**](docs/AccountsApi.md#mybusinessAccountsListRecommendGoogleLocations) | **GET** /v4/accounts/{name}:recommendGoogleLocations | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsAdminsCreate**](docs/AccountsApi.md#mybusinessAccountsLocationsAdminsCreate) | **POST** /v4/accounts/{parent}/admins | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsAdminsList**](docs/AccountsApi.md#mybusinessAccountsLocationsAdminsList) | **GET** /v4/accounts/{parent}/admins | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsAssociate**](docs/AccountsApi.md#mybusinessAccountsLocationsAssociate) | **POST** /v4/accounts/{name}:associate | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsBatchGet**](docs/AccountsApi.md#mybusinessAccountsLocationsBatchGet) | **POST** /v4/accounts/{name}/locations:batchGet | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsBatchGetReviews**](docs/AccountsApi.md#mybusinessAccountsLocationsBatchGetReviews) | **POST** /v4/accounts/{name}/locations:batchGetReviews | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsClearAssociation**](docs/AccountsApi.md#mybusinessAccountsLocationsClearAssociation) | **POST** /v4/accounts/{name}:clearAssociation | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsCreate**](docs/AccountsApi.md#mybusinessAccountsLocationsCreate) | **POST** /v4/accounts/{parent}/locations | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsFetchVerificationOptions**](docs/AccountsApi.md#mybusinessAccountsLocationsFetchVerificationOptions) | **POST** /v4/accounts/{name}:fetchVerificationOptions | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsFindMatches**](docs/AccountsApi.md#mybusinessAccountsLocationsFindMatches) | **POST** /v4/accounts/{name}:findMatches | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsGetGoogleUpdated**](docs/AccountsApi.md#mybusinessAccountsLocationsGetGoogleUpdated) | **GET** /v4/accounts/{name}:googleUpdated | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsList**](docs/AccountsApi.md#mybusinessAccountsLocationsList) | **GET** /v4/accounts/{parent}/locations | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsLocalPostsCreate**](docs/AccountsApi.md#mybusinessAccountsLocationsLocalPostsCreate) | **POST** /v4/accounts/{parent}/localPosts | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsLocalPostsList**](docs/AccountsApi.md#mybusinessAccountsLocationsLocalPostsList) | **GET** /v4/accounts/{parent}/localPosts | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsLocalPostsReportInsights**](docs/AccountsApi.md#mybusinessAccountsLocationsLocalPostsReportInsights) | **POST** /v4/accounts/{name}/localPosts:reportInsights | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsMediaCreate**](docs/AccountsApi.md#mybusinessAccountsLocationsMediaCreate) | **POST** /v4/accounts/{parent}/media | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsMediaCustomersList**](docs/AccountsApi.md#mybusinessAccountsLocationsMediaCustomersList) | **GET** /v4/accounts/{parent}/media/customers | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsMediaList**](docs/AccountsApi.md#mybusinessAccountsLocationsMediaList) | **GET** /v4/accounts/{parent}/media | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsMediaStartUpload**](docs/AccountsApi.md#mybusinessAccountsLocationsMediaStartUpload) | **POST** /v4/accounts/{parent}/media:startUpload | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsQuestionsAnswersDelete**](docs/AccountsApi.md#mybusinessAccountsLocationsQuestionsAnswersDelete) | **DELETE** /v4/accounts/{parent}/answers:delete | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsQuestionsAnswersList**](docs/AccountsApi.md#mybusinessAccountsLocationsQuestionsAnswersList) | **GET** /v4/accounts/{parent}/answers | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsQuestionsAnswersUpsert**](docs/AccountsApi.md#mybusinessAccountsLocationsQuestionsAnswersUpsert) | **POST** /v4/accounts/{parent}/answers:upsert | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsQuestionsCreate**](docs/AccountsApi.md#mybusinessAccountsLocationsQuestionsCreate) | **POST** /v4/accounts/{parent}/questions | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsQuestionsDelete**](docs/AccountsApi.md#mybusinessAccountsLocationsQuestionsDelete) | **DELETE** /v4/accounts/{name} | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsQuestionsList**](docs/AccountsApi.md#mybusinessAccountsLocationsQuestionsList) | **GET** /v4/accounts/{parent}/questions | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsQuestionsPatch**](docs/AccountsApi.md#mybusinessAccountsLocationsQuestionsPatch) | **PATCH** /v4/accounts/{name} | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsReportInsights**](docs/AccountsApi.md#mybusinessAccountsLocationsReportInsights) | **POST** /v4/accounts/{name}/locations:reportInsights | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsReviewsDeleteReply**](docs/AccountsApi.md#mybusinessAccountsLocationsReviewsDeleteReply) | **DELETE** /v4/accounts/{name}/reply | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsReviewsList**](docs/AccountsApi.md#mybusinessAccountsLocationsReviewsList) | **GET** /v4/accounts/{parent}/reviews | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsReviewsUpdateReply**](docs/AccountsApi.md#mybusinessAccountsLocationsReviewsUpdateReply) | **PUT** /v4/accounts/{name}/reply | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsTransfer**](docs/AccountsApi.md#mybusinessAccountsLocationsTransfer) | **POST** /v4/accounts/{name}:transfer | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsVerificationsComplete**](docs/AccountsApi.md#mybusinessAccountsLocationsVerificationsComplete) | **POST** /v4/accounts/{name}:complete | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsVerificationsList**](docs/AccountsApi.md#mybusinessAccountsLocationsVerificationsList) | **GET** /v4/accounts/{parent}/verifications | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsLocationsVerify**](docs/AccountsApi.md#mybusinessAccountsLocationsVerify) | **POST** /v4/accounts/{name}:verify | 
*GoogleMyBusinessApi.AccountsApi* | [**mybusinessAccountsUpdateNotifications**](docs/AccountsApi.md#mybusinessAccountsUpdateNotifications) | **PUT** /v4/accounts/{name} | 
*GoogleMyBusinessApi.AttributesApi* | [**mybusinessAttributesList**](docs/AttributesApi.md#mybusinessAttributesList) | **GET** /v4/attributes | 
*GoogleMyBusinessApi.CategoriesApi* | [**mybusinessCategoriesBatchGet**](docs/CategoriesApi.md#mybusinessCategoriesBatchGet) | **GET** /v4/categories:batchGet | 
*GoogleMyBusinessApi.CategoriesApi* | [**mybusinessCategoriesList**](docs/CategoriesApi.md#mybusinessCategoriesList) | **GET** /v4/categories | 
*GoogleMyBusinessApi.ChainsApi* | [**mybusinessChainsGet**](docs/ChainsApi.md#mybusinessChainsGet) | **GET** /v4/accounts/{name} | 
*GoogleMyBusinessApi.ChainsApi* | [**mybusinessChainsSearch**](docs/ChainsApi.md#mybusinessChainsSearch) | **GET** /v4/chains:search | 
*GoogleMyBusinessApi.GoogleLocationsApi* | [**mybusinessGoogleLocationsReport**](docs/GoogleLocationsApi.md#mybusinessGoogleLocationsReport) | **POST** /v4/accounts/{name}:report | 
*GoogleMyBusinessApi.GoogleLocationsApi* | [**mybusinessGoogleLocationsSearch**](docs/GoogleLocationsApi.md#mybusinessGoogleLocationsSearch) | **POST** /v4/googleLocations:search | 


## Documentation for Models

 - [GoogleMyBusinessApi.AcceptInvitationRequest](docs/AcceptInvitationRequest.md)
 - [GoogleMyBusinessApi.Account](docs/Account.md)
 - [GoogleMyBusinessApi.AccountState](docs/AccountState.md)
 - [GoogleMyBusinessApi.AdWordsLocationExtensions](docs/AdWordsLocationExtensions.md)
 - [GoogleMyBusinessApi.AddressInput](docs/AddressInput.md)
 - [GoogleMyBusinessApi.AddressVerificationData](docs/AddressVerificationData.md)
 - [GoogleMyBusinessApi.Admin](docs/Admin.md)
 - [GoogleMyBusinessApi.Answer](docs/Answer.md)
 - [GoogleMyBusinessApi.AssociateLocationRequest](docs/AssociateLocationRequest.md)
 - [GoogleMyBusinessApi.Attribute](docs/Attribute.md)
 - [GoogleMyBusinessApi.AttributeMetadata](docs/AttributeMetadata.md)
 - [GoogleMyBusinessApi.AttributeValueMetadata](docs/AttributeValueMetadata.md)
 - [GoogleMyBusinessApi.Attribution](docs/Attribution.md)
 - [GoogleMyBusinessApi.Author](docs/Author.md)
 - [GoogleMyBusinessApi.BasicMetricsRequest](docs/BasicMetricsRequest.md)
 - [GoogleMyBusinessApi.BatchGetBusinessCategoriesResponse](docs/BatchGetBusinessCategoriesResponse.md)
 - [GoogleMyBusinessApi.BatchGetLocationsRequest](docs/BatchGetLocationsRequest.md)
 - [GoogleMyBusinessApi.BatchGetLocationsResponse](docs/BatchGetLocationsResponse.md)
 - [GoogleMyBusinessApi.BatchGetReviewsRequest](docs/BatchGetReviewsRequest.md)
 - [GoogleMyBusinessApi.BatchGetReviewsResponse](docs/BatchGetReviewsResponse.md)
 - [GoogleMyBusinessApi.BusinessHours](docs/BusinessHours.md)
 - [GoogleMyBusinessApi.CallToAction](docs/CallToAction.md)
 - [GoogleMyBusinessApi.CaloriesFact](docs/CaloriesFact.md)
 - [GoogleMyBusinessApi.Category](docs/Category.md)
 - [GoogleMyBusinessApi.Chain](docs/Chain.md)
 - [GoogleMyBusinessApi.ChainName](docs/ChainName.md)
 - [GoogleMyBusinessApi.ChainUrl](docs/ChainUrl.md)
 - [GoogleMyBusinessApi.ClearLocationAssociationRequest](docs/ClearLocationAssociationRequest.md)
 - [GoogleMyBusinessApi.CompleteVerificationRequest](docs/CompleteVerificationRequest.md)
 - [GoogleMyBusinessApi.CompleteVerificationResponse](docs/CompleteVerificationResponse.md)
 - [GoogleMyBusinessApi.DeclineInvitationRequest](docs/DeclineInvitationRequest.md)
 - [GoogleMyBusinessApi.DimensionalMetricValue](docs/DimensionalMetricValue.md)
 - [GoogleMyBusinessApi.Dimensions](docs/Dimensions.md)
 - [GoogleMyBusinessApi.DrivingDirectionMetricsRequest](docs/DrivingDirectionMetricsRequest.md)
 - [GoogleMyBusinessApi.Duplicate](docs/Duplicate.md)
 - [GoogleMyBusinessApi.EmailInput](docs/EmailInput.md)
 - [GoogleMyBusinessApi.EmailVerificationData](docs/EmailVerificationData.md)
 - [GoogleMyBusinessApi.Empty](docs/Empty.md)
 - [GoogleMyBusinessApi.FetchVerificationOptionsRequest](docs/FetchVerificationOptionsRequest.md)
 - [GoogleMyBusinessApi.FetchVerificationOptionsResponse](docs/FetchVerificationOptionsResponse.md)
 - [GoogleMyBusinessApi.FindMatchingLocationsRequest](docs/FindMatchingLocationsRequest.md)
 - [GoogleMyBusinessApi.FindMatchingLocationsResponse](docs/FindMatchingLocationsResponse.md)
 - [GoogleMyBusinessApi.FollowersMetadata](docs/FollowersMetadata.md)
 - [GoogleMyBusinessApi.FoodMenu](docs/FoodMenu.md)
 - [GoogleMyBusinessApi.FoodMenuItem](docs/FoodMenuItem.md)
 - [GoogleMyBusinessApi.FoodMenuItemAttributes](docs/FoodMenuItemAttributes.md)
 - [GoogleMyBusinessApi.FoodMenuItemOption](docs/FoodMenuItemOption.md)
 - [GoogleMyBusinessApi.FoodMenuSection](docs/FoodMenuSection.md)
 - [GoogleMyBusinessApi.FoodMenus](docs/FoodMenus.md)
 - [GoogleMyBusinessApi.FreeFormServiceItem](docs/FreeFormServiceItem.md)
 - [GoogleMyBusinessApi.GenerateAccountNumberRequest](docs/GenerateAccountNumberRequest.md)
 - [GoogleMyBusinessApi.GoogleLocation](docs/GoogleLocation.md)
 - [GoogleMyBusinessApi.GoogleUpdatedLocation](docs/GoogleUpdatedLocation.md)
 - [GoogleMyBusinessApi.Ingredient](docs/Ingredient.md)
 - [GoogleMyBusinessApi.Invitation](docs/Invitation.md)
 - [GoogleMyBusinessApi.Item](docs/Item.md)
 - [GoogleMyBusinessApi.Label](docs/Label.md)
 - [GoogleMyBusinessApi.LatLng](docs/LatLng.md)
 - [GoogleMyBusinessApi.ListAccountAdminsResponse](docs/ListAccountAdminsResponse.md)
 - [GoogleMyBusinessApi.ListAccountsResponse](docs/ListAccountsResponse.md)
 - [GoogleMyBusinessApi.ListAnswersResponse](docs/ListAnswersResponse.md)
 - [GoogleMyBusinessApi.ListAttributeMetadataResponse](docs/ListAttributeMetadataResponse.md)
 - [GoogleMyBusinessApi.ListBusinessCategoriesResponse](docs/ListBusinessCategoriesResponse.md)
 - [GoogleMyBusinessApi.ListCustomerMediaItemsResponse](docs/ListCustomerMediaItemsResponse.md)
 - [GoogleMyBusinessApi.ListInvitationsResponse](docs/ListInvitationsResponse.md)
 - [GoogleMyBusinessApi.ListLocalPostsResponse](docs/ListLocalPostsResponse.md)
 - [GoogleMyBusinessApi.ListLocationAdminsResponse](docs/ListLocationAdminsResponse.md)
 - [GoogleMyBusinessApi.ListLocationsResponse](docs/ListLocationsResponse.md)
 - [GoogleMyBusinessApi.ListMediaItemsResponse](docs/ListMediaItemsResponse.md)
 - [GoogleMyBusinessApi.ListQuestionsResponse](docs/ListQuestionsResponse.md)
 - [GoogleMyBusinessApi.ListRecommendedGoogleLocationsResponse](docs/ListRecommendedGoogleLocationsResponse.md)
 - [GoogleMyBusinessApi.ListReviewsResponse](docs/ListReviewsResponse.md)
 - [GoogleMyBusinessApi.ListVerificationsResponse](docs/ListVerificationsResponse.md)
 - [GoogleMyBusinessApi.LocalPost](docs/LocalPost.md)
 - [GoogleMyBusinessApi.LocalPostEvent](docs/LocalPostEvent.md)
 - [GoogleMyBusinessApi.LocalPostMetrics](docs/LocalPostMetrics.md)
 - [GoogleMyBusinessApi.LocalPostOffer](docs/LocalPostOffer.md)
 - [GoogleMyBusinessApi.Location](docs/Location.md)
 - [GoogleMyBusinessApi.LocationAssociation](docs/LocationAssociation.md)
 - [GoogleMyBusinessApi.LocationDrivingDirectionMetrics](docs/LocationDrivingDirectionMetrics.md)
 - [GoogleMyBusinessApi.LocationKey](docs/LocationKey.md)
 - [GoogleMyBusinessApi.LocationMetrics](docs/LocationMetrics.md)
 - [GoogleMyBusinessApi.LocationReview](docs/LocationReview.md)
 - [GoogleMyBusinessApi.LocationState](docs/LocationState.md)
 - [GoogleMyBusinessApi.MatchedLocation](docs/MatchedLocation.md)
 - [GoogleMyBusinessApi.MediaInsights](docs/MediaInsights.md)
 - [GoogleMyBusinessApi.MediaItem](docs/MediaItem.md)
 - [GoogleMyBusinessApi.MediaItemDataRef](docs/MediaItemDataRef.md)
 - [GoogleMyBusinessApi.MenuLabel](docs/MenuLabel.md)
 - [GoogleMyBusinessApi.Metadata](docs/Metadata.md)
 - [GoogleMyBusinessApi.MetricRequest](docs/MetricRequest.md)
 - [GoogleMyBusinessApi.MetricValue](docs/MetricValue.md)
 - [GoogleMyBusinessApi.ModelDate](docs/ModelDate.md)
 - [GoogleMyBusinessApi.Money](docs/Money.md)
 - [GoogleMyBusinessApi.Notifications](docs/Notifications.md)
 - [GoogleMyBusinessApi.NutritionFact](docs/NutritionFact.md)
 - [GoogleMyBusinessApi.NutritionFacts](docs/NutritionFacts.md)
 - [GoogleMyBusinessApi.OpenInfo](docs/OpenInfo.md)
 - [GoogleMyBusinessApi.OrganizationInfo](docs/OrganizationInfo.md)
 - [GoogleMyBusinessApi.PhoneInput](docs/PhoneInput.md)
 - [GoogleMyBusinessApi.PhoneVerificationData](docs/PhoneVerificationData.md)
 - [GoogleMyBusinessApi.PlaceInfo](docs/PlaceInfo.md)
 - [GoogleMyBusinessApi.Places](docs/Places.md)
 - [GoogleMyBusinessApi.PointRadius](docs/PointRadius.md)
 - [GoogleMyBusinessApi.PortionSize](docs/PortionSize.md)
 - [GoogleMyBusinessApi.PostalAddress](docs/PostalAddress.md)
 - [GoogleMyBusinessApi.PriceList](docs/PriceList.md)
 - [GoogleMyBusinessApi.Profile](docs/Profile.md)
 - [GoogleMyBusinessApi.Question](docs/Question.md)
 - [GoogleMyBusinessApi.RegionCount](docs/RegionCount.md)
 - [GoogleMyBusinessApi.RelationshipData](docs/RelationshipData.md)
 - [GoogleMyBusinessApi.RepeatedEnumAttributeValue](docs/RepeatedEnumAttributeValue.md)
 - [GoogleMyBusinessApi.ReportGoogleLocationRequest](docs/ReportGoogleLocationRequest.md)
 - [GoogleMyBusinessApi.ReportLocalPostInsightsRequest](docs/ReportLocalPostInsightsRequest.md)
 - [GoogleMyBusinessApi.ReportLocalPostInsightsResponse](docs/ReportLocalPostInsightsResponse.md)
 - [GoogleMyBusinessApi.ReportLocationInsightsRequest](docs/ReportLocationInsightsRequest.md)
 - [GoogleMyBusinessApi.ReportLocationInsightsResponse](docs/ReportLocationInsightsResponse.md)
 - [GoogleMyBusinessApi.Review](docs/Review.md)
 - [GoogleMyBusinessApi.ReviewReply](docs/ReviewReply.md)
 - [GoogleMyBusinessApi.Reviewer](docs/Reviewer.md)
 - [GoogleMyBusinessApi.SearchChainsResponse](docs/SearchChainsResponse.md)
 - [GoogleMyBusinessApi.SearchGoogleLocationsRequest](docs/SearchGoogleLocationsRequest.md)
 - [GoogleMyBusinessApi.SearchGoogleLocationsResponse](docs/SearchGoogleLocationsResponse.md)
 - [GoogleMyBusinessApi.Section](docs/Section.md)
 - [GoogleMyBusinessApi.ServiceAreaBusiness](docs/ServiceAreaBusiness.md)
 - [GoogleMyBusinessApi.ServiceBusinessContext](docs/ServiceBusinessContext.md)
 - [GoogleMyBusinessApi.ServiceItem](docs/ServiceItem.md)
 - [GoogleMyBusinessApi.ServiceList](docs/ServiceList.md)
 - [GoogleMyBusinessApi.ServiceType](docs/ServiceType.md)
 - [GoogleMyBusinessApi.SpecialHourPeriod](docs/SpecialHourPeriod.md)
 - [GoogleMyBusinessApi.SpecialHours](docs/SpecialHours.md)
 - [GoogleMyBusinessApi.StartUploadMediaItemDataRequest](docs/StartUploadMediaItemDataRequest.md)
 - [GoogleMyBusinessApi.StructuredServiceItem](docs/StructuredServiceItem.md)
 - [GoogleMyBusinessApi.TargetLocation](docs/TargetLocation.md)
 - [GoogleMyBusinessApi.TimeDimension](docs/TimeDimension.md)
 - [GoogleMyBusinessApi.TimeInterval](docs/TimeInterval.md)
 - [GoogleMyBusinessApi.TimeOfDay](docs/TimeOfDay.md)
 - [GoogleMyBusinessApi.TimePeriod](docs/TimePeriod.md)
 - [GoogleMyBusinessApi.TimeRange](docs/TimeRange.md)
 - [GoogleMyBusinessApi.TopDirectionSources](docs/TopDirectionSources.md)
 - [GoogleMyBusinessApi.TransferLocationRequest](docs/TransferLocationRequest.md)
 - [GoogleMyBusinessApi.UpsertAnswerRequest](docs/UpsertAnswerRequest.md)
 - [GoogleMyBusinessApi.UrlAttributeValue](docs/UrlAttributeValue.md)
 - [GoogleMyBusinessApi.Verification](docs/Verification.md)
 - [GoogleMyBusinessApi.VerificationOption](docs/VerificationOption.md)
 - [GoogleMyBusinessApi.VerifyLocationRequest](docs/VerifyLocationRequest.md)
 - [GoogleMyBusinessApi.VerifyLocationResponse](docs/VerifyLocationResponse.md)


## Documentation for Authorization

 All endpoints do not require authorization.

