# GoogleMyBusinessApi.AccountsApi

All URIs are relative to *https://mybusiness.googleapis.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**mybusinessAccountsCreate**](AccountsApi.md#mybusinessAccountsCreate) | **POST** /v4/accounts | 
[**mybusinessAccountsGenerateAccountNumber**](AccountsApi.md#mybusinessAccountsGenerateAccountNumber) | **POST** /v4/accounts/{name}:generateAccountNumber | 
[**mybusinessAccountsInvitationsAccept**](AccountsApi.md#mybusinessAccountsInvitationsAccept) | **POST** /v4/accounts/{name}:accept | 
[**mybusinessAccountsInvitationsDecline**](AccountsApi.md#mybusinessAccountsInvitationsDecline) | **POST** /v4/accounts/{name}:decline | 
[**mybusinessAccountsInvitationsList**](AccountsApi.md#mybusinessAccountsInvitationsList) | **GET** /v4/accounts/{parent}/invitations | 
[**mybusinessAccountsList**](AccountsApi.md#mybusinessAccountsList) | **GET** /v4/accounts | 
[**mybusinessAccountsListRecommendGoogleLocations**](AccountsApi.md#mybusinessAccountsListRecommendGoogleLocations) | **GET** /v4/accounts/{name}:recommendGoogleLocations | 
[**mybusinessAccountsLocationsAdminsCreate**](AccountsApi.md#mybusinessAccountsLocationsAdminsCreate) | **POST** /v4/accounts/{parent}/admins | 
[**mybusinessAccountsLocationsAdminsList**](AccountsApi.md#mybusinessAccountsLocationsAdminsList) | **GET** /v4/accounts/{parent}/admins | 
[**mybusinessAccountsLocationsAssociate**](AccountsApi.md#mybusinessAccountsLocationsAssociate) | **POST** /v4/accounts/{name}:associate | 
[**mybusinessAccountsLocationsBatchGet**](AccountsApi.md#mybusinessAccountsLocationsBatchGet) | **POST** /v4/accounts/{name}/locations:batchGet | 
[**mybusinessAccountsLocationsBatchGetReviews**](AccountsApi.md#mybusinessAccountsLocationsBatchGetReviews) | **POST** /v4/accounts/{name}/locations:batchGetReviews | 
[**mybusinessAccountsLocationsClearAssociation**](AccountsApi.md#mybusinessAccountsLocationsClearAssociation) | **POST** /v4/accounts/{name}:clearAssociation | 
[**mybusinessAccountsLocationsCreate**](AccountsApi.md#mybusinessAccountsLocationsCreate) | **POST** /v4/accounts/{parent}/locations | 
[**mybusinessAccountsLocationsFetchVerificationOptions**](AccountsApi.md#mybusinessAccountsLocationsFetchVerificationOptions) | **POST** /v4/accounts/{name}:fetchVerificationOptions | 
[**mybusinessAccountsLocationsFindMatches**](AccountsApi.md#mybusinessAccountsLocationsFindMatches) | **POST** /v4/accounts/{name}:findMatches | 
[**mybusinessAccountsLocationsGetGoogleUpdated**](AccountsApi.md#mybusinessAccountsLocationsGetGoogleUpdated) | **GET** /v4/accounts/{name}:googleUpdated | 
[**mybusinessAccountsLocationsList**](AccountsApi.md#mybusinessAccountsLocationsList) | **GET** /v4/accounts/{parent}/locations | 
[**mybusinessAccountsLocationsLocalPostsCreate**](AccountsApi.md#mybusinessAccountsLocationsLocalPostsCreate) | **POST** /v4/accounts/{parent}/localPosts | 
[**mybusinessAccountsLocationsLocalPostsList**](AccountsApi.md#mybusinessAccountsLocationsLocalPostsList) | **GET** /v4/accounts/{parent}/localPosts | 
[**mybusinessAccountsLocationsLocalPostsReportInsights**](AccountsApi.md#mybusinessAccountsLocationsLocalPostsReportInsights) | **POST** /v4/accounts/{name}/localPosts:reportInsights | 
[**mybusinessAccountsLocationsMediaCreate**](AccountsApi.md#mybusinessAccountsLocationsMediaCreate) | **POST** /v4/accounts/{parent}/media | 
[**mybusinessAccountsLocationsMediaCustomersList**](AccountsApi.md#mybusinessAccountsLocationsMediaCustomersList) | **GET** /v4/accounts/{parent}/media/customers | 
[**mybusinessAccountsLocationsMediaList**](AccountsApi.md#mybusinessAccountsLocationsMediaList) | **GET** /v4/accounts/{parent}/media | 
[**mybusinessAccountsLocationsMediaStartUpload**](AccountsApi.md#mybusinessAccountsLocationsMediaStartUpload) | **POST** /v4/accounts/{parent}/media:startUpload | 
[**mybusinessAccountsLocationsQuestionsAnswersDelete**](AccountsApi.md#mybusinessAccountsLocationsQuestionsAnswersDelete) | **DELETE** /v4/accounts/{parent}/answers:delete | 
[**mybusinessAccountsLocationsQuestionsAnswersList**](AccountsApi.md#mybusinessAccountsLocationsQuestionsAnswersList) | **GET** /v4/accounts/{parent}/answers | 
[**mybusinessAccountsLocationsQuestionsAnswersUpsert**](AccountsApi.md#mybusinessAccountsLocationsQuestionsAnswersUpsert) | **POST** /v4/accounts/{parent}/answers:upsert | 
[**mybusinessAccountsLocationsQuestionsCreate**](AccountsApi.md#mybusinessAccountsLocationsQuestionsCreate) | **POST** /v4/accounts/{parent}/questions | 
[**mybusinessAccountsLocationsQuestionsDelete**](AccountsApi.md#mybusinessAccountsLocationsQuestionsDelete) | **DELETE** /v4/accounts/{name} | 
[**mybusinessAccountsLocationsQuestionsList**](AccountsApi.md#mybusinessAccountsLocationsQuestionsList) | **GET** /v4/accounts/{parent}/questions | 
[**mybusinessAccountsLocationsQuestionsPatch**](AccountsApi.md#mybusinessAccountsLocationsQuestionsPatch) | **PATCH** /v4/accounts/{name} | 
[**mybusinessAccountsLocationsReportInsights**](AccountsApi.md#mybusinessAccountsLocationsReportInsights) | **POST** /v4/accounts/{name}/locations:reportInsights | 
[**mybusinessAccountsLocationsReviewsDeleteReply**](AccountsApi.md#mybusinessAccountsLocationsReviewsDeleteReply) | **DELETE** /v4/accounts/{name}/reply | 
[**mybusinessAccountsLocationsReviewsList**](AccountsApi.md#mybusinessAccountsLocationsReviewsList) | **GET** /v4/accounts/{parent}/reviews | 
[**mybusinessAccountsLocationsReviewsUpdateReply**](AccountsApi.md#mybusinessAccountsLocationsReviewsUpdateReply) | **PUT** /v4/accounts/{name}/reply | 
[**mybusinessAccountsLocationsTransfer**](AccountsApi.md#mybusinessAccountsLocationsTransfer) | **POST** /v4/accounts/{name}:transfer | 
[**mybusinessAccountsLocationsVerificationsComplete**](AccountsApi.md#mybusinessAccountsLocationsVerificationsComplete) | **POST** /v4/accounts/{name}:complete | 
[**mybusinessAccountsLocationsVerificationsList**](AccountsApi.md#mybusinessAccountsLocationsVerificationsList) | **GET** /v4/accounts/{parent}/verifications | 
[**mybusinessAccountsLocationsVerify**](AccountsApi.md#mybusinessAccountsLocationsVerify) | **POST** /v4/accounts/{name}:verify | 
[**mybusinessAccountsUpdateNotifications**](AccountsApi.md#mybusinessAccountsUpdateNotifications) | **PUT** /v4/accounts/{name} | 


<a name="mybusinessAccountsCreate"></a>
# **mybusinessAccountsCreate**
> Account mybusinessAccountsCreate(opts)



Creates an account with the specified name and type under the given parent. - Personal accounts and Organizations cannot be created. - User Groups cannot be created with a Personal account as primary owner. - Location Groups cannot be created with a primary owner of a Personal account if the Personal account is in an Organization. - Location Groups cannot own Location Groups. 

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.Account(), // Account | 
  'primaryOwner': "primaryOwner_example" // String | The resource name of the account which will be the primary owner of the account being created. It should be of the form `accounts/{account_id}/`.
};
apiInstance.mybusinessAccountsCreate(opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**Account**](Account.md)|  | [optional] 
 **primaryOwner** | **String**| The resource name of the account which will be the primary owner of the account being created. It should be of the form `accounts/{account_id}/`. | [optional] 

### Return type

[**Account**](Account.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsGenerateAccountNumber"></a>
# **mybusinessAccountsGenerateAccountNumber**
> Account mybusinessAccountsGenerateAccountNumber(name, opts)



Generates an account number for this account. The account number is not provisioned when an account is created. Use this request to create an account number when it is required.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The name of the account to generate an account number for.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.GenerateAccountNumberRequest() // GenerateAccountNumberRequest | 
};
apiInstance.mybusinessAccountsGenerateAccountNumber(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The name of the account to generate an account number for. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**GenerateAccountNumberRequest**](GenerateAccountNumberRequest.md)|  | [optional] 

### Return type

[**Account**](Account.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsInvitationsAccept"></a>
# **mybusinessAccountsInvitationsAccept**
> Empty mybusinessAccountsInvitationsAccept(name, opts)



Accepts the specified invitation.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The name of the invitation that is being accepted.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.AcceptInvitationRequest() // AcceptInvitationRequest | 
};
apiInstance.mybusinessAccountsInvitationsAccept(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The name of the invitation that is being accepted. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**AcceptInvitationRequest**](AcceptInvitationRequest.md)|  | [optional] 

### Return type

[**Empty**](Empty.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsInvitationsDecline"></a>
# **mybusinessAccountsInvitationsDecline**
> Empty mybusinessAccountsInvitationsDecline(name, opts)



Declines the specified invitation.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The name of the account invitation that is being declined.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.DeclineInvitationRequest() // DeclineInvitationRequest | 
};
apiInstance.mybusinessAccountsInvitationsDecline(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The name of the account invitation that is being declined. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**DeclineInvitationRequest**](DeclineInvitationRequest.md)|  | [optional] 

### Return type

[**Empty**](Empty.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsInvitationsList"></a>
# **mybusinessAccountsInvitationsList**
> ListInvitationsResponse mybusinessAccountsInvitationsList(parent, opts)



Lists pending invitations for the specified account.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the account from which the list of invitations is being retrieved.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'targetType': "targetType_example" // String | Specifies which target types should appear in the response.
};
apiInstance.mybusinessAccountsInvitationsList(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the account from which the list of invitations is being retrieved. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **targetType** | **String**| Specifies which target types should appear in the response. | [optional] 

### Return type

[**ListInvitationsResponse**](ListInvitationsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsList"></a>
# **mybusinessAccountsList**
> ListAccountsResponse mybusinessAccountsList(opts)



Lists all of the accounts for the authenticated user. This includes all accounts that the user owns, as well as any accounts for which the user has management rights.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'filter': "filter_example", // String | A filter constraining the accounts to return. The response includes only entries that match the filter. If `filter` is empty, then no constraints are applied and all accounts (paginated) are retrieved for the requested account. For example, a request with the filter `type=USER_GROUP` will only return user groups.
  'name': "name_example", // String | The resource name of the account for which the list of directly accessible accounts is to be retrieved. This only makes sense for Organizations and User Groups. If empty, will return `ListAccounts` for the authenticated user.
  'pageSize': 56, // Number | How many accounts to fetch per page. Default is 20, minimum is 2, and maximum page size is 20.
  'pageToken': "pageToken_example" // String | If specified, the next page of accounts is retrieved. The `pageToken` is returned when a call to `accounts.list` returns more results than can fit into the requested page size.
};
apiInstance.mybusinessAccountsList(opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **filter** | **String**| A filter constraining the accounts to return. The response includes only entries that match the filter. If `filter` is empty, then no constraints are applied and all accounts (paginated) are retrieved for the requested account. For example, a request with the filter `type=USER_GROUP` will only return user groups. | [optional] 
 **name** | **String**| The resource name of the account for which the list of directly accessible accounts is to be retrieved. This only makes sense for Organizations and User Groups. If empty, will return `ListAccounts` for the authenticated user. | [optional] 
 **pageSize** | **Number**| How many accounts to fetch per page. Default is 20, minimum is 2, and maximum page size is 20. | [optional] 
 **pageToken** | **String**| If specified, the next page of accounts is retrieved. The `pageToken` is returned when a call to `accounts.list` returns more results than can fit into the requested page size. | [optional] 

### Return type

[**ListAccountsResponse**](ListAccountsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsListRecommendGoogleLocations"></a>
# **mybusinessAccountsListRecommendGoogleLocations**
> ListRecommendedGoogleLocationsResponse mybusinessAccountsListRecommendGoogleLocations(name, opts)



List all the GoogleLocations that have been recommended to the specified GMB account. Recommendations are provided for personal accounts and location groups only, requests for all other account types will result in an error. The recommendations for location groups are based on the locations in that group. The recommendations for personal accounts are based on all of the locations that the user has access to on Google My Business (which includes locations they can access through location groups), and is a superset of all recommendations generated for the user.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | Name of the account resource to fetch recommended Google locations for.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'pageSize': 56, // Number | How many locations to fetch per page. Default is 25, minimum is 1, and maximum page size is 100.
  'pageToken': "pageToken_example" // String | If specified, the next page of locations is retrieved.
};
apiInstance.mybusinessAccountsListRecommendGoogleLocations(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| Name of the account resource to fetch recommended Google locations for. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **pageSize** | **Number**| How many locations to fetch per page. Default is 25, minimum is 1, and maximum page size is 100. | [optional] 
 **pageToken** | **String**| If specified, the next page of locations is retrieved. | [optional] 

### Return type

[**ListRecommendedGoogleLocationsResponse**](ListRecommendedGoogleLocationsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsAdminsCreate"></a>
# **mybusinessAccountsLocationsAdminsCreate**
> Admin mybusinessAccountsLocationsAdminsCreate(parent, opts)



Invites the specified user to become an administrator for the specified location. The invitee must accept the invitation in order to be granted access to the location. See AcceptInvitation to programmatically accept an invitation.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The resource name of the location this admin is created for.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.Admin() // Admin | 
};
apiInstance.mybusinessAccountsLocationsAdminsCreate(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The resource name of the location this admin is created for. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**Admin**](Admin.md)|  | [optional] 

### Return type

[**Admin**](Admin.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsAdminsList"></a>
# **mybusinessAccountsLocationsAdminsList**
> ListLocationAdminsResponse mybusinessAccountsLocationsAdminsList(parent, opts)



Lists all of the admins for the specified location.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the location to list admins of.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
};
apiInstance.mybusinessAccountsLocationsAdminsList(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the location to list admins of. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 

### Return type

[**ListLocationAdminsResponse**](ListLocationAdminsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsAssociate"></a>
# **mybusinessAccountsLocationsAssociate**
> Empty mybusinessAccountsLocationsAssociate(name, opts)



Associates a location to a place ID. Any previous association is overwritten. This operation is only valid if the location is unverified. The association must be valid, that is, it appears in the list of `FindMatchingLocations`.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The resource name of the location to associate.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.AssociateLocationRequest() // AssociateLocationRequest | 
};
apiInstance.mybusinessAccountsLocationsAssociate(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The resource name of the location to associate. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**AssociateLocationRequest**](AssociateLocationRequest.md)|  | [optional] 

### Return type

[**Empty**](Empty.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsBatchGet"></a>
# **mybusinessAccountsLocationsBatchGet**
> BatchGetLocationsResponse mybusinessAccountsLocationsBatchGet(name, opts)



Gets all of the specified locations in the given account.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The name of the account from which to fetch locations.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.BatchGetLocationsRequest() // BatchGetLocationsRequest | 
};
apiInstance.mybusinessAccountsLocationsBatchGet(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The name of the account from which to fetch locations. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**BatchGetLocationsRequest**](BatchGetLocationsRequest.md)|  | [optional] 

### Return type

[**BatchGetLocationsResponse**](BatchGetLocationsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsBatchGetReviews"></a>
# **mybusinessAccountsLocationsBatchGetReviews**
> BatchGetReviewsResponse mybusinessAccountsLocationsBatchGetReviews(name, opts)



Returns the paginated list of reviews for all specified locations. This operation is only valid if the specified locations are verified. *Note:* Reviews are limited to a batch size of 200 `location_names` per call.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The name of the account from which to retrieve a list of reviews across multiple locations.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.BatchGetReviewsRequest() // BatchGetReviewsRequest | 
};
apiInstance.mybusinessAccountsLocationsBatchGetReviews(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The name of the account from which to retrieve a list of reviews across multiple locations. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**BatchGetReviewsRequest**](BatchGetReviewsRequest.md)|  | [optional] 

### Return type

[**BatchGetReviewsResponse**](BatchGetReviewsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsClearAssociation"></a>
# **mybusinessAccountsLocationsClearAssociation**
> Empty mybusinessAccountsLocationsClearAssociation(name, opts)



Clears an association between a location and its place ID. This operation is only valid if the location is unverified.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The resource name of the location to disassociate.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.ClearLocationAssociationRequest() // ClearLocationAssociationRequest | 
};
apiInstance.mybusinessAccountsLocationsClearAssociation(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The resource name of the location to disassociate. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**ClearLocationAssociationRequest**](ClearLocationAssociationRequest.md)|  | [optional] 

### Return type

[**Empty**](Empty.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsCreate"></a>
# **mybusinessAccountsLocationsCreate**
> Location mybusinessAccountsLocationsCreate(parent, opts)



Creates a new location owned by the specified account, and returns it.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the account in which to create this location.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.Location(), // Location | 
  'requestId': "requestId_example", // String | A unique request ID for the server to detect duplicated requests. We recommend using UUIDs. Max length is 50 characters.
  'validateOnly': true // Boolean | If true, the request is validated without actually creating the location.
};
apiInstance.mybusinessAccountsLocationsCreate(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the account in which to create this location. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**Location**](Location.md)|  | [optional] 
 **requestId** | **String**| A unique request ID for the server to detect duplicated requests. We recommend using UUIDs. Max length is 50 characters. | [optional] 
 **validateOnly** | **Boolean**| If true, the request is validated without actually creating the location. | [optional] 

### Return type

[**Location**](Location.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsFetchVerificationOptions"></a>
# **mybusinessAccountsLocationsFetchVerificationOptions**
> FetchVerificationOptionsResponse mybusinessAccountsLocationsFetchVerificationOptions(name, opts)



Reports all eligible verification options for a location in a specific language.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | Resource name of the location to verify.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.FetchVerificationOptionsRequest() // FetchVerificationOptionsRequest | 
};
apiInstance.mybusinessAccountsLocationsFetchVerificationOptions(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| Resource name of the location to verify. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**FetchVerificationOptionsRequest**](FetchVerificationOptionsRequest.md)|  | [optional] 

### Return type

[**FetchVerificationOptionsResponse**](FetchVerificationOptionsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsFindMatches"></a>
# **mybusinessAccountsLocationsFindMatches**
> FindMatchingLocationsResponse mybusinessAccountsLocationsFindMatches(name, opts)



Finds all of the possible locations that are a match to the specified location. This operation is only valid if the location is unverified.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The resource name of the location to find matches for.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.FindMatchingLocationsRequest() // FindMatchingLocationsRequest | 
};
apiInstance.mybusinessAccountsLocationsFindMatches(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The resource name of the location to find matches for. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**FindMatchingLocationsRequest**](FindMatchingLocationsRequest.md)|  | [optional] 

### Return type

[**FindMatchingLocationsResponse**](FindMatchingLocationsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsGetGoogleUpdated"></a>
# **mybusinessAccountsLocationsGetGoogleUpdated**
> GoogleUpdatedLocation mybusinessAccountsLocationsGetGoogleUpdated(name, opts)



Gets the Google-updated version of the specified location. Returns `NOT_FOUND` if the location does not exist.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The name of the location to fetch.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
};
apiInstance.mybusinessAccountsLocationsGetGoogleUpdated(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The name of the location to fetch. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 

### Return type

[**GoogleUpdatedLocation**](GoogleUpdatedLocation.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsList"></a>
# **mybusinessAccountsLocationsList**
> ListLocationsResponse mybusinessAccountsLocationsList(parent, opts)



Lists the locations for the specified account.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the account to fetch locations from. If the Account is of AccountType PERSONAL, only Locations that are directly owned by the Account are returned, otherwise it will return all accessible locations from the Account, either directly or indirectly.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'filter': "filter_example", // String | A filter constraining the locations to return. The response includes only entries that match the filter. If `filter` is empty, then constraints are applied and all locations (paginated) are retrieved for the requested account. For more information about valid fields and example usage, see [Work with Location Data Guide](https://developers.google.com/my-business/content/location-data#filter_results_when_you_list_locations).
  'languageCode': "languageCode_example", // String | The BCP 47 code of language to get display location properties in. If this language is not available, they will be provided in the language of the location. If neither is available, they will be provided in English. Deprecated. After August 15th, 2020, this field will no longer be applied. Instead, the language of the location will always be used.
  'orderBy': "orderBy_example", // String | Sorting order for the request. Multiple fields should be comma-separated, following SQL syntax. The default sorting order is ascending. To specify descending order, a suffix \" desc\" should be added. Valid fields to order_by are location_name and store_code. For example: \"location_name, store_code desc\" or \"location_name\" or \"store_code desc\"
  'pageSize': 56, // Number | How many locations to fetch per page. Default is 100, minimum is 1, and maximum page size is 100.
  'pageToken': "pageToken_example" // String | If specified, it fetches the next `page` of locations. The page token is returned by previous calls to `ListLocations` when there were more locations than could fit in the requested page size.
};
apiInstance.mybusinessAccountsLocationsList(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the account to fetch locations from. If the Account is of AccountType PERSONAL, only Locations that are directly owned by the Account are returned, otherwise it will return all accessible locations from the Account, either directly or indirectly. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **filter** | **String**| A filter constraining the locations to return. The response includes only entries that match the filter. If `filter` is empty, then constraints are applied and all locations (paginated) are retrieved for the requested account. For more information about valid fields and example usage, see [Work with Location Data Guide](https://developers.google.com/my-business/content/location-data#filter_results_when_you_list_locations). | [optional] 
 **languageCode** | **String**| The BCP 47 code of language to get display location properties in. If this language is not available, they will be provided in the language of the location. If neither is available, they will be provided in English. Deprecated. After August 15th, 2020, this field will no longer be applied. Instead, the language of the location will always be used. | [optional] 
 **orderBy** | **String**| Sorting order for the request. Multiple fields should be comma-separated, following SQL syntax. The default sorting order is ascending. To specify descending order, a suffix \" desc\" should be added. Valid fields to order_by are location_name and store_code. For example: \"location_name, store_code desc\" or \"location_name\" or \"store_code desc\" | [optional] 
 **pageSize** | **Number**| How many locations to fetch per page. Default is 100, minimum is 1, and maximum page size is 100. | [optional] 
 **pageToken** | **String**| If specified, it fetches the next `page` of locations. The page token is returned by previous calls to `ListLocations` when there were more locations than could fit in the requested page size. | [optional] 

### Return type

[**ListLocationsResponse**](ListLocationsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsLocalPostsCreate"></a>
# **mybusinessAccountsLocationsLocalPostsCreate**
> LocalPost mybusinessAccountsLocationsLocalPostsCreate(parent, opts)



Creates a new local post associated with the specified location, and returns it.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the location in which to create this local post.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.LocalPost() // LocalPost | 
};
apiInstance.mybusinessAccountsLocationsLocalPostsCreate(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the location in which to create this local post. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**LocalPost**](LocalPost.md)|  | [optional] 

### Return type

[**LocalPost**](LocalPost.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsLocalPostsList"></a>
# **mybusinessAccountsLocationsLocalPostsList**
> ListLocalPostsResponse mybusinessAccountsLocationsLocalPostsList(parent, opts)



Returns a list of local posts associated with a location.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the location whose local posts will be listed.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'pageSize': 56, // Number | How many local posts to return per page. Default of 20. The minimum is 1, and maximum page size is 100.
  'pageToken': "pageToken_example" // String | If specified, returns the next page of local posts.
};
apiInstance.mybusinessAccountsLocationsLocalPostsList(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the location whose local posts will be listed. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **pageSize** | **Number**| How many local posts to return per page. Default of 20. The minimum is 1, and maximum page size is 100. | [optional] 
 **pageToken** | **String**| If specified, returns the next page of local posts. | [optional] 

### Return type

[**ListLocalPostsResponse**](ListLocalPostsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsLocalPostsReportInsights"></a>
# **mybusinessAccountsLocationsLocalPostsReportInsights**
> ReportLocalPostInsightsResponse mybusinessAccountsLocationsLocalPostsReportInsights(name, opts)



Returns insights for a set of local posts associated with a single listing. Which metrics and how they are reported are options specified in the request proto. *Note:* Insight reports are limited to 100 `local_post_names` per call.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | Required. The name of the location for which to fetch insights.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.ReportLocalPostInsightsRequest() // ReportLocalPostInsightsRequest | 
};
apiInstance.mybusinessAccountsLocationsLocalPostsReportInsights(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| Required. The name of the location for which to fetch insights. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**ReportLocalPostInsightsRequest**](ReportLocalPostInsightsRequest.md)|  | [optional] 

### Return type

[**ReportLocalPostInsightsResponse**](ReportLocalPostInsightsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsMediaCreate"></a>
# **mybusinessAccountsLocationsMediaCreate**
> MediaItem mybusinessAccountsLocationsMediaCreate(parent, opts)



Creates a new media item for the location.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The resource name of the location where this media item will be created.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.MediaItem() // MediaItem | 
};
apiInstance.mybusinessAccountsLocationsMediaCreate(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The resource name of the location where this media item will be created. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**MediaItem**](MediaItem.md)|  | [optional] 

### Return type

[**MediaItem**](MediaItem.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsMediaCustomersList"></a>
# **mybusinessAccountsLocationsMediaCustomersList**
> ListCustomerMediaItemsResponse mybusinessAccountsLocationsMediaCustomersList(parent, opts)



Returns a list of media items associated with a location that have been contributed by customers.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the location whose customer media items will be listed.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'pageSize': 56, // Number | How many media items to return per page. The default value is 100, the maximum supported page size is 200.
  'pageToken': "pageToken_example" // String | If specified, returns the next page of media items.
};
apiInstance.mybusinessAccountsLocationsMediaCustomersList(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the location whose customer media items will be listed. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **pageSize** | **Number**| How many media items to return per page. The default value is 100, the maximum supported page size is 200. | [optional] 
 **pageToken** | **String**| If specified, returns the next page of media items. | [optional] 

### Return type

[**ListCustomerMediaItemsResponse**](ListCustomerMediaItemsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsMediaList"></a>
# **mybusinessAccountsLocationsMediaList**
> ListMediaItemsResponse mybusinessAccountsLocationsMediaList(parent, opts)



Returns a list of media items associated with a location.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the location whose media items will be listed.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'pageSize': 56, // Number | How many media items to return per page. The default value is 100, which is also the maximum supported number of media items able to be added to a location with the My Business API. Maximum page size is 2500.
  'pageToken': "pageToken_example" // String | If specified, returns the next page of media items.
};
apiInstance.mybusinessAccountsLocationsMediaList(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the location whose media items will be listed. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **pageSize** | **Number**| How many media items to return per page. The default value is 100, which is also the maximum supported number of media items able to be added to a location with the My Business API. Maximum page size is 2500. | [optional] 
 **pageToken** | **String**| If specified, returns the next page of media items. | [optional] 

### Return type

[**ListMediaItemsResponse**](ListMediaItemsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsMediaStartUpload"></a>
# **mybusinessAccountsLocationsMediaStartUpload**
> MediaItemDataRef mybusinessAccountsLocationsMediaStartUpload(parent, opts)



Generates a `MediaItemDataRef` for media item uploading.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The resource name of the location this media item is to be added to.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.StartUploadMediaItemDataRequest() // StartUploadMediaItemDataRequest | 
};
apiInstance.mybusinessAccountsLocationsMediaStartUpload(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The resource name of the location this media item is to be added to. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**StartUploadMediaItemDataRequest**](StartUploadMediaItemDataRequest.md)|  | [optional] 

### Return type

[**MediaItemDataRef**](MediaItemDataRef.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsQuestionsAnswersDelete"></a>
# **mybusinessAccountsLocationsQuestionsAnswersDelete**
> Empty mybusinessAccountsLocationsQuestionsAnswersDelete(parent, opts)



Deletes the answer written by the current user to a question.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the question to delete an answer for.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
};
apiInstance.mybusinessAccountsLocationsQuestionsAnswersDelete(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the question to delete an answer for. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 

### Return type

[**Empty**](Empty.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsQuestionsAnswersList"></a>
# **mybusinessAccountsLocationsQuestionsAnswersList**
> ListAnswersResponse mybusinessAccountsLocationsQuestionsAnswersList(parent, opts)



Returns the paginated list of answers for a specified question.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the question to fetch answers for.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'orderBy': "orderBy_example", // String | The order to return the answers. Valid options include 'update_time desc' and 'upvote_count desc', which will return the answers sorted descendingly by the requested field. The default sort order is 'update_time desc'.
  'pageSize': 56, // Number | How many answers to fetch per page. The default and maximum `page_size` values are 10.
  'pageToken': "pageToken_example" // String | If specified, the next page of answers is retrieved.
};
apiInstance.mybusinessAccountsLocationsQuestionsAnswersList(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the question to fetch answers for. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **orderBy** | **String**| The order to return the answers. Valid options include 'update_time desc' and 'upvote_count desc', which will return the answers sorted descendingly by the requested field. The default sort order is 'update_time desc'. | [optional] 
 **pageSize** | **Number**| How many answers to fetch per page. The default and maximum `page_size` values are 10. | [optional] 
 **pageToken** | **String**| If specified, the next page of answers is retrieved. | [optional] 

### Return type

[**ListAnswersResponse**](ListAnswersResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsQuestionsAnswersUpsert"></a>
# **mybusinessAccountsLocationsQuestionsAnswersUpsert**
> Answer mybusinessAccountsLocationsQuestionsAnswersUpsert(parent, opts)



Creates an answer or updates the existing answer written by the user for the specified question. A user can only create one answer per question.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the question to write an answer for.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.UpsertAnswerRequest() // UpsertAnswerRequest | 
};
apiInstance.mybusinessAccountsLocationsQuestionsAnswersUpsert(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the question to write an answer for. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**UpsertAnswerRequest**](UpsertAnswerRequest.md)|  | [optional] 

### Return type

[**Answer**](Answer.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsQuestionsCreate"></a>
# **mybusinessAccountsLocationsQuestionsCreate**
> Question mybusinessAccountsLocationsQuestionsCreate(parent, opts)



Adds a question for the specified location.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the location to write a question for.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.Question() // Question | 
};
apiInstance.mybusinessAccountsLocationsQuestionsCreate(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the location to write a question for. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**Question**](Question.md)|  | [optional] 

### Return type

[**Question**](Question.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsQuestionsDelete"></a>
# **mybusinessAccountsLocationsQuestionsDelete**
> Empty mybusinessAccountsLocationsQuestionsDelete(name, opts)



Deletes a specific question written by the current user.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The name of the question to delete.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
};
apiInstance.mybusinessAccountsLocationsQuestionsDelete(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The name of the question to delete. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 

### Return type

[**Empty**](Empty.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsQuestionsList"></a>
# **mybusinessAccountsLocationsQuestionsList**
> ListQuestionsResponse mybusinessAccountsLocationsQuestionsList(parent, opts)



Returns the paginated list of questions and some of its answers for a specified location.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the location to fetch questions for.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'answersPerQuestion': 56, // Number | How many answers to fetch per question. The default and maximum `answers_per_question` values are 10.
  'filter': "filter_example", // String | A filter constraining the questions to return. The only filter currently supported is \"ignore_answered=true\"
  'orderBy': "orderBy_example", // String | The order to return the questions. Valid options include 'update_time desc' and 'upvote_count desc', which will return the questions sorted descendingly by the requested field. The default sort order is 'update_time desc'.
  'pageSize': 56, // Number | How many questions to fetch per page. The default and maximum `page_size` values are 10.
  'pageToken': "pageToken_example" // String | If specified, the next page of questions is retrieved.
};
apiInstance.mybusinessAccountsLocationsQuestionsList(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the location to fetch questions for. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **answersPerQuestion** | **Number**| How many answers to fetch per question. The default and maximum `answers_per_question` values are 10. | [optional] 
 **filter** | **String**| A filter constraining the questions to return. The only filter currently supported is \"ignore_answered=true\" | [optional] 
 **orderBy** | **String**| The order to return the questions. Valid options include 'update_time desc' and 'upvote_count desc', which will return the questions sorted descendingly by the requested field. The default sort order is 'update_time desc'. | [optional] 
 **pageSize** | **Number**| How many questions to fetch per page. The default and maximum `page_size` values are 10. | [optional] 
 **pageToken** | **String**| If specified, the next page of questions is retrieved. | [optional] 

### Return type

[**ListQuestionsResponse**](ListQuestionsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsQuestionsPatch"></a>
# **mybusinessAccountsLocationsQuestionsPatch**
> Question mybusinessAccountsLocationsQuestionsPatch(name, opts)



Updates a specific question written by the current user.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The name of the question to update.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.Question(), // Question | 
  'updateMask': "updateMask_example" // String | The specific fields to update. If no mask is specified, then this is treated as a full update and all editable fields are set to the values passed in.
};
apiInstance.mybusinessAccountsLocationsQuestionsPatch(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The name of the question to update. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**Question**](Question.md)|  | [optional] 
 **updateMask** | **String**| The specific fields to update. If no mask is specified, then this is treated as a full update and all editable fields are set to the values passed in. | [optional] 

### Return type

[**Question**](Question.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsReportInsights"></a>
# **mybusinessAccountsLocationsReportInsights**
> ReportLocationInsightsResponse mybusinessAccountsLocationsReportInsights(name, opts)



Returns a report containing insights on one or more metrics by location. *Note:* Insight reports are limited to a batch size of 10 `location_names` per call.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The account resource name.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.ReportLocationInsightsRequest() // ReportLocationInsightsRequest | 
};
apiInstance.mybusinessAccountsLocationsReportInsights(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The account resource name. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**ReportLocationInsightsRequest**](ReportLocationInsightsRequest.md)|  | [optional] 

### Return type

[**ReportLocationInsightsResponse**](ReportLocationInsightsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsReviewsDeleteReply"></a>
# **mybusinessAccountsLocationsReviewsDeleteReply**
> Empty mybusinessAccountsLocationsReviewsDeleteReply(name, opts)



Deletes the response to the specified review. This operation is only valid if the specified location is verified.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The name of the review reply to delete.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
};
apiInstance.mybusinessAccountsLocationsReviewsDeleteReply(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The name of the review reply to delete. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 

### Return type

[**Empty**](Empty.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsReviewsList"></a>
# **mybusinessAccountsLocationsReviewsList**
> ListReviewsResponse mybusinessAccountsLocationsReviewsList(parent, opts)



Returns the paginated list of reviews for the specified location. This operation is only valid if the specified location is verified.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | The name of the location to fetch reviews for.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'orderBy': "orderBy_example", // String | Specifies the field to sort reviews by. If unspecified, the order of reviews returned will default to `update_time desc`. Valid orders to sort by are `rating`, `rating desc` and `update_time desc`.
  'pageSize': 56, // Number | How many reviews to fetch per page. The maximum `page_size` is 50.
  'pageToken': "pageToken_example" // String | If specified, it fetches the next page of reviews.
};
apiInstance.mybusinessAccountsLocationsReviewsList(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| The name of the location to fetch reviews for. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **orderBy** | **String**| Specifies the field to sort reviews by. If unspecified, the order of reviews returned will default to `update_time desc`. Valid orders to sort by are `rating`, `rating desc` and `update_time desc`. | [optional] 
 **pageSize** | **Number**| How many reviews to fetch per page. The maximum `page_size` is 50. | [optional] 
 **pageToken** | **String**| If specified, it fetches the next page of reviews. | [optional] 

### Return type

[**ListReviewsResponse**](ListReviewsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsReviewsUpdateReply"></a>
# **mybusinessAccountsLocationsReviewsUpdateReply**
> ReviewReply mybusinessAccountsLocationsReviewsUpdateReply(name, opts)



Updates the reply to the specified review. A reply is created if one does not exist. This operation is only valid if the specified location is verified.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The name of the review to respond to.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.ReviewReply() // ReviewReply | 
};
apiInstance.mybusinessAccountsLocationsReviewsUpdateReply(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The name of the review to respond to. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**ReviewReply**](ReviewReply.md)|  | [optional] 

### Return type

[**ReviewReply**](ReviewReply.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsTransfer"></a>
# **mybusinessAccountsLocationsTransfer**
> Location mybusinessAccountsLocationsTransfer(name, opts)



Moves a location from an account that the user owns to another account that the same user administers. The user must be an owner of the account the location is currently associated with and must also be at least a manager of the destination account. Returns the Location with its new resource name.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The name of the location to transfer.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.TransferLocationRequest() // TransferLocationRequest | 
};
apiInstance.mybusinessAccountsLocationsTransfer(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The name of the location to transfer. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**TransferLocationRequest**](TransferLocationRequest.md)|  | [optional] 

### Return type

[**Location**](Location.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsVerificationsComplete"></a>
# **mybusinessAccountsLocationsVerificationsComplete**
> CompleteVerificationResponse mybusinessAccountsLocationsVerificationsComplete(name, opts)



Completes a `PENDING` verification. It is only necessary for non `AUTO` verification methods. `AUTO` verification request is instantly `VERIFIED` upon creation.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | Resource name of the verification to complete.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.CompleteVerificationRequest() // CompleteVerificationRequest | 
};
apiInstance.mybusinessAccountsLocationsVerificationsComplete(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| Resource name of the verification to complete. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**CompleteVerificationRequest**](CompleteVerificationRequest.md)|  | [optional] 

### Return type

[**CompleteVerificationResponse**](CompleteVerificationResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsVerificationsList"></a>
# **mybusinessAccountsLocationsVerificationsList**
> ListVerificationsResponse mybusinessAccountsLocationsVerificationsList(parent, opts)



List verifications of a location, ordered by create time.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var parent = "parent_example"; // String | Resource name of the location that verification requests belong to.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'pageSize': 56, // Number | How many verification to include per page. If not set, return all.
  'pageToken': "pageToken_example" // String | If specified, returns the next page of verifications.
};
apiInstance.mybusinessAccountsLocationsVerificationsList(parent, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **parent** | **String**| Resource name of the location that verification requests belong to. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **pageSize** | **Number**| How many verification to include per page. If not set, return all. | [optional] 
 **pageToken** | **String**| If specified, returns the next page of verifications. | [optional] 

### Return type

[**ListVerificationsResponse**](ListVerificationsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsLocationsVerify"></a>
# **mybusinessAccountsLocationsVerify**
> VerifyLocationResponse mybusinessAccountsLocationsVerify(name, opts)



Starts the verification process for a location.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | Resource name of the location to verify.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.VerifyLocationRequest() // VerifyLocationRequest | 
};
apiInstance.mybusinessAccountsLocationsVerify(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| Resource name of the location to verify. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**VerifyLocationRequest**](VerifyLocationRequest.md)|  | [optional] 

### Return type

[**VerifyLocationResponse**](VerifyLocationResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessAccountsUpdateNotifications"></a>
# **mybusinessAccountsUpdateNotifications**
> Notifications mybusinessAccountsUpdateNotifications(name, opts)



Sets the pubsub notification settings for the account informing My Business which topic to send pubsub notifications for: - New reviews for locations administered by the account. - Updated reviews for locations administered by the account. - New `GoogleUpdates` for locations administered by the account. An account will only have one notification settings resource, and only one pubsub topic can be set.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.AccountsApi();

var name = "name_example"; // String | The notification settings resource name.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.Notifications() // Notifications | 
};
apiInstance.mybusinessAccountsUpdateNotifications(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The notification settings resource name. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**Notifications**](Notifications.md)|  | [optional] 

### Return type

[**Notifications**](Notifications.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

