# GoogleMyBusinessApi.ChainsApi

All URIs are relative to *https://mybusiness.googleapis.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**mybusinessChainsGet**](ChainsApi.md#mybusinessChainsGet) | **GET** /v4/accounts/{name} | 
[**mybusinessChainsSearch**](ChainsApi.md#mybusinessChainsSearch) | **GET** /v4/chains:search | 


<a name="mybusinessChainsGet"></a>
# **mybusinessChainsGet**
> Chain mybusinessChainsGet(name, opts)



Gets the specified chain. Returns `NOT_FOUND` if the chain does not exist.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.ChainsApi();

var name = "name_example"; // String | The chain's resource name, in the format `chains/{chain_place_id}`.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
};
apiInstance.mybusinessChainsGet(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| The chain's resource name, in the format `chains/{chain_place_id}`. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 

### Return type

[**Chain**](Chain.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessChainsSearch"></a>
# **mybusinessChainsSearch**
> SearchChainsResponse mybusinessChainsSearch(opts)



Searches the chain based on chain name.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.ChainsApi();

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'chainDisplayName': "chainDisplayName_example", // String | Search for a chain by its name. Exact/partial/fuzzy/related queries are supported. Examples: \"walmart\", \"wal-mart\", \"walmmmart\", \"沃尔玛\"
  'resultCount': 56 // Number | The maximum number of matched chains to return from this query. The default is 10. The maximum possible value is 500.
};
apiInstance.mybusinessChainsSearch(opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **chainDisplayName** | **String**| Search for a chain by its name. Exact/partial/fuzzy/related queries are supported. Examples: \"walmart\", \"wal-mart\", \"walmmmart\", \"沃尔玛\" | [optional] 
 **resultCount** | **Number**| The maximum number of matched chains to return from this query. The default is 10. The maximum possible value is 500. | [optional] 

### Return type

[**SearchChainsResponse**](SearchChainsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

