# GoogleMyBusinessApi.FoodMenuItemAttributes

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**allergen** | **[String]** | Optional. Allergens associated with the food dish. It is highly recommended to provide this field. | [optional] 
**dietaryRestriction** | **[String]** | Optional. Dietary information of the food dish. It is highly recommended to provide this field. | [optional] 
**ingredients** | [**[Ingredient]**](Ingredient.md) | Optional. Ingredients of the food dish option. | [optional] 
**mediaKeys** | **[String]** | Optional. The mediaKey which uniquely identifies the mediaitem in photo backend. | [optional] 
**nutritionFacts** | [**NutritionFacts**](NutritionFacts.md) | Optional. Nutrition facts of the food dish option. It is highly recommended to provide this field. | [optional] 
**portionSize** | [**PortionSize**](PortionSize.md) | Optional. Size of the order, represented in units of items. (e.g. 4 \"skewers\", 6 \"pieces\") | [optional] 
**preparationMethods** | **[String]** | Optional. Methods on how the food dish option is prepared. | [optional] 
**price** | [**Money**](Money.md) | Required. Price of the food dish. | [optional] 
**servesNumPeople** | **Number** | Optional. Number of people can be served by this food dish option. | [optional] 
**spiciness** | **String** | Optional. Spiciness level of the food dish. | [optional] 


<a name="[AllergenEnum]"></a>
## Enum: [AllergenEnum]


* `ALLERGEN_UNSPECIFIED` (value: `"ALLERGEN_UNSPECIFIED"`)

* `DAIRY` (value: `"DAIRY"`)

* `EGG` (value: `"EGG"`)

* `FISH` (value: `"FISH"`)

* `PEANUT` (value: `"PEANUT"`)

* `SHELLFISH` (value: `"SHELLFISH"`)

* `SOY` (value: `"SOY"`)

* `TREE_NUT` (value: `"TREE_NUT"`)

* `WHEAT` (value: `"WHEAT"`)




<a name="[DietaryRestrictionEnum]"></a>
## Enum: [DietaryRestrictionEnum]


* `DIETARY_RESTRICTION_UNSPECIFIED` (value: `"DIETARY_RESTRICTION_UNSPECIFIED"`)

* `HALAL` (value: `"HALAL"`)

* `KOSHER` (value: `"KOSHER"`)

* `ORGANIC` (value: `"ORGANIC"`)

* `VEGAN` (value: `"VEGAN"`)

* `VEGETARIAN` (value: `"VEGETARIAN"`)




<a name="[PreparationMethodsEnum]"></a>
## Enum: [PreparationMethodsEnum]


* `PREPARATION_METHOD_UNSPECIFIED` (value: `"PREPARATION_METHOD_UNSPECIFIED"`)

* `BAKED` (value: `"BAKED"`)

* `BARBECUED` (value: `"BARBECUED"`)

* `BASTED` (value: `"BASTED"`)

* `BLANCHED` (value: `"BLANCHED"`)

* `BOILED` (value: `"BOILED"`)

* `BRAISED` (value: `"BRAISED"`)

* `CODDLED` (value: `"CODDLED"`)

* `FERMENTED` (value: `"FERMENTED"`)

* `FRIED` (value: `"FRIED"`)

* `GRILLED` (value: `"GRILLED"`)

* `KNEADED` (value: `"KNEADED"`)

* `MARINATED` (value: `"MARINATED"`)

* `PAN_FRIED` (value: `"PAN_FRIED"`)

* `PICKLED` (value: `"PICKLED"`)

* `PRESSURE_COOKED` (value: `"PRESSURE_COOKED"`)

* `ROASTED` (value: `"ROASTED"`)

* `SAUTEED` (value: `"SAUTEED"`)

* `SEARED` (value: `"SEARED"`)

* `SIMMERED` (value: `"SIMMERED"`)

* `SMOKED` (value: `"SMOKED"`)

* `STEAMED` (value: `"STEAMED"`)

* `STEEPED` (value: `"STEEPED"`)

* `STIR_FRIED` (value: `"STIR_FRIED"`)

* `OTHER_METHOD` (value: `"OTHER_METHOD"`)




<a name="SpicinessEnum"></a>
## Enum: SpicinessEnum


* `SPICINESS_UNSPECIFIED` (value: `"SPICINESS_UNSPECIFIED"`)

* `MILD` (value: `"MILD"`)

* `MEDIUM` (value: `"MEDIUM"`)

* `HOT` (value: `"HOT"`)




