# GoogleMyBusinessApi.GoogleLocationsApi

All URIs are relative to *https://mybusiness.googleapis.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**mybusinessGoogleLocationsReport**](GoogleLocationsApi.md#mybusinessGoogleLocationsReport) | **POST** /v4/accounts/{name}:report | 
[**mybusinessGoogleLocationsSearch**](GoogleLocationsApi.md#mybusinessGoogleLocationsSearch) | **POST** /v4/googleLocations:search | 


<a name="mybusinessGoogleLocationsReport"></a>
# **mybusinessGoogleLocationsReport**
> Empty mybusinessGoogleLocationsReport(name, opts)



Report a GoogleLocation.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.GoogleLocationsApi();

var name = "name_example"; // String | Resource name of a [GoogleLocation], in the format `googleLocations/{googleLocationId}`.

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.ReportGoogleLocationRequest() // ReportGoogleLocationRequest | 
};
apiInstance.mybusinessGoogleLocationsReport(name, opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **name** | **String**| Resource name of a [GoogleLocation], in the format `googleLocations/{googleLocationId}`. | 
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**ReportGoogleLocationRequest**](ReportGoogleLocationRequest.md)|  | [optional] 

### Return type

[**Empty**](Empty.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

<a name="mybusinessGoogleLocationsSearch"></a>
# **mybusinessGoogleLocationsSearch**
> SearchGoogleLocationsResponse mybusinessGoogleLocationsSearch(opts)



Search all of the possible locations that are a match to the specified request.

### Example
```javascript
var GoogleMyBusinessApi = require('google_my_business_api');

var apiInstance = new GoogleMyBusinessApi.GoogleLocationsApi();

var opts = { 
  'accessToken': "accessToken_example", // String | OAuth access token.
  'alt': "json", // String | Data format for response.
  'callback': "callback_example", // String | JSONP
  'fields': "fields_example", // String | Selector specifying which fields to include in a partial response.
  'key': "key_example", // String | API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
  'oauthToken': "oauthToken_example", // String | OAuth 2.0 token for the current user.
  'prettyPrint': true, // Boolean | Returns response with indentations and line breaks.
  'quotaUser': "quotaUser_example", // String | Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
  'uploadProtocol': "uploadProtocol_example", // String | Upload protocol for media (e.g. \"raw\", \"multipart\").
  'uploadType': "uploadType_example", // String | Legacy upload protocol for media (e.g. \"media\", \"multipart\").
  'body': new GoogleMyBusinessApi.SearchGoogleLocationsRequest() // SearchGoogleLocationsRequest | 
};
apiInstance.mybusinessGoogleLocationsSearch(opts).then(function(data) {
  console.log('API called successfully. Returned data: ' + data);
}, function(error) {
  console.error(error);
});

```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accessToken** | **String**| OAuth access token. | [optional] 
 **alt** | **String**| Data format for response. | [optional] [default to json]
 **callback** | **String**| JSONP | [optional] 
 **fields** | **String**| Selector specifying which fields to include in a partial response. | [optional] 
 **key** | **String**| API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. | [optional] 
 **oauthToken** | **String**| OAuth 2.0 token for the current user. | [optional] 
 **prettyPrint** | **Boolean**| Returns response with indentations and line breaks. | [optional] [default to true]
 **quotaUser** | **String**| Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. | [optional] 
 **uploadProtocol** | **String**| Upload protocol for media (e.g. \"raw\", \"multipart\"). | [optional] 
 **uploadType** | **String**| Legacy upload protocol for media (e.g. \"media\", \"multipart\"). | [optional] 
 **body** | [**SearchGoogleLocationsRequest**](SearchGoogleLocationsRequest.md)|  | [optional] 

### Return type

[**SearchGoogleLocationsResponse**](SearchGoogleLocationsResponse.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined

