# GoogleMyBusinessApi.LocalPost

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**alertType** | **String** | The type of alert the post is created for. This field is only applicable for posts of topic_type Alert, and behaves as a sub-type of Alerts. | [optional] 
**callToAction** | [**CallToAction**](CallToAction.md) | The URL that users are sent to when clicking through the promotion. Ignored for topic type `OFFER`. | [optional] 
**createTime** | **String** | Output only. Time of the creation of the post. | [optional] 
**event** | [**LocalPostEvent**](LocalPostEvent.md) | Event information. Required for topic types `EVENT` and `OFFER`. | [optional] 
**languageCode** | **String** | The language of the local post. | [optional] 
**media** | [**[MediaItem]**](MediaItem.md) | The media associated with the post. source_url is the only supported data field for a LocalPost MediaItem. | [optional] 
**name** | **String** | Output only. Google identifier for this local post in the form: `accounts/{account_id}/locations/{location_id}/localPosts/{local_post_id}` | [optional] 
**offer** | [**LocalPostOffer**](LocalPostOffer.md) | Additional data for offer posts. This should only be set when the topic_type is OFFER. | [optional] 
**searchUrl** | **String** | Output only. The link to the local post in Google search. This link can be used to share the post via social media, email, text, etc. | [optional] 
**state** | **String** | Output only. The state of the post, indicating what part of its lifecycle it is in. | [optional] 
**summary** | **String** | Description/body of the local post. | [optional] 
**topicType** | **String** | Required. The topic type of the post: standard, event, offer, or alert. | [optional] 
**updateTime** | **String** | Output only. Time of the last modification of the post made by the user. | [optional] 


<a name="AlertTypeEnum"></a>
## Enum: AlertTypeEnum


* `ALERT_TYPE_UNSPECIFIED` (value: `"ALERT_TYPE_UNSPECIFIED"`)

* `cOVID19` (value: `"COVID_19"`)




<a name="StateEnum"></a>
## Enum: StateEnum


* `LOCAL_POST_STATE_UNSPECIFIED` (value: `"LOCAL_POST_STATE_UNSPECIFIED"`)

* `REJECTED` (value: `"REJECTED"`)

* `LIVE` (value: `"LIVE"`)

* `PROCESSING` (value: `"PROCESSING"`)




<a name="TopicTypeEnum"></a>
## Enum: TopicTypeEnum


* `LOCAL_POST_TOPIC_TYPE_UNSPECIFIED` (value: `"LOCAL_POST_TOPIC_TYPE_UNSPECIFIED"`)

* `STANDARD` (value: `"STANDARD"`)

* `EVENT` (value: `"EVENT"`)

* `OFFER` (value: `"OFFER"`)

* `ALERT` (value: `"ALERT"`)




