# GoogleMyBusinessApi.Location

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**adWordsLocationExtensions** | [**AdWordsLocationExtensions**](AdWordsLocationExtensions.md) | Additional information that is surfaced in AdWords. | [optional] 
**additionalCategories** | [**[Category]**](Category.md) | Additional categories to describe your business. Categories help your customers find accurate, specific results for services they're interested in. To keep your business information accurate and live, make sure that you use as few categories as possible to describe your overall core business. Choose categories that are as specific as possible, but representative of your main business. | [optional] 
**additionalPhones** | **[String]** | Up to two phone numbers (mobile or landline, no fax) at which your business can be called, in addition to your primary phone number. | [optional] 
**address** | [**PostalAddress**](PostalAddress.md) | A precise, accurate address to describe your business location. PO boxes or mailboxes located at remote locations are not acceptable. At this time, you can specify a maximum of five `address_lines` values in the address. | [optional] 
**attributes** | [**[Attribute]**](Attribute.md) | Attributes for this location. | [optional] 
**labels** | **[String]** | A collection of free-form strings to allow you to tag your business. These labels are NOT user facing; only you can see them. Limited to 255 characters (per label). | [optional] 
**languageCode** | **String** | The language of the location. Set during creation and not updateable. | [optional] 
**latlng** | [**LatLng**](LatLng.md) | User-provided latitude and longitude. When creating a location, this field is ignored if the provided address geocodes successfully. This field is only returned on get requests if the user-provided `latlng` value was accepted during create, or the `latlng` value was updated through the Google My Business website. This field cannot be updated. | [optional] 
**locationKey** | [**LocationKey**](LocationKey.md) | A collection of keys that link this business to other Google properties, such as a Google+ page and Google Maps Places. | [optional] 
**locationName** | **String** | Location name should reflect your business's real-world name, as used consistently on your storefront, website, and stationery, and as known to customers. Any additional information, when relevant, can be included in other fields of the resource (for example, `Address`, `Categories`). Don't add unnecessary information to your name (for example, prefer \"Google\" over \"Google Inc. - Mountain View Corporate Headquarters\"). Don't include marketing taglines, store codes, special characters, hours or closed/open status, phone numbers, website URLs, service/product information, location/address or directions, or containment information (for example, \"Chase ATM in Duane Reade\"). | [optional] 
**locationState** | [**LocationState**](LocationState.md) | Output only. A set of booleans that reflects the [state of a location.](https://support.google.com/business/answer/3480862) | [optional] 
**metadata** | [**Metadata**](Metadata.md) | Output Only. Additional non-user-editable information. | [optional] 
**name** | **String** | Google identifier for this location in the form: `accounts/{account_id}/locations/{location_id}` In the context of matches, this field will not be populated. | [optional] 
**openInfo** | [**OpenInfo**](OpenInfo.md) | A flag that indicates whether the location is currently open for business. | [optional] 
**priceLists** | [**[PriceList]**](PriceList.md) | Price list information for this location. | [optional] 
**primaryCategory** | [**Category**](Category.md) | Category that best describes the core business this location engages in. | [optional] 
**primaryPhone** | **String** | A phone number that connects to your individual business location as directly as possible. Use a local phone number instead of a central, call center helpline number whenever possible. | [optional] 
**profile** | [**Profile**](Profile.md) | Describes your business in your own voice and shares with users the unique story of your business and offerings. | [optional] 
**regularHours** | [**BusinessHours**](BusinessHours.md) | Operating hours for the business. | [optional] 
**relationshipData** | [**RelationshipData**](RelationshipData.md) | All locations and chain related to this one. | [optional] 
**serviceArea** | [**ServiceAreaBusiness**](ServiceAreaBusiness.md) | Service area businesses provide their service at the customer's location. If this business is a service area business, this field describes the area(s) serviced by the business. | [optional] 
**specialHours** | [**SpecialHours**](SpecialHours.md) | Special hours for the business. This typically includes holiday hours, and other times outside of regular operating hours. These override regular business hours. | [optional] 
**storeCode** | **String** | External identifier for this location, which must be unique inside a given account. This is a means of associating the location with your own records. | [optional] 
**websiteUrl** | **String** | A URL for this business. If possible, use a URL that represents this individual business location instead of a generic website/URL that represents all locations, or the brand. | [optional] 


