# GoogleMyBusinessApi.MediaItem

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**attribution** | [**Attribution**](Attribution.md) | Output only. Attribution information for customer media items. You must display this attribution as provided to your users and must not delete or alter the attribution. | [optional] 
**createTime** | **String** | Output only. Creation time of this media item. | [optional] 
**dataRef** | [**MediaItemDataRef**](MediaItemDataRef.md) | Input only. A reference to media item binary data as obtained by the `StartUploadMediaItemData` method. When creating a media item, either sourceUrl or dataRef must be set. | [optional] 
**description** | **String** | Description for this media item. Descriptions cannot be modified through the My Business API, but can be set when creating a new media item that is not a cover photo. | [optional] 
**dimensions** | [**Dimensions**](Dimensions.md) | Output only. The dimensions (width and height) in pixels. | [optional] 
**googleUrl** | **String** | Output only. Google-hosted URL for this media item. This URL is not static since it may change over time. For video this will be a preview image with an overlaid play icon. | [optional] 
**insights** | [**MediaInsights**](MediaInsights.md) | Output only. Statistics for this media item. | [optional] 
**locationAssociation** | [**LocationAssociation**](LocationAssociation.md) | Required when calling `CreatePhoto`. Describes how this media item is connected to its location. Must be either a category (for example, EXTERIOR) or the ID of a price list item. This is required when adding new media to a location with `CreateMediaItem`. For other types of media, for example, photos on local posts, this will not be present. | [optional] 
**mediaFormat** | **String** | The format of this media item. Must be set when the media item is created, and is read-only on all other requests. Cannot be updated. | [optional] 
**name** | **String** | The resource name for this media item. `accounts/{account_id}/locations/{location_id}/media/{media_key}` | [optional] 
**sourceUrl** | **String** | A publicly accessible URL where the media item can be retrieved from. When creating one of this or data_ref must be set to specify the source of the media item. If `source_url` was used when creating a media item, it will be populated with that source URL when the media item is retrieved. This field cannot be updated. | [optional] 
**thumbnailUrl** | **String** | Output only. Where provided, the URL of a thumbnail image for this media item. | [optional] 


<a name="MediaFormatEnum"></a>
## Enum: MediaFormatEnum


* `MEDIA_FORMAT_UNSPECIFIED` (value: `"MEDIA_FORMAT_UNSPECIFIED"`)

* `PHOTO` (value: `"PHOTO"`)

* `VIDEO` (value: `"VIDEO"`)




