/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/ListAttributeMetadataResponse'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/ListAttributeMetadataResponse'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.AttributesApi = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.ListAttributeMetadataResponse);
  }
}(this, function(ApiClient, ListAttributeMetadataResponse) {
  'use strict';

  /**
   * Attributes service.
   * @module api/AttributesApi
   * @version 1.0.0
   */

  /**
   * Constructs a new AttributesApi. 
   * @alias module:api/AttributesApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;



    /**
     * Returns the list of available attributes that would be available for a location with the given primary category and country.
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @param {String} opts.categoryId The primary category stable ID to find available attributes.
     * @param {String} opts.country The ISO 3166-1 alpha-2 country code to find available attributes.
     * @param {String} opts.languageCode The BCP 47 code of language to get attribute display names in. If this language is not available, they will be provided in English.
     * @param {String} opts.name Resource name of the location to look up available attributes.
     * @param {Number} opts.pageSize How many attributes to include per page. Default is 200, minimum is 1.
     * @param {String} opts.pageToken If specified, the next page of attribute metadata is retrieved. The `pageToken` is returned when a call to `attributes.list` returns more results than can fit into the requested page size.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ListAttributeMetadataResponse} and HTTP response
     */
    this.mybusinessAttributesListWithHttpInfo = function(opts) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'access_token': opts['accessToken'],
        'alt': opts['alt'],
        'callback': opts['callback'],
        'fields': opts['fields'],
        'key': opts['key'],
        'oauth_token': opts['oauthToken'],
        'prettyPrint': opts['prettyPrint'],
        'quotaUser': opts['quotaUser'],
        'upload_protocol': opts['uploadProtocol'],
        'uploadType': opts['uploadType'],
        'categoryId': opts['categoryId'],
        'country': opts['country'],
        'languageCode': opts['languageCode'],
        'name': opts['name'],
        'pageSize': opts['pageSize'],
        'pageToken': opts['pageToken'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = ListAttributeMetadataResponse;

      return this.apiClient.callApi(
        '/v4/attributes', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * Returns the list of available attributes that would be available for a location with the given primary category and country.
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @param {String} opts.categoryId The primary category stable ID to find available attributes.
     * @param {String} opts.country The ISO 3166-1 alpha-2 country code to find available attributes.
     * @param {String} opts.languageCode The BCP 47 code of language to get attribute display names in. If this language is not available, they will be provided in English.
     * @param {String} opts.name Resource name of the location to look up available attributes.
     * @param {Number} opts.pageSize How many attributes to include per page. Default is 200, minimum is 1.
     * @param {String} opts.pageToken If specified, the next page of attribute metadata is retrieved. The `pageToken` is returned when a call to `attributes.list` returns more results than can fit into the requested page size.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ListAttributeMetadataResponse}
     */
    this.mybusinessAttributesList = function(opts) {
      return this.mybusinessAttributesListWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }
  };

  return exports;
}));
