/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/BatchGetBusinessCategoriesResponse', 'model/ListBusinessCategoriesResponse'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/BatchGetBusinessCategoriesResponse'), require('../model/ListBusinessCategoriesResponse'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.CategoriesApi = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.BatchGetBusinessCategoriesResponse, root.GoogleMyBusinessApi.ListBusinessCategoriesResponse);
  }
}(this, function(ApiClient, BatchGetBusinessCategoriesResponse, ListBusinessCategoriesResponse) {
  'use strict';

  /**
   * Categories service.
   * @module api/CategoriesApi
   * @version 1.0.0
   */

  /**
   * Constructs a new CategoriesApi. 
   * @alias module:api/CategoriesApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;



    /**
     * Returns a list of business categories for the provided language and GConcept ids.
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @param {Array.<String>} opts.categoryIds Required. At least one name must be set. The GConcept ids the localized category names should be returned for.
     * @param {String} opts.languageCode Required. The BCP 47 code of language that the category names should be returned in.
     * @param {String} opts.regionCode Optional. The ISO 3166-1 alpha-2 country code used to infer non-standard language.
     * @param {module:model/String} opts.view Required. Specifies which parts to the Category resource should be returned in the response.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/BatchGetBusinessCategoriesResponse} and HTTP response
     */
    this.mybusinessCategoriesBatchGetWithHttpInfo = function(opts) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'access_token': opts['accessToken'],
        'alt': opts['alt'],
        'callback': opts['callback'],
        'fields': opts['fields'],
        'key': opts['key'],
        'oauth_token': opts['oauthToken'],
        'prettyPrint': opts['prettyPrint'],
        'quotaUser': opts['quotaUser'],
        'upload_protocol': opts['uploadProtocol'],
        'uploadType': opts['uploadType'],
        'languageCode': opts['languageCode'],
        'regionCode': opts['regionCode'],
        'view': opts['view'],
      };
      var collectionQueryParams = {
        'categoryIds': {
          value: opts['categoryIds'],
          collectionFormat: 'multi'
        },
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = BatchGetBusinessCategoriesResponse;

      return this.apiClient.callApi(
        '/v4/categories:batchGet', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * Returns a list of business categories for the provided language and GConcept ids.
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @param {Array.<String>} opts.categoryIds Required. At least one name must be set. The GConcept ids the localized category names should be returned for.
     * @param {String} opts.languageCode Required. The BCP 47 code of language that the category names should be returned in.
     * @param {String} opts.regionCode Optional. The ISO 3166-1 alpha-2 country code used to infer non-standard language.
     * @param {module:model/String} opts.view Required. Specifies which parts to the Category resource should be returned in the response.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/BatchGetBusinessCategoriesResponse}
     */
    this.mybusinessCategoriesBatchGet = function(opts) {
      return this.mybusinessCategoriesBatchGetWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Returns a list of business categories. Search will match the category name but not the category ID. *Note:* Search only matches the front of a category name (that is, 'food' may return 'Food Court' but not 'Fast Food Restaurant').
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @param {String} opts.languageCode The BCP 47 code of language. If the language is not available, it will default to English.
     * @param {Number} opts.pageSize How many categories to fetch per page. Default is 100, minimum is 1, and maximum page size is 100.
     * @param {String} opts.pageToken If specified, the next page of categories will be fetched.
     * @param {String} opts.regionCode The ISO 3166-1 alpha-2 country code.
     * @param {String} opts.searchTerm Optional filter string from user.
     * @param {module:model/String} opts.view Optional. Specifies which parts to the Category resource should be returned in the response.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/ListBusinessCategoriesResponse} and HTTP response
     */
    this.mybusinessCategoriesListWithHttpInfo = function(opts) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'access_token': opts['accessToken'],
        'alt': opts['alt'],
        'callback': opts['callback'],
        'fields': opts['fields'],
        'key': opts['key'],
        'oauth_token': opts['oauthToken'],
        'prettyPrint': opts['prettyPrint'],
        'quotaUser': opts['quotaUser'],
        'upload_protocol': opts['uploadProtocol'],
        'uploadType': opts['uploadType'],
        'languageCode': opts['languageCode'],
        'pageSize': opts['pageSize'],
        'pageToken': opts['pageToken'],
        'regionCode': opts['regionCode'],
        'searchTerm': opts['searchTerm'],
        'view': opts['view'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = ListBusinessCategoriesResponse;

      return this.apiClient.callApi(
        '/v4/categories', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * Returns a list of business categories. Search will match the category name but not the category ID. *Note:* Search only matches the front of a category name (that is, 'food' may return 'Food Court' but not 'Fast Food Restaurant').
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @param {String} opts.languageCode The BCP 47 code of language. If the language is not available, it will default to English.
     * @param {Number} opts.pageSize How many categories to fetch per page. Default is 100, minimum is 1, and maximum page size is 100.
     * @param {String} opts.pageToken If specified, the next page of categories will be fetched.
     * @param {String} opts.regionCode The ISO 3166-1 alpha-2 country code.
     * @param {String} opts.searchTerm Optional filter string from user.
     * @param {module:model/String} opts.view Optional. Specifies which parts to the Category resource should be returned in the response.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/ListBusinessCategoriesResponse}
     */
    this.mybusinessCategoriesList = function(opts) {
      return this.mybusinessCategoriesListWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }
  };

  return exports;
}));
