/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Chain', 'model/SearchChainsResponse'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/Chain'), require('../model/SearchChainsResponse'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ChainsApi = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Chain, root.GoogleMyBusinessApi.SearchChainsResponse);
  }
}(this, function(ApiClient, Chain, SearchChainsResponse) {
  'use strict';

  /**
   * Chains service.
   * @module api/ChainsApi
   * @version 1.0.0
   */

  /**
   * Constructs a new ChainsApi. 
   * @alias module:api/ChainsApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;



    /**
     * Gets the specified chain. Returns `NOT_FOUND` if the chain does not exist.
     * @param {String} name The chain's resource name, in the format `chains/{chain_place_id}`.
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/Chain} and HTTP response
     */
    this.mybusinessChainsGetWithHttpInfo = function(name, opts) {
      opts = opts || {};
      var postBody = null;

      // verify the required parameter 'name' is set
      if (name === undefined || name === null) {
        throw new Error("Missing the required parameter 'name' when calling mybusinessChainsGet");
      }


      var pathParams = {
        'name': name
      };
      var queryParams = {
        'access_token': opts['accessToken'],
        'alt': opts['alt'],
        'callback': opts['callback'],
        'fields': opts['fields'],
        'key': opts['key'],
        'oauth_token': opts['oauthToken'],
        'prettyPrint': opts['prettyPrint'],
        'quotaUser': opts['quotaUser'],
        'upload_protocol': opts['uploadProtocol'],
        'uploadType': opts['uploadType'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = Chain;

      return this.apiClient.callApi(
        '/v4/accounts/{name}', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * Gets the specified chain. Returns `NOT_FOUND` if the chain does not exist.
     * @param {String} name The chain's resource name, in the format `chains/{chain_place_id}`.
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/Chain}
     */
    this.mybusinessChainsGet = function(name, opts) {
      return this.mybusinessChainsGetWithHttpInfo(name, opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Searches the chain based on chain name.
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @param {String} opts.chainDisplayName Search for a chain by its name. Exact/partial/fuzzy/related queries are supported. Examples: \"walmart\", \"wal-mart\", \"walmmmart\", \"沃尔玛\"
     * @param {Number} opts.resultCount The maximum number of matched chains to return from this query. The default is 10. The maximum possible value is 500.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/SearchChainsResponse} and HTTP response
     */
    this.mybusinessChainsSearchWithHttpInfo = function(opts) {
      opts = opts || {};
      var postBody = null;


      var pathParams = {
      };
      var queryParams = {
        'access_token': opts['accessToken'],
        'alt': opts['alt'],
        'callback': opts['callback'],
        'fields': opts['fields'],
        'key': opts['key'],
        'oauth_token': opts['oauthToken'],
        'prettyPrint': opts['prettyPrint'],
        'quotaUser': opts['quotaUser'],
        'upload_protocol': opts['uploadProtocol'],
        'uploadType': opts['uploadType'],
        'chainDisplayName': opts['chainDisplayName'],
        'resultCount': opts['resultCount'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = SearchChainsResponse;

      return this.apiClient.callApi(
        '/v4/chains:search', 'GET',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * Searches the chain based on chain name.
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @param {String} opts.chainDisplayName Search for a chain by its name. Exact/partial/fuzzy/related queries are supported. Examples: \"walmart\", \"wal-mart\", \"walmmmart\", \"沃尔玛\"
     * @param {Number} opts.resultCount The maximum number of matched chains to return from this query. The default is 10. The maximum possible value is 500.
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/SearchChainsResponse}
     */
    this.mybusinessChainsSearch = function(opts) {
      return this.mybusinessChainsSearchWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }
  };

  return exports;
}));
