/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Empty', 'model/ReportGoogleLocationRequest', 'model/SearchGoogleLocationsRequest', 'model/SearchGoogleLocationsResponse'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('../model/Empty'), require('../model/ReportGoogleLocationRequest'), require('../model/SearchGoogleLocationsRequest'), require('../model/SearchGoogleLocationsResponse'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.GoogleLocationsApi = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Empty, root.GoogleMyBusinessApi.ReportGoogleLocationRequest, root.GoogleMyBusinessApi.SearchGoogleLocationsRequest, root.GoogleMyBusinessApi.SearchGoogleLocationsResponse);
  }
}(this, function(ApiClient, Empty, ReportGoogleLocationRequest, SearchGoogleLocationsRequest, SearchGoogleLocationsResponse) {
  'use strict';

  /**
   * GoogleLocations service.
   * @module api/GoogleLocationsApi
   * @version 1.0.0
   */

  /**
   * Constructs a new GoogleLocationsApi. 
   * @alias module:api/GoogleLocationsApi
   * @class
   * @param {module:ApiClient} [apiClient] Optional API client implementation to use,
   * default to {@link module:ApiClient#instance} if unspecified.
   */
  var exports = function(apiClient) {
    this.apiClient = apiClient || ApiClient.instance;



    /**
     * Report a GoogleLocation.
     * @param {String} name Resource name of a [GoogleLocation], in the format `googleLocations/{googleLocationId}`.
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @param {module:model/ReportGoogleLocationRequest} opts.body 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/Empty} and HTTP response
     */
    this.mybusinessGoogleLocationsReportWithHttpInfo = function(name, opts) {
      opts = opts || {};
      var postBody = opts['body'];

      // verify the required parameter 'name' is set
      if (name === undefined || name === null) {
        throw new Error("Missing the required parameter 'name' when calling mybusinessGoogleLocationsReport");
      }


      var pathParams = {
        'name': name
      };
      var queryParams = {
        'access_token': opts['accessToken'],
        'alt': opts['alt'],
        'callback': opts['callback'],
        'fields': opts['fields'],
        'key': opts['key'],
        'oauth_token': opts['oauthToken'],
        'prettyPrint': opts['prettyPrint'],
        'quotaUser': opts['quotaUser'],
        'upload_protocol': opts['uploadProtocol'],
        'uploadType': opts['uploadType'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = Empty;

      return this.apiClient.callApi(
        '/v4/accounts/{name}:report', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * Report a GoogleLocation.
     * @param {String} name Resource name of a [GoogleLocation], in the format `googleLocations/{googleLocationId}`.
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @param {module:model/ReportGoogleLocationRequest} opts.body 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/Empty}
     */
    this.mybusinessGoogleLocationsReport = function(name, opts) {
      return this.mybusinessGoogleLocationsReportWithHttpInfo(name, opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }


    /**
     * Search all of the possible locations that are a match to the specified request.
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @param {module:model/SearchGoogleLocationsRequest} opts.body 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with an object containing data of type {@link module:model/SearchGoogleLocationsResponse} and HTTP response
     */
    this.mybusinessGoogleLocationsSearchWithHttpInfo = function(opts) {
      opts = opts || {};
      var postBody = opts['body'];


      var pathParams = {
      };
      var queryParams = {
        'access_token': opts['accessToken'],
        'alt': opts['alt'],
        'callback': opts['callback'],
        'fields': opts['fields'],
        'key': opts['key'],
        'oauth_token': opts['oauthToken'],
        'prettyPrint': opts['prettyPrint'],
        'quotaUser': opts['quotaUser'],
        'upload_protocol': opts['uploadProtocol'],
        'uploadType': opts['uploadType'],
      };
      var collectionQueryParams = {
      };
      var headerParams = {
      };
      var formParams = {
      };

      var authNames = [];
      var contentTypes = [];
      var accepts = [];
      var returnType = SearchGoogleLocationsResponse;

      return this.apiClient.callApi(
        '/v4/googleLocations:search', 'POST',
        pathParams, queryParams, collectionQueryParams, headerParams, formParams, postBody,
        authNames, contentTypes, accepts, returnType
      );
    }

    /**
     * Search all of the possible locations that are a match to the specified request.
     * @param {Object} opts Optional parameters
     * @param {String} opts.accessToken OAuth access token.
     * @param {module:model/String} opts.alt Data format for response. (default to json)
     * @param {String} opts.callback JSONP
     * @param {String} opts.fields Selector specifying which fields to include in a partial response.
     * @param {String} opts.key API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
     * @param {String} opts.oauthToken OAuth 2.0 token for the current user.
     * @param {Boolean} opts.prettyPrint Returns response with indentations and line breaks. (default to true)
     * @param {String} opts.quotaUser Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.
     * @param {String} opts.uploadProtocol Upload protocol for media (e.g. \"raw\", \"multipart\").
     * @param {String} opts.uploadType Legacy upload protocol for media (e.g. \"media\", \"multipart\").
     * @param {module:model/SearchGoogleLocationsRequest} opts.body 
     * @return {Promise} a {@link https://www.promisejs.org/|Promise}, with data of type {@link module:model/SearchGoogleLocationsResponse}
     */
    this.mybusinessGoogleLocationsSearch = function(opts) {
      return this.mybusinessGoogleLocationsSearchWithHttpInfo(opts)
        .then(function(response_and_data) {
          return response_and_data.data;
        });
    }
  };

  return exports;
}));
