/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/AccountState', 'model/OrganizationInfo'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./AccountState'), require('./OrganizationInfo'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Account = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.AccountState, root.GoogleMyBusinessApi.OrganizationInfo);
  }
}(this, function(ApiClient, AccountState, OrganizationInfo) {
  'use strict';

  /**
   * The Account model module.
   * @module model/Account
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Account</code>.
   * An account is a container for your business's locations. If you are the only user who manages locations for your business, you can use your personal Google Account. To share management of locations with multiple users, [create a business account] (https://support.google.com/business/answer/6085339?ref_topic=6085325).
   * @alias module:model/Account
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Account</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Account} obj Optional instance to populate.
   * @return {module:model/Account} The populated <code>Account</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('accountName'))
        obj.accountName = ApiClient.convertToType(data['accountName'], 'String');
      if (data.hasOwnProperty('accountNumber'))
        obj.accountNumber = ApiClient.convertToType(data['accountNumber'], 'String');
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('organizationInfo'))
        obj.organizationInfo = OrganizationInfo.constructFromObject(data['organizationInfo']);
      if (data.hasOwnProperty('permissionLevel'))
        obj.permissionLevel = ApiClient.convertToType(data['permissionLevel'], 'String');
      if (data.hasOwnProperty('role'))
        obj.role = ApiClient.convertToType(data['role'], 'String');
      if (data.hasOwnProperty('state'))
        obj.state = AccountState.constructFromObject(data['state']);
      if (data.hasOwnProperty('type'))
        obj.type = ApiClient.convertToType(data['type'], 'String');
    }
    return obj;
  }

  /**
   * The name of the account. *Note:* For an account with AccountType `PERSONAL`, this is the first and last name of the user account.
   * @member {String} accountName
   */
  exports.prototype.accountName = undefined;

  /**
   * Account reference number if provisioned.
   * @member {String} accountNumber
   */
  exports.prototype.accountNumber = undefined;

  /**
   * The resource name, in the format `accounts/{account_id}`.
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * Additional info for an organization. This is populated only for an organization account.
   * @member {module:model/OrganizationInfo} organizationInfo
   */
  exports.prototype.organizationInfo = undefined;

  /**
   * Output only. Specifies the PermissionLevel the caller has for this account.
   * @member {module:model/Account.PermissionLevelEnum} permissionLevel
   */
  exports.prototype.permissionLevel = undefined;

  /**
   * Output only. Specifies the AccountRole the caller has for this account.
   * @member {module:model/Account.RoleEnum} role
   */
  exports.prototype.role = undefined;

  /**
   * Output only. Indicates the AccountState of this account.
   * @member {module:model/AccountState} state
   */
  exports.prototype.state = undefined;

  /**
   * Output only. Specifies the AccountType of this account.
   * @member {module:model/Account.TypeEnum} type
   */
  exports.prototype.type = undefined;


  /**
   * Allowed values for the <code>permissionLevel</code> property.
   * @enum {String}
   * @readonly
   */
  exports.PermissionLevelEnum = {
    /**
     * value: "PERMISSION_LEVEL_UNSPECIFIED"
     * @const
     */
    PERMISSION_LEVEL_UNSPECIFIED: "PERMISSION_LEVEL_UNSPECIFIED",

    /**
     * value: "OWNER_LEVEL"
     * @const
     */
    OWNER_LEVEL: "OWNER_LEVEL",

    /**
     * value: "MEMBER_LEVEL"
     * @const
     */
    MEMBER_LEVEL: "MEMBER_LEVEL"
  };


  /**
   * Allowed values for the <code>role</code> property.
   * @enum {String}
   * @readonly
   */
  exports.RoleEnum = {
    /**
     * value: "ACCOUNT_ROLE_UNSPECIFIED"
     * @const
     */
    ACCOUNT_ROLE_UNSPECIFIED: "ACCOUNT_ROLE_UNSPECIFIED",

    /**
     * value: "OWNER"
     * @const
     */
    OWNER: "OWNER",

    /**
     * value: "CO_OWNER"
     * @const
     */
    CO_OWNER: "CO_OWNER",

    /**
     * value: "MANAGER"
     * @const
     */
    MANAGER: "MANAGER",

    /**
     * value: "COMMUNITY_MANAGER"
     * @const
     */
    COMMUNITY_MANAGER: "COMMUNITY_MANAGER"
  };


  /**
   * Allowed values for the <code>type</code> property.
   * @enum {String}
   * @readonly
   */
  exports.TypeEnum = {
    /**
     * value: "ACCOUNT_TYPE_UNSPECIFIED"
     * @const
     */
    ACCOUNT_TYPE_UNSPECIFIED: "ACCOUNT_TYPE_UNSPECIFIED",

    /**
     * value: "PERSONAL"
     * @const
     */
    PERSONAL: "PERSONAL",

    /**
     * value: "LOCATION_GROUP"
     * @const
     */
    LOCATION_GROUP: "LOCATION_GROUP",

    /**
     * value: "USER_GROUP"
     * @const
     */
    USER_GROUP: "USER_GROUP",

    /**
     * value: "ORGANIZATION"
     * @const
     */
    ORGANIZATION: "ORGANIZATION"
  };

  return exports;

}));
