/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.AccountState = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The AccountState model module.
   * @module model/AccountState
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>AccountState</code>.
   * Indicates status of the account, such as whether the account has been verified by Google.
   * @alias module:model/AccountState
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>AccountState</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/AccountState} obj Optional instance to populate.
   * @return {module:model/AccountState} The populated <code>AccountState</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('status'))
        obj.status = ApiClient.convertToType(data['status'], 'String');
    }
    return obj;
  }

  /**
   * If verified, future locations that are created are automatically connected to Google Maps, and have Google+ pages created, without requiring moderation.
   * @member {module:model/AccountState.StatusEnum} status
   */
  exports.prototype.status = undefined;


  /**
   * Allowed values for the <code>status</code> property.
   * @enum {String}
   * @readonly
   */
  exports.StatusEnum = {
    /**
     * value: "ACCOUNT_STATUS_UNSPECIFIED"
     * @const
     */
    ACCOUNT_STATUS_UNSPECIFIED: "ACCOUNT_STATUS_UNSPECIFIED",

    /**
     * value: "VERIFIED"
     * @const
     */
    VERIFIED: "VERIFIED",

    /**
     * value: "UNVERIFIED"
     * @const
     */
    UNVERIFIED: "UNVERIFIED",

    /**
     * value: "VERIFICATION_REQUESTED"
     * @const
     */
    VERIFICATION_REQUESTED: "VERIFICATION_REQUESTED"
  };

  return exports;

}));
