/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/PostalAddress'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./PostalAddress'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.AddressVerificationData = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.PostalAddress);
  }
}(this, function(ApiClient, PostalAddress) {
  'use strict';

  /**
   * The AddressVerificationData model module.
   * @module model/AddressVerificationData
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>AddressVerificationData</code>.
   * Display data for verifications through postcard.
   * @alias module:model/AddressVerificationData
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>AddressVerificationData</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/AddressVerificationData} obj Optional instance to populate.
   * @return {module:model/AddressVerificationData} The populated <code>AddressVerificationData</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('address'))
        obj.address = PostalAddress.constructFromObject(data['address']);
      if (data.hasOwnProperty('businessName'))
        obj.businessName = ApiClient.convertToType(data['businessName'], 'String');
    }
    return obj;
  }

  /**
   * Address that a postcard can be sent to.
   * @member {module:model/PostalAddress} address
   */
  exports.prototype.address = undefined;

  /**
   * Merchant's business name.
   * @member {String} businessName
   */
  exports.prototype.businessName = undefined;

  return exports;

}));
