/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Admin = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The Admin model module.
   * @module model/Admin
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Admin</code>.
   * An administrator of an Account or a Location.
   * @alias module:model/Admin
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Admin</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Admin} obj Optional instance to populate.
   * @return {module:model/Admin} The populated <code>Admin</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('adminName'))
        obj.adminName = ApiClient.convertToType(data['adminName'], 'String');
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('pendingInvitation'))
        obj.pendingInvitation = ApiClient.convertToType(data['pendingInvitation'], 'Boolean');
      if (data.hasOwnProperty('role'))
        obj.role = ApiClient.convertToType(data['role'], 'String');
    }
    return obj;
  }

  /**
   * The name of the admin. When making the initial invitation, this is the invitee's email address. On `GET` calls, the user's email address is returned if the invitation is still pending. Otherwise, it contains the user's first and last names.
   * @member {String} adminName
   */
  exports.prototype.adminName = undefined;

  /**
   * The resource name. For account admins, this is in the form: `accounts/{account_id}/admins/{admin_id}` For location admins, this is in the form: `accounts/{account_id}/locations/{location_id}/admins/{admin_id}`
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * Output only. Indicates whether this admin has a pending invitation for the specified resource.
   * @member {Boolean} pendingInvitation
   */
  exports.prototype.pendingInvitation = undefined;

  /**
   * Specifies the AdminRole that this admin uses with the specified Account or Location resource.
   * @member {module:model/Admin.RoleEnum} role
   */
  exports.prototype.role = undefined;


  /**
   * Allowed values for the <code>role</code> property.
   * @enum {String}
   * @readonly
   */
  exports.RoleEnum = {
    /**
     * value: "ADMIN_ROLE_UNSPECIFIED"
     * @const
     */
    ADMIN_ROLE_UNSPECIFIED: "ADMIN_ROLE_UNSPECIFIED",

    /**
     * value: "OWNER"
     * @const
     */
    OWNER: "OWNER",

    /**
     * value: "CO_OWNER"
     * @const
     */
    CO_OWNER: "CO_OWNER",

    /**
     * value: "MANAGER"
     * @const
     */
    MANAGER: "MANAGER",

    /**
     * value: "COMMUNITY_MANAGER"
     * @const
     */
    COMMUNITY_MANAGER: "COMMUNITY_MANAGER"
  };

  return exports;

}));
