/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Author'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Author'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Answer = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Author);
  }
}(this, function(ApiClient, Author) {
  'use strict';

  /**
   * The Answer model module.
   * @module model/Answer
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Answer</code>.
   * Represents an answer to a question
   * @alias module:model/Answer
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Answer</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Answer} obj Optional instance to populate.
   * @return {module:model/Answer} The populated <code>Answer</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('author'))
        obj.author = Author.constructFromObject(data['author']);
      if (data.hasOwnProperty('createTime'))
        obj.createTime = ApiClient.convertToType(data['createTime'], 'String');
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('text'))
        obj.text = ApiClient.convertToType(data['text'], 'String');
      if (data.hasOwnProperty('updateTime'))
        obj.updateTime = ApiClient.convertToType(data['updateTime'], 'String');
      if (data.hasOwnProperty('upvoteCount'))
        obj.upvoteCount = ApiClient.convertToType(data['upvoteCount'], 'Number');
    }
    return obj;
  }

  /**
   * Output only. The author of the answer.
   * @member {module:model/Author} author
   */
  exports.prototype.author = undefined;

  /**
   * Output only. The timestamp for when the answer was written.
   * @member {String} createTime
   */
  exports.prototype.createTime = undefined;

  /**
   * Output only. The unique name for the answer accounts/_*_/locations/_*_/questions/_*_/answers/_*
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * The text of the answer. It should contain at least one non-whitespace character. The maximum length is 4096 characters.
   * @member {String} text
   */
  exports.prototype.text = undefined;

  /**
   * Output only. The timestamp for when the answer was last modified.
   * @member {String} updateTime
   */
  exports.prototype.updateTime = undefined;

  /**
   * Output only. The number of upvotes for the answer.
   * @member {Number} upvoteCount
   */
  exports.prototype.upvoteCount = undefined;

  return exports;

}));
