/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/RepeatedEnumAttributeValue', 'model/UrlAttributeValue'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./RepeatedEnumAttributeValue'), require('./UrlAttributeValue'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Attribute = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.RepeatedEnumAttributeValue, root.GoogleMyBusinessApi.UrlAttributeValue);
  }
}(this, function(ApiClient, RepeatedEnumAttributeValue, UrlAttributeValue) {
  'use strict';

  /**
   * The Attribute model module.
   * @module model/Attribute
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Attribute</code>.
   * A location attribute. Attributes provide additional information about a location. The attributes that can be set on a location may vary based on the properties of that location (for example, category). Available attributes are determined by Google and may be added and removed without API changes.
   * @alias module:model/Attribute
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Attribute</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Attribute} obj Optional instance to populate.
   * @return {module:model/Attribute} The populated <code>Attribute</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('attributeId'))
        obj.attributeId = ApiClient.convertToType(data['attributeId'], 'String');
      if (data.hasOwnProperty('repeatedEnumValue'))
        obj.repeatedEnumValue = RepeatedEnumAttributeValue.constructFromObject(data['repeatedEnumValue']);
      if (data.hasOwnProperty('urlValues'))
        obj.urlValues = ApiClient.convertToType(data['urlValues'], [UrlAttributeValue]);
      if (data.hasOwnProperty('valueType'))
        obj.valueType = ApiClient.convertToType(data['valueType'], 'String');
      if (data.hasOwnProperty('values'))
        obj.values = ApiClient.convertToType(data['values'], [Object]);
    }
    return obj;
  }

  /**
   * The ID of the attribute. Attribute IDs are provided by Google.
   * @member {String} attributeId
   */
  exports.prototype.attributeId = undefined;

  /**
   * When the attribute value type is REPEATED_ENUM, this contains the attribute value, and the other values fields must be empty.
   * @member {module:model/RepeatedEnumAttributeValue} repeatedEnumValue
   */
  exports.prototype.repeatedEnumValue = undefined;

  /**
   * When the attribute value type is URL, this field contains the value(s) for this attribute, and the other values fields must be empty.
   * @member {Array.<module:model/UrlAttributeValue>} urlValues
   */
  exports.prototype.urlValues = undefined;

  /**
   * Output only. The type of value that this attribute contains. This should be used to determine how to interpret the value.
   * @member {module:model/Attribute.ValueTypeEnum} valueType
   */
  exports.prototype.valueType = undefined;

  /**
   * The values for this attribute. The type of the values supplied must match that expected for that attribute; see [AttributeValueType](/my-business/reference/rest/v4/AttributeValueType). This is a repeated field where multiple attribute values may be provided. Attribute types only support one value.
   * @member {Array.<Object>} values
   */
  exports.prototype.values = undefined;


  /**
   * Allowed values for the <code>valueType</code> property.
   * @enum {String}
   * @readonly
   */
  exports.ValueTypeEnum = {
    /**
     * value: "ATTRIBUTE_VALUE_TYPE_UNSPECIFIED"
     * @const
     */
    ATTRIBUTE_VALUE_TYPE_UNSPECIFIED: "ATTRIBUTE_VALUE_TYPE_UNSPECIFIED",

    /**
     * value: "BOOL"
     * @const
     */
    BOOL: "BOOL",

    /**
     * value: "ENUM"
     * @const
     */
    ENUM: "ENUM",

    /**
     * value: "URL"
     * @const
     */
    URL: "URL",

    /**
     * value: "REPEATED_ENUM"
     * @const
     */
    REPEATED_ENUM: "REPEATED_ENUM"
  };

  return exports;

}));
