/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/AttributeValueMetadata'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./AttributeValueMetadata'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.AttributeMetadata = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.AttributeValueMetadata);
  }
}(this, function(ApiClient, AttributeValueMetadata) {
  'use strict';

  /**
   * The AttributeMetadata model module.
   * @module model/AttributeMetadata
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>AttributeMetadata</code>.
   * Metadata for an attribute. Contains display information for the attribute, including a localized name and a heading for grouping related attributes together.
   * @alias module:model/AttributeMetadata
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>AttributeMetadata</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/AttributeMetadata} obj Optional instance to populate.
   * @return {module:model/AttributeMetadata} The populated <code>AttributeMetadata</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('attributeId'))
        obj.attributeId = ApiClient.convertToType(data['attributeId'], 'String');
      if (data.hasOwnProperty('displayName'))
        obj.displayName = ApiClient.convertToType(data['displayName'], 'String');
      if (data.hasOwnProperty('groupDisplayName'))
        obj.groupDisplayName = ApiClient.convertToType(data['groupDisplayName'], 'String');
      if (data.hasOwnProperty('isDeprecated'))
        obj.isDeprecated = ApiClient.convertToType(data['isDeprecated'], 'Boolean');
      if (data.hasOwnProperty('isRepeatable'))
        obj.isRepeatable = ApiClient.convertToType(data['isRepeatable'], 'Boolean');
      if (data.hasOwnProperty('valueMetadata'))
        obj.valueMetadata = ApiClient.convertToType(data['valueMetadata'], [AttributeValueMetadata]);
      if (data.hasOwnProperty('valueType'))
        obj.valueType = ApiClient.convertToType(data['valueType'], 'String');
    }
    return obj;
  }

  /**
   * The ID of the attribute.
   * @member {String} attributeId
   */
  exports.prototype.attributeId = undefined;

  /**
   * The localized display name for the attribute, if available; otherwise, the English display name.
   * @member {String} displayName
   */
  exports.prototype.displayName = undefined;

  /**
   * The localized display name of the group that contains this attribute, if available; otherwise, the English group name. Related attributes are collected into a group and should be displayed together under the heading given here.
   * @member {String} groupDisplayName
   */
  exports.prototype.groupDisplayName = undefined;

  /**
   * If true, the attribute is deprecated and should no longer be used. If deprecated, updating this attribute will not result in an error, but updates will not be saved. At some point after being deprecated, the attribute will be removed entirely and it will become an error.
   * @member {Boolean} isDeprecated
   */
  exports.prototype.isDeprecated = undefined;

  /**
   * If true, the attribute supports multiple values. If false, only a single value should be provided.
   * @member {Boolean} isRepeatable
   */
  exports.prototype.isRepeatable = undefined;

  /**
   * For some types of attributes (for example, enums), a list of supported values and corresponding display names for those values is provided.
   * @member {Array.<module:model/AttributeValueMetadata>} valueMetadata
   */
  exports.prototype.valueMetadata = undefined;

  /**
   * The value type for the attribute. Values set and retrieved should be expected to be of this type.
   * @member {module:model/AttributeMetadata.ValueTypeEnum} valueType
   */
  exports.prototype.valueType = undefined;


  /**
   * Allowed values for the <code>valueType</code> property.
   * @enum {String}
   * @readonly
   */
  exports.ValueTypeEnum = {
    /**
     * value: "ATTRIBUTE_VALUE_TYPE_UNSPECIFIED"
     * @const
     */
    ATTRIBUTE_VALUE_TYPE_UNSPECIFIED: "ATTRIBUTE_VALUE_TYPE_UNSPECIFIED",

    /**
     * value: "BOOL"
     * @const
     */
    BOOL: "BOOL",

    /**
     * value: "ENUM"
     * @const
     */
    ENUM: "ENUM",

    /**
     * value: "URL"
     * @const
     */
    URL: "URL",

    /**
     * value: "REPEATED_ENUM"
     * @const
     */
    REPEATED_ENUM: "REPEATED_ENUM"
  };

  return exports;

}));
