/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Attribution = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The Attribution model module.
   * @module model/Attribution
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Attribution</code>.
   * Attribution information for customer media items, such as the contributor's name and profile picture.
   * @alias module:model/Attribution
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Attribution</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Attribution} obj Optional instance to populate.
   * @return {module:model/Attribution} The populated <code>Attribution</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('profileName'))
        obj.profileName = ApiClient.convertToType(data['profileName'], 'String');
      if (data.hasOwnProperty('profilePhotoUrl'))
        obj.profilePhotoUrl = ApiClient.convertToType(data['profilePhotoUrl'], 'String');
      if (data.hasOwnProperty('profileUrl'))
        obj.profileUrl = ApiClient.convertToType(data['profileUrl'], 'String');
      if (data.hasOwnProperty('takedownUrl'))
        obj.takedownUrl = ApiClient.convertToType(data['takedownUrl'], 'String');
    }
    return obj;
  }

  /**
   * The user name to attribute the media item to.
   * @member {String} profileName
   */
  exports.prototype.profileName = undefined;

  /**
   * URL of the attributed user's profile photo thumbnail.
   * @member {String} profilePhotoUrl
   */
  exports.prototype.profilePhotoUrl = undefined;

  /**
   * The URL of the attributed user's Google Maps profile page.
   * @member {String} profileUrl
   */
  exports.prototype.profileUrl = undefined;

  /**
   * The URL of the takedown page, where the media item can be reported if it is inappropriate.
   * @member {String} takedownUrl
   */
  exports.prototype.takedownUrl = undefined;

  return exports;

}));
