/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Author = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The Author model module.
   * @module model/Author
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Author</code>.
   * Represents the author of a question or answer
   * @alias module:model/Author
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Author</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Author} obj Optional instance to populate.
   * @return {module:model/Author} The populated <code>Author</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('displayName'))
        obj.displayName = ApiClient.convertToType(data['displayName'], 'String');
      if (data.hasOwnProperty('profilePhotoUrl'))
        obj.profilePhotoUrl = ApiClient.convertToType(data['profilePhotoUrl'], 'String');
      if (data.hasOwnProperty('type'))
        obj.type = ApiClient.convertToType(data['type'], 'String');
    }
    return obj;
  }

  /**
   * The display name of the user
   * @member {String} displayName
   */
  exports.prototype.displayName = undefined;

  /**
   * The profile photo URL of the user.
   * @member {String} profilePhotoUrl
   */
  exports.prototype.profilePhotoUrl = undefined;

  /**
   * The type of user the author is.
   * @member {module:model/Author.TypeEnum} type
   */
  exports.prototype.type = undefined;


  /**
   * Allowed values for the <code>type</code> property.
   * @enum {String}
   * @readonly
   */
  exports.TypeEnum = {
    /**
     * value: "AUTHOR_TYPE_UNSPECIFIED"
     * @const
     */
    AUTHOR_TYPE_UNSPECIFIED: "AUTHOR_TYPE_UNSPECIFIED",

    /**
     * value: "REGULAR_USER"
     * @const
     */
    REGULAR_USER: "REGULAR_USER",

    /**
     * value: "LOCAL_GUIDE"
     * @const
     */
    LOCAL_GUIDE: "LOCAL_GUIDE",

    /**
     * value: "MERCHANT"
     * @const
     */
    MERCHANT: "MERCHANT"
  };

  return exports;

}));
