/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/MetricRequest', 'model/TimeRange'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./MetricRequest'), require('./TimeRange'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.BasicMetricsRequest = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.MetricRequest, root.GoogleMyBusinessApi.TimeRange);
  }
}(this, function(ApiClient, MetricRequest, TimeRange) {
  'use strict';

  /**
   * The BasicMetricsRequest model module.
   * @module model/BasicMetricsRequest
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>BasicMetricsRequest</code>.
   * A request for basic metric insights.
   * @alias module:model/BasicMetricsRequest
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>BasicMetricsRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/BasicMetricsRequest} obj Optional instance to populate.
   * @return {module:model/BasicMetricsRequest} The populated <code>BasicMetricsRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('metricRequests'))
        obj.metricRequests = ApiClient.convertToType(data['metricRequests'], [MetricRequest]);
      if (data.hasOwnProperty('timeRange'))
        obj.timeRange = TimeRange.constructFromObject(data['timeRange']);
    }
    return obj;
  }

  /**
   * A collection of metrics to return values for including the options for how the data should be returned.
   * @member {Array.<module:model/MetricRequest>} metricRequests
   */
  exports.prototype.metricRequests = undefined;

  /**
   * The range to gather metrics for. The maximum range is 18 months from the request date. In some cases, the data may still be missing for days close to the request date. Missing data will be specified in the `metricValues` in the response.
   * @member {module:model/TimeRange} timeRange
   */
  exports.prototype.timeRange = undefined;

  return exports;

}));
