/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.BatchGetReviewsRequest = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The BatchGetReviewsRequest model module.
   * @module model/BatchGetReviewsRequest
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>BatchGetReviewsRequest</code>.
   * Request message for Reviews.BatchGetReviews.
   * @alias module:model/BatchGetReviewsRequest
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>BatchGetReviewsRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/BatchGetReviewsRequest} obj Optional instance to populate.
   * @return {module:model/BatchGetReviewsRequest} The populated <code>BatchGetReviewsRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('ignoreRatingOnlyReviews'))
        obj.ignoreRatingOnlyReviews = ApiClient.convertToType(data['ignoreRatingOnlyReviews'], 'Boolean');
      if (data.hasOwnProperty('locationNames'))
        obj.locationNames = ApiClient.convertToType(data['locationNames'], ['String']);
      if (data.hasOwnProperty('orderBy'))
        obj.orderBy = ApiClient.convertToType(data['orderBy'], 'String');
      if (data.hasOwnProperty('pageSize'))
        obj.pageSize = ApiClient.convertToType(data['pageSize'], 'Number');
      if (data.hasOwnProperty('pageToken'))
        obj.pageToken = ApiClient.convertToType(data['pageToken'], 'String');
    }
    return obj;
  }

  /**
   * Whether to ignore rating-only reviews.
   * @member {Boolean} ignoreRatingOnlyReviews
   */
  exports.prototype.ignoreRatingOnlyReviews = undefined;

  /**
   * A collection of locations to fetch reviews for, specified by their names.
   * @member {Array.<String>} locationNames
   */
  exports.prototype.locationNames = undefined;

  /**
   * Optional. Specifies the field to sort reviews by. If unspecified, the order of reviews returned will default to `update_time desc`. Valid orders to sort by are `rating`, `rating desc` and `update_time desc`. `rating` will return reviews in ascending order. `update_time`(i.e. ascending order) is not supported.
   * @member {String} orderBy
   */
  exports.prototype.orderBy = undefined;

  /**
   * How many reviews to fetch per page. The default value is 200.
   * @member {Number} pageSize
   */
  exports.prototype.pageSize = undefined;

  /**
   * If specified, it fetches the next page of reviews.
   * @member {String} pageToken
   */
  exports.prototype.pageToken = undefined;

  return exports;

}));
