/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/LocationReview'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./LocationReview'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.BatchGetReviewsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.LocationReview);
  }
}(this, function(ApiClient, LocationReview) {
  'use strict';

  /**
   * The BatchGetReviewsResponse model module.
   * @module model/BatchGetReviewsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>BatchGetReviewsResponse</code>.
   * Response message for Reviews.BatchGetReviews.
   * @alias module:model/BatchGetReviewsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>BatchGetReviewsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/BatchGetReviewsResponse} obj Optional instance to populate.
   * @return {module:model/BatchGetReviewsResponse} The populated <code>BatchGetReviewsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('locationReviews'))
        obj.locationReviews = ApiClient.convertToType(data['locationReviews'], [LocationReview]);
      if (data.hasOwnProperty('nextPageToken'))
        obj.nextPageToken = ApiClient.convertToType(data['nextPageToken'], 'String');
    }
    return obj;
  }

  /**
   * Reviews with location information.
   * @member {Array.<module:model/LocationReview>} locationReviews
   */
  exports.prototype.locationReviews = undefined;

  /**
   * If the number of reviews exceeded the requested page size, this field is populated with a token to fetch the next page of reviews on a subsequent calls. If there are no more reviews, this field will not be present in the response.
   * @member {String} nextPageToken
   */
  exports.prototype.nextPageToken = undefined;

  return exports;

}));
