/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.CallToAction = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The CallToAction model module.
   * @module model/CallToAction
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>CallToAction</code>.
   * An action that is performed when the user clicks through the post
   * @alias module:model/CallToAction
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>CallToAction</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/CallToAction} obj Optional instance to populate.
   * @return {module:model/CallToAction} The populated <code>CallToAction</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('actionType'))
        obj.actionType = ApiClient.convertToType(data['actionType'], 'String');
      if (data.hasOwnProperty('url'))
        obj.url = ApiClient.convertToType(data['url'], 'String');
    }
    return obj;
  }

  /**
   * The type of action that will be performed.
   * @member {module:model/CallToAction.ActionTypeEnum} actionType
   */
  exports.prototype.actionType = undefined;

  /**
   * The URL the user will be directed to upon clicking. This field should be left unset for Call CTA.
   * @member {String} url
   */
  exports.prototype.url = undefined;


  /**
   * Allowed values for the <code>actionType</code> property.
   * @enum {String}
   * @readonly
   */
  exports.ActionTypeEnum = {
    /**
     * value: "ACTION_TYPE_UNSPECIFIED"
     * @const
     */
    ACTION_TYPE_UNSPECIFIED: "ACTION_TYPE_UNSPECIFIED",

    /**
     * value: "BOOK"
     * @const
     */
    BOOK: "BOOK",

    /**
     * value: "ORDER"
     * @const
     */
    ORDER: "ORDER",

    /**
     * value: "SHOP"
     * @const
     */
    SHOP: "SHOP",

    /**
     * value: "LEARN_MORE"
     * @const
     */
    LEARN_MORE: "LEARN_MORE",

    /**
     * value: "SIGN_UP"
     * @const
     */
    SIGN_UP: "SIGN_UP",

    /**
     * value: "GET_OFFER"
     * @const
     */
    GET_OFFER: "GET_OFFER",

    /**
     * value: "CALL"
     * @const
     */
    CALL: "CALL"
  };

  return exports;

}));
