/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/ServiceType'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./ServiceType'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Category = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.ServiceType);
  }
}(this, function(ApiClient, ServiceType) {
  'use strict';

  /**
   * The Category model module.
   * @module model/Category
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Category</code>.
   * A category describing what this business is (not what it does). For a list of valid category IDs, and the mappings to their human-readable names, see [categories.list](/my-business/reference/rest/v4/categories/list).
   * @alias module:model/Category
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Category</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Category} obj Optional instance to populate.
   * @return {module:model/Category} The populated <code>Category</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('categoryId'))
        obj.categoryId = ApiClient.convertToType(data['categoryId'], 'String');
      if (data.hasOwnProperty('displayName'))
        obj.displayName = ApiClient.convertToType(data['displayName'], 'String');
      if (data.hasOwnProperty('serviceTypes'))
        obj.serviceTypes = ApiClient.convertToType(data['serviceTypes'], [ServiceType]);
    }
    return obj;
  }

  /**
   * @OutputOnly. A stable ID (provided by Google) for this category. The `category_id` must be specified when modifying the category (when creating or updating a location).
   * @member {String} categoryId
   */
  exports.prototype.categoryId = undefined;

  /**
   * @OutputOnly. The human-readable name of the category. This is set when reading the location. When modifying the location, `category_id` must be set.
   * @member {String} displayName
   */
  exports.prototype.displayName = undefined;

  /**
   * @OutputOnly. It provides a list of all the service types that are available for this business category.
   * @member {Array.<module:model/ServiceType>} serviceTypes
   */
  exports.prototype.serviceTypes = undefined;

  return exports;

}));
