/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/ChainName', 'model/ChainUrl'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./ChainName'), require('./ChainUrl'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Chain = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.ChainName, root.GoogleMyBusinessApi.ChainUrl);
  }
}(this, function(ApiClient, ChainName, ChainUrl) {
  'use strict';

  /**
   * The Chain model module.
   * @module model/Chain
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Chain</code>.
   * A chain is a brand that your business's locations can be affiliated with.
   * @alias module:model/Chain
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Chain</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Chain} obj Optional instance to populate.
   * @return {module:model/Chain} The populated <code>Chain</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('chainNames'))
        obj.chainNames = ApiClient.convertToType(data['chainNames'], [ChainName]);
      if (data.hasOwnProperty('locationCount'))
        obj.locationCount = ApiClient.convertToType(data['locationCount'], 'Number');
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('websites'))
        obj.websites = ApiClient.convertToType(data['websites'], [ChainUrl]);
    }
    return obj;
  }

  /**
   * Names of the chain.
   * @member {Array.<module:model/ChainName>} chainNames
   */
  exports.prototype.chainNames = undefined;

  /**
   * Number of locations that are part of this chain.
   * @member {Number} locationCount
   */
  exports.prototype.locationCount = undefined;

  /**
   * The chain's resource name, in the format `chains/{chain_place_id}`.
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * Websites of the chain.
   * @member {Array.<module:model/ChainUrl>} websites
   */
  exports.prototype.websites = undefined;

  return exports;

}));
