/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/TimeDimension'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./TimeDimension'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.DimensionalMetricValue = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.TimeDimension);
  }
}(this, function(ApiClient, TimeDimension) {
  'use strict';

  /**
   * The DimensionalMetricValue model module.
   * @module model/DimensionalMetricValue
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>DimensionalMetricValue</code>.
   * A value for a single metric with a given time dimension.
   * @alias module:model/DimensionalMetricValue
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>DimensionalMetricValue</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/DimensionalMetricValue} obj Optional instance to populate.
   * @return {module:model/DimensionalMetricValue} The populated <code>DimensionalMetricValue</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('metricOption'))
        obj.metricOption = ApiClient.convertToType(data['metricOption'], 'String');
      if (data.hasOwnProperty('timeDimension'))
        obj.timeDimension = TimeDimension.constructFromObject(data['timeDimension']);
      if (data.hasOwnProperty('value'))
        obj.value = ApiClient.convertToType(data['value'], 'String');
    }
    return obj;
  }

  /**
   * The option that requested this dimensional value.
   * @member {module:model/DimensionalMetricValue.MetricOptionEnum} metricOption
   */
  exports.prototype.metricOption = undefined;

  /**
   * The dimension for the value.
   * @member {module:model/TimeDimension} timeDimension
   */
  exports.prototype.timeDimension = undefined;

  /**
   * The value. If no value is set, then the requested data is missing.
   * @member {String} value
   */
  exports.prototype.value = undefined;


  /**
   * Allowed values for the <code>metricOption</code> property.
   * @enum {String}
   * @readonly
   */
  exports.MetricOptionEnum = {
    /**
     * value: "METRIC_OPTION_UNSPECIFIED"
     * @const
     */
    METRIC_OPTION_UNSPECIFIED: "METRIC_OPTION_UNSPECIFIED",

    /**
     * value: "AGGREGATED_TOTAL"
     * @const
     */
    AGGREGATED_TOTAL: "AGGREGATED_TOTAL",

    /**
     * value: "AGGREGATED_DAILY"
     * @const
     */
    AGGREGATED_DAILY: "AGGREGATED_DAILY",

    /**
     * value: "BREAKDOWN_DAY_OF_WEEK"
     * @const
     */
    BREAKDOWN_DAY_OF_WEEK: "BREAKDOWN_DAY_OF_WEEK",

    /**
     * value: "BREAKDOWN_HOUR_OF_DAY"
     * @const
     */
    BREAKDOWN_HOUR_OF_DAY: "BREAKDOWN_HOUR_OF_DAY"
  };

  return exports;

}));
