/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Dimensions = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The Dimensions model module.
   * @module model/Dimensions
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Dimensions</code>.
   * Dimensions of the media item.
   * @alias module:model/Dimensions
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Dimensions</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Dimensions} obj Optional instance to populate.
   * @return {module:model/Dimensions} The populated <code>Dimensions</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('heightPixels'))
        obj.heightPixels = ApiClient.convertToType(data['heightPixels'], 'Number');
      if (data.hasOwnProperty('widthPixels'))
        obj.widthPixels = ApiClient.convertToType(data['widthPixels'], 'Number');
    }
    return obj;
  }

  /**
   * Height of the media item, in pixels.
   * @member {Number} heightPixels
   */
  exports.prototype.heightPixels = undefined;

  /**
   * Width of the media item, in pixels.
   * @member {Number} widthPixels
   */
  exports.prototype.widthPixels = undefined;

  return exports;

}));
