/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.DrivingDirectionMetricsRequest = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The DrivingDirectionMetricsRequest model module.
   * @module model/DrivingDirectionMetricsRequest
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>DrivingDirectionMetricsRequest</code>.
   * A request for driving direction insights.
   * @alias module:model/DrivingDirectionMetricsRequest
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>DrivingDirectionMetricsRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/DrivingDirectionMetricsRequest} obj Optional instance to populate.
   * @return {module:model/DrivingDirectionMetricsRequest} The populated <code>DrivingDirectionMetricsRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('languageCode'))
        obj.languageCode = ApiClient.convertToType(data['languageCode'], 'String');
      if (data.hasOwnProperty('numDays'))
        obj.numDays = ApiClient.convertToType(data['numDays'], 'String');
    }
    return obj;
  }

  /**
   * The BCP 47 code for the language. If a language code is not provided, it defaults to English.
   * @member {String} languageCode
   */
  exports.prototype.languageCode = undefined;

  /**
   * The number of days to aggregate data for. Results returned will be available data over the last number of requested days. Valid values are 7, 30, and 90.
   * @member {module:model/DrivingDirectionMetricsRequest.NumDaysEnum} numDays
   */
  exports.prototype.numDays = undefined;


  /**
   * Allowed values for the <code>numDays</code> property.
   * @enum {String}
   * @readonly
   */
  exports.NumDaysEnum = {
    /**
     * value: "SEVEN"
     * @const
     */
    SEVEN: "SEVEN",

    /**
     * value: "THIRTY"
     * @const
     */
    THIRTY: "THIRTY",

    /**
     * value: "NINETY"
     * @const
     */
    NINETY: "NINETY"
  };

  return exports;

}));
