/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Duplicate = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The Duplicate model module.
   * @module model/Duplicate
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Duplicate</code>.
   * Information about the location that this location duplicates.
   * @alias module:model/Duplicate
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Duplicate</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Duplicate} obj Optional instance to populate.
   * @return {module:model/Duplicate} The populated <code>Duplicate</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('access'))
        obj.access = ApiClient.convertToType(data['access'], 'String');
      if (data.hasOwnProperty('locationName'))
        obj.locationName = ApiClient.convertToType(data['locationName'], 'String');
      if (data.hasOwnProperty('placeId'))
        obj.placeId = ApiClient.convertToType(data['placeId'], 'String');
    }
    return obj;
  }

  /**
   * Indicates whether the user has access to the location it duplicates.
   * @member {module:model/Duplicate.AccessEnum} access
   */
  exports.prototype.access = undefined;

  /**
   * The resource name of the location that this duplicates. Only populated if the authenticated user has access rights to that location and that location is not deleted.
   * @member {String} locationName
   */
  exports.prototype.locationName = undefined;

  /**
   * The place ID of the location that this duplicates.
   * @member {String} placeId
   */
  exports.prototype.placeId = undefined;


  /**
   * Allowed values for the <code>access</code> property.
   * @enum {String}
   * @readonly
   */
  exports.AccessEnum = {
    /**
     * value: "ACCESS_UNSPECIFIED"
     * @const
     */
    ACCESS_UNSPECIFIED: "ACCESS_UNSPECIFIED",

    /**
     * value: "ACCESS_UNKNOWN"
     * @const
     */
    ACCESS_UNKNOWN: "ACCESS_UNKNOWN",

    /**
     * value: "ALLOWED"
     * @const
     */
    ALLOWED: "ALLOWED",

    /**
     * value: "INSUFFICIENT"
     * @const
     */
    INSUFFICIENT: "INSUFFICIENT"
  };

  return exports;

}));
