/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.EmailVerificationData = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The EmailVerificationData model module.
   * @module model/EmailVerificationData
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>EmailVerificationData</code>.
   * Display data for verifications through email.
   * @alias module:model/EmailVerificationData
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>EmailVerificationData</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/EmailVerificationData} obj Optional instance to populate.
   * @return {module:model/EmailVerificationData} The populated <code>EmailVerificationData</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('domainName'))
        obj.domainName = ApiClient.convertToType(data['domainName'], 'String');
      if (data.hasOwnProperty('isUserNameEditable'))
        obj.isUserNameEditable = ApiClient.convertToType(data['isUserNameEditable'], 'Boolean');
      if (data.hasOwnProperty('userName'))
        obj.userName = ApiClient.convertToType(data['userName'], 'String');
    }
    return obj;
  }

  /**
   * Domain name in the email address. e.g. \"gmail.com\" in foo@gmail.com
   * @member {String} domainName
   */
  exports.prototype.domainName = undefined;

  /**
   * Whether client is allowed to provide a different user name.
   * @member {Boolean} isUserNameEditable
   */
  exports.prototype.isUserNameEditable = undefined;

  /**
   * User name in the email address. e.g. \"foo\" in foo@gmail.com
   * @member {String} userName
   */
  exports.prototype.userName = undefined;

  return exports;

}));
