/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/ServiceBusinessContext'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./ServiceBusinessContext'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.FetchVerificationOptionsRequest = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.ServiceBusinessContext);
  }
}(this, function(ApiClient, ServiceBusinessContext) {
  'use strict';

  /**
   * The FetchVerificationOptionsRequest model module.
   * @module model/FetchVerificationOptionsRequest
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>FetchVerificationOptionsRequest</code>.
   * Request message for Verifications.FetchVerificationOptions.
   * @alias module:model/FetchVerificationOptionsRequest
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>FetchVerificationOptionsRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/FetchVerificationOptionsRequest} obj Optional instance to populate.
   * @return {module:model/FetchVerificationOptionsRequest} The populated <code>FetchVerificationOptionsRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('context'))
        obj.context = ServiceBusinessContext.constructFromObject(data['context']);
      if (data.hasOwnProperty('languageCode'))
        obj.languageCode = ApiClient.convertToType(data['languageCode'], 'String');
    }
    return obj;
  }

  /**
   * Extra context information for the verification of service businesses. Required for the locations whose business type is CUSTOMER_LOCATION_ONLY. INVALID_ARGUMENT will be thrown if it is set for other business types of locations.
   * @member {module:model/ServiceBusinessContext} context
   */
  exports.prototype.context = undefined;

  /**
   * The BCP 47 language code representing the language that is to be used for the verification process. Available options vary by language.
   * @member {String} languageCode
   */
  exports.prototype.languageCode = undefined;

  return exports;

}));
