/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.FindMatchingLocationsRequest = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The FindMatchingLocationsRequest model module.
   * @module model/FindMatchingLocationsRequest
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>FindMatchingLocationsRequest</code>.
   * Request message for Locations.FindMatchingLocations.
   * @alias module:model/FindMatchingLocationsRequest
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>FindMatchingLocationsRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/FindMatchingLocationsRequest} obj Optional instance to populate.
   * @return {module:model/FindMatchingLocationsRequest} The populated <code>FindMatchingLocationsRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('languageCode'))
        obj.languageCode = ApiClient.convertToType(data['languageCode'], 'String');
      if (data.hasOwnProperty('maxCacheDuration'))
        obj.maxCacheDuration = ApiClient.convertToType(data['maxCacheDuration'], 'String');
      if (data.hasOwnProperty('numResults'))
        obj.numResults = ApiClient.convertToType(data['numResults'], 'Number');
    }
    return obj;
  }

  /**
   * The preferred language for the matching location (in BCP-47 format).
   * @member {String} languageCode
   */
  exports.prototype.languageCode = undefined;

  /**
   * Deprecated. This field is ignored for all requests.
   * @member {String} maxCacheDuration
   */
  exports.prototype.maxCacheDuration = undefined;

  /**
   * The number of matches to return. The default value is 3, with a maximum of 10. Note that latency may increase if more are requested. There is no pagination.
   * @member {Number} numResults
   */
  exports.prototype.numResults = undefined;

  return exports;

}));
