/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/MatchedLocation'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./MatchedLocation'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.FindMatchingLocationsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.MatchedLocation);
  }
}(this, function(ApiClient, MatchedLocation) {
  'use strict';

  /**
   * The FindMatchingLocationsResponse model module.
   * @module model/FindMatchingLocationsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>FindMatchingLocationsResponse</code>.
   * Response message for Locations.FindMatchingLocations.
   * @alias module:model/FindMatchingLocationsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>FindMatchingLocationsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/FindMatchingLocationsResponse} obj Optional instance to populate.
   * @return {module:model/FindMatchingLocationsResponse} The populated <code>FindMatchingLocationsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('matchTime'))
        obj.matchTime = ApiClient.convertToType(data['matchTime'], 'String');
      if (data.hasOwnProperty('matchedLocations'))
        obj.matchedLocations = ApiClient.convertToType(data['matchedLocations'], [MatchedLocation]);
    }
    return obj;
  }

  /**
   * When the matching algorithm was last executed for this location.
   * @member {String} matchTime
   */
  exports.prototype.matchTime = undefined;

  /**
   * A collection of locations that are potential matches to the specified location, listed in order from best to least match. If there is an exact match, it will be in the first position.
   * @member {Array.<module:model/MatchedLocation>} matchedLocations
   */
  exports.prototype.matchedLocations = undefined;

  return exports;

}));
