/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.FollowersMetadata = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The FollowersMetadata model module.
   * @module model/FollowersMetadata
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>FollowersMetadata</code>.
   * Follower metadata for a location.
   * @alias module:model/FollowersMetadata
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>FollowersMetadata</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/FollowersMetadata} obj Optional instance to populate.
   * @return {module:model/FollowersMetadata} The populated <code>FollowersMetadata</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('count'))
        obj.count = ApiClient.convertToType(data['count'], 'String');
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
    }
    return obj;
  }

  /**
   * Total number of followers for the location.
   * @member {String} count
   */
  exports.prototype.count = undefined;

  /**
   * The resource name for this. accounts/{account_id}/locations/{location_id}/followers/metadata
   * @member {String} name
   */
  exports.prototype.name = undefined;

  return exports;

}));
