/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/FoodMenuSection', 'model/MenuLabel'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./FoodMenuSection'), require('./MenuLabel'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.FoodMenu = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.FoodMenuSection, root.GoogleMyBusinessApi.MenuLabel);
  }
}(this, function(ApiClient, FoodMenuSection, MenuLabel) {
  'use strict';

  /**
   * The FoodMenu model module.
   * @module model/FoodMenu
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>FoodMenu</code>.
   * Menu of a business that serves food dishes.
   * @alias module:model/FoodMenu
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>FoodMenu</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/FoodMenu} obj Optional instance to populate.
   * @return {module:model/FoodMenu} The populated <code>FoodMenu</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('cuisines'))
        obj.cuisines = ApiClient.convertToType(data['cuisines'], ['String']);
      if (data.hasOwnProperty('labels'))
        obj.labels = ApiClient.convertToType(data['labels'], [MenuLabel]);
      if (data.hasOwnProperty('sections'))
        obj.sections = ApiClient.convertToType(data['sections'], [FoodMenuSection]);
      if (data.hasOwnProperty('sourceUrl'))
        obj.sourceUrl = ApiClient.convertToType(data['sourceUrl'], 'String');
    }
    return obj;
  }

  /**
   * Optional. Cuisine information for the food menu. It is highly recommended to provide this field.
   * @member {Array.<module:model/FoodMenu.CuisinesEnum>} cuisines
   */
  exports.prototype.cuisines = undefined;

  /**
   * Required. Language-tagged labels for the menu. E.g. \"menu\", \"lunch special\". Display names should be 140 characters or less, with descriptions 1,000 characters or less. At least one set of labels is required.
   * @member {Array.<module:model/MenuLabel>} labels
   */
  exports.prototype.labels = undefined;

  /**
   * Required. Sections of the menu.
   * @member {Array.<module:model/FoodMenuSection>} sections
   */
  exports.prototype.sections = undefined;

  /**
   * Optional. Source URL of menu if there is a webpage to go to.
   * @member {String} sourceUrl
   */
  exports.prototype.sourceUrl = undefined;


  /**
   * Allowed values for the <code>cuisines</code> property.
   * @enum {String}
   * @readonly
   */
  exports.CuisinesEnum = {
    /**
     * value: "CUISINE_UNSPECIFIED"
     * @const
     */
    CUISINE_UNSPECIFIED: "CUISINE_UNSPECIFIED",

    /**
     * value: "AMERICAN"
     * @const
     */
    AMERICAN: "AMERICAN",

    /**
     * value: "ASIAN"
     * @const
     */
    ASIAN: "ASIAN",

    /**
     * value: "BRAZILIAN"
     * @const
     */
    BRAZILIAN: "BRAZILIAN",

    /**
     * value: "BREAK_FAST"
     * @const
     */
    BREAK_FAST: "BREAK_FAST",

    /**
     * value: "BRUNCH"
     * @const
     */
    BRUNCH: "BRUNCH",

    /**
     * value: "CHICKEN"
     * @const
     */
    CHICKEN: "CHICKEN",

    /**
     * value: "CHINESE"
     * @const
     */
    CHINESE: "CHINESE",

    /**
     * value: "FAMILY"
     * @const
     */
    FAMILY: "FAMILY",

    /**
     * value: "FAST_FOOD"
     * @const
     */
    FAST_FOOD: "FAST_FOOD",

    /**
     * value: "FRENCH"
     * @const
     */
    FRENCH: "FRENCH",

    /**
     * value: "GREEK"
     * @const
     */
    GREEK: "GREEK",

    /**
     * value: "GERMAN"
     * @const
     */
    GERMAN: "GERMAN",

    /**
     * value: "HAMBURGER"
     * @const
     */
    HAMBURGER: "HAMBURGER",

    /**
     * value: "INDIAN"
     * @const
     */
    INDIAN: "INDIAN",

    /**
     * value: "INDONESIAN"
     * @const
     */
    INDONESIAN: "INDONESIAN",

    /**
     * value: "ITALIAN"
     * @const
     */
    ITALIAN: "ITALIAN",

    /**
     * value: "JAPANESE"
     * @const
     */
    JAPANESE: "JAPANESE",

    /**
     * value: "KOREAN"
     * @const
     */
    KOREAN: "KOREAN",

    /**
     * value: "LATIN_AMERICAN"
     * @const
     */
    LATIN_AMERICAN: "LATIN_AMERICAN",

    /**
     * value: "MEDITERRANEAN"
     * @const
     */
    MEDITERRANEAN: "MEDITERRANEAN",

    /**
     * value: "MEXICAN"
     * @const
     */
    MEXICAN: "MEXICAN",

    /**
     * value: "PAKISTANI"
     * @const
     */
    PAKISTANI: "PAKISTANI",

    /**
     * value: "PIZZA"
     * @const
     */
    PIZZA: "PIZZA",

    /**
     * value: "SEAFOOD"
     * @const
     */
    SEAFOOD: "SEAFOOD",

    /**
     * value: "SPANISH"
     * @const
     */
    SPANISH: "SPANISH",

    /**
     * value: "SUSHI"
     * @const
     */
    SUSHI: "SUSHI",

    /**
     * value: "THAI"
     * @const
     */
    THAI: "THAI",

    /**
     * value: "TURKISH"
     * @const
     */
    TURKISH: "TURKISH",

    /**
     * value: "VEGETARIAN"
     * @const
     */
    VEGETARIAN: "VEGETARIAN",

    /**
     * value: "VIETNAMESE"
     * @const
     */
    VIETNAMESE: "VIETNAMESE",

    /**
     * value: "OTHER_CUISINE"
     * @const
     */
    OTHER_CUISINE: "OTHER_CUISINE"
  };

  return exports;

}));
