/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/FoodMenuItemAttributes', 'model/FoodMenuItemOption', 'model/MenuLabel'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./FoodMenuItemAttributes'), require('./FoodMenuItemOption'), require('./MenuLabel'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.FoodMenuItem = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.FoodMenuItemAttributes, root.GoogleMyBusinessApi.FoodMenuItemOption, root.GoogleMyBusinessApi.MenuLabel);
  }
}(this, function(ApiClient, FoodMenuItemAttributes, FoodMenuItemOption, MenuLabel) {
  'use strict';

  /**
   * The FoodMenuItem model module.
   * @module model/FoodMenuItem
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>FoodMenuItem</code>.
   * Item of a Section. It can be the dish itself, or can contain multiple FoodMenuItemOption.
   * @alias module:model/FoodMenuItem
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>FoodMenuItem</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/FoodMenuItem} obj Optional instance to populate.
   * @return {module:model/FoodMenuItem} The populated <code>FoodMenuItem</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('attributes'))
        obj.attributes = FoodMenuItemAttributes.constructFromObject(data['attributes']);
      if (data.hasOwnProperty('labels'))
        obj.labels = ApiClient.convertToType(data['labels'], [MenuLabel]);
      if (data.hasOwnProperty('options'))
        obj.options = ApiClient.convertToType(data['options'], [FoodMenuItemOption]);
    }
    return obj;
  }

  /**
   * Required. Detailed attributes of the item. When item options are specified, this is considered as the base attributes and populate to each options.
   * @member {module:model/FoodMenuItemAttributes} attributes
   */
  exports.prototype.attributes = undefined;

  /**
   * Required. Language tagged labels for this menu item. Display names should be 140 characters or less, with descriptions 1,000 characters or less. At least one set of labels is required.
   * @member {Array.<module:model/MenuLabel>} labels
   */
  exports.prototype.labels = undefined;

  /**
   * Optional. This is for an item that comes in multiple different options, and users are required to make choices. E.g. \"regular\" vs. \"large\" pizza. When options are specified, labels and attributes at item level will automatically become the first option's labels and attributes. Clients only need to specify other additional food options in this field.
   * @member {Array.<module:model/FoodMenuItemOption>} options
   */
  exports.prototype.options = undefined;

  return exports;

}));
