/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Ingredient', 'model/Money', 'model/NutritionFacts', 'model/PortionSize'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Ingredient'), require('./Money'), require('./NutritionFacts'), require('./PortionSize'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.FoodMenuItemAttributes = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Ingredient, root.GoogleMyBusinessApi.Money, root.GoogleMyBusinessApi.NutritionFacts, root.GoogleMyBusinessApi.PortionSize);
  }
}(this, function(ApiClient, Ingredient, Money, NutritionFacts, PortionSize) {
  'use strict';

  /**
   * The FoodMenuItemAttributes model module.
   * @module model/FoodMenuItemAttributes
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>FoodMenuItemAttributes</code>.
   * Attributes of a food item/dish.
   * @alias module:model/FoodMenuItemAttributes
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>FoodMenuItemAttributes</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/FoodMenuItemAttributes} obj Optional instance to populate.
   * @return {module:model/FoodMenuItemAttributes} The populated <code>FoodMenuItemAttributes</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('allergen'))
        obj.allergen = ApiClient.convertToType(data['allergen'], ['String']);
      if (data.hasOwnProperty('dietaryRestriction'))
        obj.dietaryRestriction = ApiClient.convertToType(data['dietaryRestriction'], ['String']);
      if (data.hasOwnProperty('ingredients'))
        obj.ingredients = ApiClient.convertToType(data['ingredients'], [Ingredient]);
      if (data.hasOwnProperty('mediaKeys'))
        obj.mediaKeys = ApiClient.convertToType(data['mediaKeys'], ['String']);
      if (data.hasOwnProperty('nutritionFacts'))
        obj.nutritionFacts = NutritionFacts.constructFromObject(data['nutritionFacts']);
      if (data.hasOwnProperty('portionSize'))
        obj.portionSize = PortionSize.constructFromObject(data['portionSize']);
      if (data.hasOwnProperty('preparationMethods'))
        obj.preparationMethods = ApiClient.convertToType(data['preparationMethods'], ['String']);
      if (data.hasOwnProperty('price'))
        obj.price = Money.constructFromObject(data['price']);
      if (data.hasOwnProperty('servesNumPeople'))
        obj.servesNumPeople = ApiClient.convertToType(data['servesNumPeople'], 'Number');
      if (data.hasOwnProperty('spiciness'))
        obj.spiciness = ApiClient.convertToType(data['spiciness'], 'String');
    }
    return obj;
  }

  /**
   * Optional. Allergens associated with the food dish. It is highly recommended to provide this field.
   * @member {Array.<module:model/FoodMenuItemAttributes.AllergenEnum>} allergen
   */
  exports.prototype.allergen = undefined;

  /**
   * Optional. Dietary information of the food dish. It is highly recommended to provide this field.
   * @member {Array.<module:model/FoodMenuItemAttributes.DietaryRestrictionEnum>} dietaryRestriction
   */
  exports.prototype.dietaryRestriction = undefined;

  /**
   * Optional. Ingredients of the food dish option.
   * @member {Array.<module:model/Ingredient>} ingredients
   */
  exports.prototype.ingredients = undefined;

  /**
   * Optional. The mediaKey which uniquely identifies the mediaitem in photo backend.
   * @member {Array.<String>} mediaKeys
   */
  exports.prototype.mediaKeys = undefined;

  /**
   * Optional. Nutrition facts of the food dish option. It is highly recommended to provide this field.
   * @member {module:model/NutritionFacts} nutritionFacts
   */
  exports.prototype.nutritionFacts = undefined;

  /**
   * Optional. Size of the order, represented in units of items. (e.g. 4 \"skewers\", 6 \"pieces\")
   * @member {module:model/PortionSize} portionSize
   */
  exports.prototype.portionSize = undefined;

  /**
   * Optional. Methods on how the food dish option is prepared.
   * @member {Array.<module:model/FoodMenuItemAttributes.PreparationMethodsEnum>} preparationMethods
   */
  exports.prototype.preparationMethods = undefined;

  /**
   * Required. Price of the food dish.
   * @member {module:model/Money} price
   */
  exports.prototype.price = undefined;

  /**
   * Optional. Number of people can be served by this food dish option.
   * @member {Number} servesNumPeople
   */
  exports.prototype.servesNumPeople = undefined;

  /**
   * Optional. Spiciness level of the food dish.
   * @member {module:model/FoodMenuItemAttributes.SpicinessEnum} spiciness
   */
  exports.prototype.spiciness = undefined;


  /**
   * Allowed values for the <code>allergen</code> property.
   * @enum {String}
   * @readonly
   */
  exports.AllergenEnum = {
    /**
     * value: "ALLERGEN_UNSPECIFIED"
     * @const
     */
    ALLERGEN_UNSPECIFIED: "ALLERGEN_UNSPECIFIED",

    /**
     * value: "DAIRY"
     * @const
     */
    DAIRY: "DAIRY",

    /**
     * value: "EGG"
     * @const
     */
    EGG: "EGG",

    /**
     * value: "FISH"
     * @const
     */
    FISH: "FISH",

    /**
     * value: "PEANUT"
     * @const
     */
    PEANUT: "PEANUT",

    /**
     * value: "SHELLFISH"
     * @const
     */
    SHELLFISH: "SHELLFISH",

    /**
     * value: "SOY"
     * @const
     */
    SOY: "SOY",

    /**
     * value: "TREE_NUT"
     * @const
     */
    TREE_NUT: "TREE_NUT",

    /**
     * value: "WHEAT"
     * @const
     */
    WHEAT: "WHEAT"
  };


  /**
   * Allowed values for the <code>dietaryRestriction</code> property.
   * @enum {String}
   * @readonly
   */
  exports.DietaryRestrictionEnum = {
    /**
     * value: "DIETARY_RESTRICTION_UNSPECIFIED"
     * @const
     */
    DIETARY_RESTRICTION_UNSPECIFIED: "DIETARY_RESTRICTION_UNSPECIFIED",

    /**
     * value: "HALAL"
     * @const
     */
    HALAL: "HALAL",

    /**
     * value: "KOSHER"
     * @const
     */
    KOSHER: "KOSHER",

    /**
     * value: "ORGANIC"
     * @const
     */
    ORGANIC: "ORGANIC",

    /**
     * value: "VEGAN"
     * @const
     */
    VEGAN: "VEGAN",

    /**
     * value: "VEGETARIAN"
     * @const
     */
    VEGETARIAN: "VEGETARIAN"
  };


  /**
   * Allowed values for the <code>preparationMethods</code> property.
   * @enum {String}
   * @readonly
   */
  exports.PreparationMethodsEnum = {
    /**
     * value: "PREPARATION_METHOD_UNSPECIFIED"
     * @const
     */
    PREPARATION_METHOD_UNSPECIFIED: "PREPARATION_METHOD_UNSPECIFIED",

    /**
     * value: "BAKED"
     * @const
     */
    BAKED: "BAKED",

    /**
     * value: "BARBECUED"
     * @const
     */
    BARBECUED: "BARBECUED",

    /**
     * value: "BASTED"
     * @const
     */
    BASTED: "BASTED",

    /**
     * value: "BLANCHED"
     * @const
     */
    BLANCHED: "BLANCHED",

    /**
     * value: "BOILED"
     * @const
     */
    BOILED: "BOILED",

    /**
     * value: "BRAISED"
     * @const
     */
    BRAISED: "BRAISED",

    /**
     * value: "CODDLED"
     * @const
     */
    CODDLED: "CODDLED",

    /**
     * value: "FERMENTED"
     * @const
     */
    FERMENTED: "FERMENTED",

    /**
     * value: "FRIED"
     * @const
     */
    FRIED: "FRIED",

    /**
     * value: "GRILLED"
     * @const
     */
    GRILLED: "GRILLED",

    /**
     * value: "KNEADED"
     * @const
     */
    KNEADED: "KNEADED",

    /**
     * value: "MARINATED"
     * @const
     */
    MARINATED: "MARINATED",

    /**
     * value: "PAN_FRIED"
     * @const
     */
    PAN_FRIED: "PAN_FRIED",

    /**
     * value: "PICKLED"
     * @const
     */
    PICKLED: "PICKLED",

    /**
     * value: "PRESSURE_COOKED"
     * @const
     */
    PRESSURE_COOKED: "PRESSURE_COOKED",

    /**
     * value: "ROASTED"
     * @const
     */
    ROASTED: "ROASTED",

    /**
     * value: "SAUTEED"
     * @const
     */
    SAUTEED: "SAUTEED",

    /**
     * value: "SEARED"
     * @const
     */
    SEARED: "SEARED",

    /**
     * value: "SIMMERED"
     * @const
     */
    SIMMERED: "SIMMERED",

    /**
     * value: "SMOKED"
     * @const
     */
    SMOKED: "SMOKED",

    /**
     * value: "STEAMED"
     * @const
     */
    STEAMED: "STEAMED",

    /**
     * value: "STEEPED"
     * @const
     */
    STEEPED: "STEEPED",

    /**
     * value: "STIR_FRIED"
     * @const
     */
    STIR_FRIED: "STIR_FRIED",

    /**
     * value: "OTHER_METHOD"
     * @const
     */
    OTHER_METHOD: "OTHER_METHOD"
  };


  /**
   * Allowed values for the <code>spiciness</code> property.
   * @enum {String}
   * @readonly
   */
  exports.SpicinessEnum = {
    /**
     * value: "SPICINESS_UNSPECIFIED"
     * @const
     */
    SPICINESS_UNSPECIFIED: "SPICINESS_UNSPECIFIED",

    /**
     * value: "MILD"
     * @const
     */
    MILD: "MILD",

    /**
     * value: "MEDIUM"
     * @const
     */
    MEDIUM: "MEDIUM",

    /**
     * value: "HOT"
     * @const
     */
    HOT: "HOT"
  };

  return exports;

}));
