/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/FoodMenuItemAttributes', 'model/MenuLabel'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./FoodMenuItemAttributes'), require('./MenuLabel'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.FoodMenuItemOption = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.FoodMenuItemAttributes, root.GoogleMyBusinessApi.MenuLabel);
  }
}(this, function(ApiClient, FoodMenuItemAttributes, MenuLabel) {
  'use strict';

  /**
   * The FoodMenuItemOption model module.
   * @module model/FoodMenuItemOption
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>FoodMenuItemOption</code>.
   * Option of an Item. It requires an explicit user selection.
   * @alias module:model/FoodMenuItemOption
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>FoodMenuItemOption</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/FoodMenuItemOption} obj Optional instance to populate.
   * @return {module:model/FoodMenuItemOption} The populated <code>FoodMenuItemOption</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('attributes'))
        obj.attributes = FoodMenuItemAttributes.constructFromObject(data['attributes']);
      if (data.hasOwnProperty('labels'))
        obj.labels = ApiClient.convertToType(data['labels'], [MenuLabel]);
    }
    return obj;
  }

  /**
   * Required. Detailed attributes of the item option. Individual unspecified attributes will be inherited from the item-level attibutes as the base.
   * @member {module:model/FoodMenuItemAttributes} attributes
   */
  exports.prototype.attributes = undefined;

  /**
   * Required. Language tagged labels for this menu item option. E.g.: \"beef pad thai\", \"veggie pad thai\", \"small pizza\", \"large pizza\". Display names should be 140 characters or less, with descriptions 1,000 characters or less. At least one set of labels is required.
   * @member {Array.<module:model/MenuLabel>} labels
   */
  exports.prototype.labels = undefined;

  return exports;

}));
