/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/FoodMenuItem', 'model/MenuLabel'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./FoodMenuItem'), require('./MenuLabel'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.FoodMenuSection = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.FoodMenuItem, root.GoogleMyBusinessApi.MenuLabel);
  }
}(this, function(ApiClient, FoodMenuItem, MenuLabel) {
  'use strict';

  /**
   * The FoodMenuSection model module.
   * @module model/FoodMenuSection
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>FoodMenuSection</code>.
   * Section of a menu. It can contain multiple items/dishes.
   * @alias module:model/FoodMenuSection
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>FoodMenuSection</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/FoodMenuSection} obj Optional instance to populate.
   * @return {module:model/FoodMenuSection} The populated <code>FoodMenuSection</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('items'))
        obj.items = ApiClient.convertToType(data['items'], [FoodMenuItem]);
      if (data.hasOwnProperty('labels'))
        obj.labels = ApiClient.convertToType(data['labels'], [MenuLabel]);
    }
    return obj;
  }

  /**
   * Required. Items of the section. Each Section must have at least an item.
   * @member {Array.<module:model/FoodMenuItem>} items
   */
  exports.prototype.items = undefined;

  /**
   * Required. Language tagged labels for this menu section. Display names should be 140 characters or less, with descriptions 1,000 characters or less. At least one set of labels is required.
   * @member {Array.<module:model/MenuLabel>} labels
   */
  exports.prototype.labels = undefined;

  return exports;

}));
