/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/FoodMenu'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./FoodMenu'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.FoodMenus = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.FoodMenu);
  }
}(this, function(ApiClient, FoodMenu) {
  'use strict';

  /**
   * The FoodMenus model module.
   * @module model/FoodMenus
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>FoodMenus</code>.
   * Menus of a business that serve food dishes.
   * @alias module:model/FoodMenus
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>FoodMenus</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/FoodMenus} obj Optional instance to populate.
   * @return {module:model/FoodMenus} The populated <code>FoodMenus</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('menus'))
        obj.menus = ApiClient.convertToType(data['menus'], [FoodMenu]);
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
    }
    return obj;
  }

  /**
   * Optional. A collection of food menus.
   * @member {Array.<module:model/FoodMenu>} menus
   */
  exports.prototype.menus = undefined;

  /**
   * Required. Google identifier for this location in the form: `accounts/{account_id}/locations/{location_id}/foodMenus`
   * @member {String} name
   */
  exports.prototype.name = undefined;

  return exports;

}));
