/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Label'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Label'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.FreeFormServiceItem = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Label);
  }
}(this, function(ApiClient, Label) {
  'use strict';

  /**
   * The FreeFormServiceItem model module.
   * @module model/FreeFormServiceItem
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>FreeFormServiceItem</code>.
   * Represents a free-form service offered by the merchant. These are services that are not exposed as part of our structure service data. The merchant manually enters the names for of such services via a geomerchant surface.
   * @alias module:model/FreeFormServiceItem
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>FreeFormServiceItem</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/FreeFormServiceItem} obj Optional instance to populate.
   * @return {module:model/FreeFormServiceItem} The populated <code>FreeFormServiceItem</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('categoryId'))
        obj.categoryId = ApiClient.convertToType(data['categoryId'], 'String');
      if (data.hasOwnProperty('label'))
        obj.label = Label.constructFromObject(data['label']);
    }
    return obj;
  }

  /**
   * Required. The `category_id` and `service_type_id` should match the possible combinations provided in the `Category` message.
   * @member {String} categoryId
   */
  exports.prototype.categoryId = undefined;

  /**
   * Required. Language-tagged labels for the item. We recommend that item names be 140 characters or less, and descriptions 250 characters or less. This field should only be set if the input is a custom service item. Standardized service types should be updated via service_type_id.
   * @member {module:model/Label} label
   */
  exports.prototype.label = undefined;

  return exports;

}));
