/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Location'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Location'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.GoogleLocation = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Location);
  }
}(this, function(ApiClient, Location) {
  'use strict';

  /**
   * The GoogleLocation model module.
   * @module model/GoogleLocation
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>GoogleLocation</code>.
   * Represents a Location that is present on Google. This can be a location that has been claimed by the user, someone else, or could be unclaimed.
   * @alias module:model/GoogleLocation
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>GoogleLocation</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/GoogleLocation} obj Optional instance to populate.
   * @return {module:model/GoogleLocation} The populated <code>GoogleLocation</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('location'))
        obj.location = Location.constructFromObject(data['location']);
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('requestAdminRightsUrl'))
        obj.requestAdminRightsUrl = ApiClient.convertToType(data['requestAdminRightsUrl'], 'String');
    }
    return obj;
  }

  /**
   * The sparsely populated Location information. This field can be re-used in CreateLocation if it is not currently claimed by a user.
   * @member {module:model/Location} location
   */
  exports.prototype.location = undefined;

  /**
   * Resource name of this GoogleLocation, in the format `googleLocations/{googleLocationId}`.
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * A URL that will redirect the user to the request admin rights UI. This field is only present if the location has already been claimed by any user, including the current user.
   * @member {String} requestAdminRightsUrl
   */
  exports.prototype.requestAdminRightsUrl = undefined;

  return exports;

}));
