/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Location'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Location'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.GoogleUpdatedLocation = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Location);
  }
}(this, function(ApiClient, Location) {
  'use strict';

  /**
   * The GoogleUpdatedLocation model module.
   * @module model/GoogleUpdatedLocation
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>GoogleUpdatedLocation</code>.
   * Represents a location that was modified by Google.
   * @alias module:model/GoogleUpdatedLocation
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>GoogleUpdatedLocation</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/GoogleUpdatedLocation} obj Optional instance to populate.
   * @return {module:model/GoogleUpdatedLocation} The populated <code>GoogleUpdatedLocation</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('diffMask'))
        obj.diffMask = ApiClient.convertToType(data['diffMask'], 'String');
      if (data.hasOwnProperty('location'))
        obj.location = Location.constructFromObject(data['location']);
    }
    return obj;
  }

  /**
   * The fields that Google updated.
   * @member {String} diffMask
   */
  exports.prototype.diffMask = undefined;

  /**
   * The Google-updated version of this location.
   * @member {module:model/Location} location
   */
  exports.prototype.location = undefined;

  return exports;

}));
