/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Account', 'model/TargetLocation'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Account'), require('./TargetLocation'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Invitation = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Account, root.GoogleMyBusinessApi.TargetLocation);
  }
}(this, function(ApiClient, Account, TargetLocation) {
  'use strict';

  /**
   * The Invitation model module.
   * @module model/Invitation
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Invitation</code>.
   * Output only. Represents a pending invitation.
   * @alias module:model/Invitation
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Invitation</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Invitation} obj Optional instance to populate.
   * @return {module:model/Invitation} The populated <code>Invitation</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('role'))
        obj.role = ApiClient.convertToType(data['role'], 'String');
      if (data.hasOwnProperty('targetAccount'))
        obj.targetAccount = Account.constructFromObject(data['targetAccount']);
      if (data.hasOwnProperty('targetLocation'))
        obj.targetLocation = TargetLocation.constructFromObject(data['targetLocation']);
    }
    return obj;
  }

  /**
   * The resource name for the invitation.
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * The invited role on the account.
   * @member {module:model/Invitation.RoleEnum} role
   */
  exports.prototype.role = undefined;

  /**
   * The sparsely populated account this invitation is for.
   * @member {module:model/Account} targetAccount
   */
  exports.prototype.targetAccount = undefined;

  /**
   * The target location this invitation is for.
   * @member {module:model/TargetLocation} targetLocation
   */
  exports.prototype.targetLocation = undefined;


  /**
   * Allowed values for the <code>role</code> property.
   * @enum {String}
   * @readonly
   */
  exports.RoleEnum = {
    /**
     * value: "ADMIN_ROLE_UNSPECIFIED"
     * @const
     */
    ADMIN_ROLE_UNSPECIFIED: "ADMIN_ROLE_UNSPECIFIED",

    /**
     * value: "OWNER"
     * @const
     */
    OWNER: "OWNER",

    /**
     * value: "CO_OWNER"
     * @const
     */
    CO_OWNER: "CO_OWNER",

    /**
     * value: "MANAGER"
     * @const
     */
    MANAGER: "MANAGER",

    /**
     * value: "COMMUNITY_MANAGER"
     * @const
     */
    COMMUNITY_MANAGER: "COMMUNITY_MANAGER"
  };

  return exports;

}));
