/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Label', 'model/Money'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Label'), require('./Money'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Item = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Label, root.GoogleMyBusinessApi.Money);
  }
}(this, function(ApiClient, Label, Money) {
  'use strict';

  /**
   * The Item model module.
   * @module model/Item
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Item</code>.
   * A single list item. Each variation of an item in the price list should have its own Item with its own price data.
   * @alias module:model/Item
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Item</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Item} obj Optional instance to populate.
   * @return {module:model/Item} The populated <code>Item</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('itemId'))
        obj.itemId = ApiClient.convertToType(data['itemId'], 'String');
      if (data.hasOwnProperty('labels'))
        obj.labels = ApiClient.convertToType(data['labels'], [Label]);
      if (data.hasOwnProperty('price'))
        obj.price = Money.constructFromObject(data['price']);
    }
    return obj;
  }

  /**
   * Required. ID for the item. Price list, section, and item IDs cannot be duplicated within this Location.
   * @member {String} itemId
   */
  exports.prototype.itemId = undefined;

  /**
   * Required. Language-tagged labels for the item. We recommend that item names be 140 characters or less, and descriptions 250 characters or less. At least one set of labels is required.
   * @member {Array.<module:model/Label>} labels
   */
  exports.prototype.labels = undefined;

  /**
   * Optional. Price of the item.
   * @member {module:model/Money} price
   */
  exports.prototype.price = undefined;

  return exports;

}));
