/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Label = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The Label model module.
   * @module model/Label
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Label</code>.
   * Label to be used when displaying the price list, section, or item.
   * @alias module:model/Label
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Label</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Label} obj Optional instance to populate.
   * @return {module:model/Label} The populated <code>Label</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('description'))
        obj.description = ApiClient.convertToType(data['description'], 'String');
      if (data.hasOwnProperty('displayName'))
        obj.displayName = ApiClient.convertToType(data['displayName'], 'String');
      if (data.hasOwnProperty('languageCode'))
        obj.languageCode = ApiClient.convertToType(data['languageCode'], 'String');
    }
    return obj;
  }

  /**
   * Optional. Description of the price list, section, or item.
   * @member {String} description
   */
  exports.prototype.description = undefined;

  /**
   * Required. Display name for the price list, section, or item.
   * @member {String} displayName
   */
  exports.prototype.displayName = undefined;

  /**
   * Optional. The BCP-47 language code that these strings apply for. Only one set of labels may be set per language.
   * @member {String} languageCode
   */
  exports.prototype.languageCode = undefined;

  return exports;

}));
