/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Account'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Account'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ListAccountsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Account);
  }
}(this, function(ApiClient, Account) {
  'use strict';

  /**
   * The ListAccountsResponse model module.
   * @module model/ListAccountsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ListAccountsResponse</code>.
   * Response message for Accounts.ListAccounts.
   * @alias module:model/ListAccountsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ListAccountsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ListAccountsResponse} obj Optional instance to populate.
   * @return {module:model/ListAccountsResponse} The populated <code>ListAccountsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('accounts'))
        obj.accounts = ApiClient.convertToType(data['accounts'], [Account]);
      if (data.hasOwnProperty('nextPageToken'))
        obj.nextPageToken = ApiClient.convertToType(data['nextPageToken'], 'String');
    }
    return obj;
  }

  /**
   * A collection of accounts to which the user has access. The personal account of the user doing the query will always be the first item of the result, unless it is filtered out.
   * @member {Array.<module:model/Account>} accounts
   */
  exports.prototype.accounts = undefined;

  /**
   * If the number of accounts exceeds the requested page size, this field is populated with a token to fetch the next page of accounts on a subsequent call to `accounts.list`. If there are no more accounts, this field is not present in the response.
   * @member {String} nextPageToken
   */
  exports.prototype.nextPageToken = undefined;

  return exports;

}));
