/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Answer'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Answer'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ListAnswersResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Answer);
  }
}(this, function(ApiClient, Answer) {
  'use strict';

  /**
   * The ListAnswersResponse model module.
   * @module model/ListAnswersResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ListAnswersResponse</code>.
   * Response message for QuestionsAndAnswers.ListAnswers
   * @alias module:model/ListAnswersResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ListAnswersResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ListAnswersResponse} obj Optional instance to populate.
   * @return {module:model/ListAnswersResponse} The populated <code>ListAnswersResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('answers'))
        obj.answers = ApiClient.convertToType(data['answers'], [Answer]);
      if (data.hasOwnProperty('nextPageToken'))
        obj.nextPageToken = ApiClient.convertToType(data['nextPageToken'], 'String');
      if (data.hasOwnProperty('totalSize'))
        obj.totalSize = ApiClient.convertToType(data['totalSize'], 'Number');
    }
    return obj;
  }

  /**
   * The requested answers.
   * @member {Array.<module:model/Answer>} answers
   */
  exports.prototype.answers = undefined;

  /**
   * If the number of answers exceeds the requested max page size, this field is populated with a token to fetch the next page of answers on a subsequent call. If there are no more answers, this field is not present in the response.
   * @member {String} nextPageToken
   */
  exports.prototype.nextPageToken = undefined;

  /**
   * The total number of answers posted for this question across all pages.
   * @member {Number} totalSize
   */
  exports.prototype.totalSize = undefined;

  return exports;

}));
