/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/AttributeMetadata'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./AttributeMetadata'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ListAttributeMetadataResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.AttributeMetadata);
  }
}(this, function(ApiClient, AttributeMetadata) {
  'use strict';

  /**
   * The ListAttributeMetadataResponse model module.
   * @module model/ListAttributeMetadataResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ListAttributeMetadataResponse</code>.
   * Response message for Locations.ListAttributeMetadata.
   * @alias module:model/ListAttributeMetadataResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ListAttributeMetadataResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ListAttributeMetadataResponse} obj Optional instance to populate.
   * @return {module:model/ListAttributeMetadataResponse} The populated <code>ListAttributeMetadataResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('attributes'))
        obj.attributes = ApiClient.convertToType(data['attributes'], [AttributeMetadata]);
      if (data.hasOwnProperty('nextPageToken'))
        obj.nextPageToken = ApiClient.convertToType(data['nextPageToken'], 'String');
    }
    return obj;
  }

  /**
   * A collection of attribute metadata for the available attributes.
   * @member {Array.<module:model/AttributeMetadata>} attributes
   */
  exports.prototype.attributes = undefined;

  /**
   * If the number of attributes exceeded the requested page size, this field will be populated with a token to fetch the next page of attributes on a subsequent call to `attributes.list`. If there are no more attributes, this field will not be present in the response.
   * @member {String} nextPageToken
   */
  exports.prototype.nextPageToken = undefined;

  return exports;

}));
