/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Category'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Category'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ListBusinessCategoriesResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Category);
  }
}(this, function(ApiClient, Category) {
  'use strict';

  /**
   * The ListBusinessCategoriesResponse model module.
   * @module model/ListBusinessCategoriesResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ListBusinessCategoriesResponse</code>.
   * @alias module:model/ListBusinessCategoriesResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ListBusinessCategoriesResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ListBusinessCategoriesResponse} obj Optional instance to populate.
   * @return {module:model/ListBusinessCategoriesResponse} The populated <code>ListBusinessCategoriesResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('categories'))
        obj.categories = ApiClient.convertToType(data['categories'], [Category]);
      if (data.hasOwnProperty('nextPageToken'))
        obj.nextPageToken = ApiClient.convertToType(data['nextPageToken'], 'String');
      if (data.hasOwnProperty('totalCategoryCount'))
        obj.totalCategoryCount = ApiClient.convertToType(data['totalCategoryCount'], 'Number');
    }
    return obj;
  }

  /**
   * The categories. Categories are BASIC view. They don't contain any ServiceType information.
   * @member {Array.<module:model/Category>} categories
   */
  exports.prototype.categories = undefined;

  /**
   * If the number of categories exceeded the requested page size, this field will be populated with a token to fetch the next page of categories on a subsequent call to `ListBusinessCategories`.
   * @member {String} nextPageToken
   */
  exports.prototype.nextPageToken = undefined;

  /**
   * The total number of categories for the request parameters.
   * @member {Number} totalCategoryCount
   */
  exports.prototype.totalCategoryCount = undefined;

  return exports;

}));
