/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Invitation'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Invitation'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ListInvitationsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Invitation);
  }
}(this, function(ApiClient, Invitation) {
  'use strict';

  /**
   * The ListInvitationsResponse model module.
   * @module model/ListInvitationsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ListInvitationsResponse</code>.
   * Response message for AccessControl.ListInvitations.
   * @alias module:model/ListInvitationsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ListInvitationsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ListInvitationsResponse} obj Optional instance to populate.
   * @return {module:model/ListInvitationsResponse} The populated <code>ListInvitationsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('invitations'))
        obj.invitations = ApiClient.convertToType(data['invitations'], [Invitation]);
    }
    return obj;
  }

  /**
   * A collection of location invitations that are pending for the account. The number of invitations listed here cannot exceed 1000.
   * @member {Array.<module:model/Invitation>} invitations
   */
  exports.prototype.invitations = undefined;

  return exports;

}));
