/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/LocalPost'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./LocalPost'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ListLocalPostsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.LocalPost);
  }
}(this, function(ApiClient, LocalPost) {
  'use strict';

  /**
   * The ListLocalPostsResponse model module.
   * @module model/ListLocalPostsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ListLocalPostsResponse</code>.
   * Response message for ListLocalPosts
   * @alias module:model/ListLocalPostsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ListLocalPostsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ListLocalPostsResponse} obj Optional instance to populate.
   * @return {module:model/ListLocalPostsResponse} The populated <code>ListLocalPostsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('localPosts'))
        obj.localPosts = ApiClient.convertToType(data['localPosts'], [LocalPost]);
      if (data.hasOwnProperty('nextPageToken'))
        obj.nextPageToken = ApiClient.convertToType(data['nextPageToken'], 'String');
    }
    return obj;
  }

  /**
   * The returned list of local posts.
   * @member {Array.<module:model/LocalPost>} localPosts
   */
  exports.prototype.localPosts = undefined;

  /**
   * If there are more local posts than the requested page size, then this field is populated with a token to fetch the next page of local posts on a subsequent call to `ListLocalPosts`.
   * @member {String} nextPageToken
   */
  exports.prototype.nextPageToken = undefined;

  return exports;

}));
