/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/MediaItem'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./MediaItem'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ListMediaItemsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.MediaItem);
  }
}(this, function(ApiClient, MediaItem) {
  'use strict';

  /**
   * The ListMediaItemsResponse model module.
   * @module model/ListMediaItemsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ListMediaItemsResponse</code>.
   * Response message for Media.ListMediaItems.
   * @alias module:model/ListMediaItemsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ListMediaItemsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ListMediaItemsResponse} obj Optional instance to populate.
   * @return {module:model/ListMediaItemsResponse} The populated <code>ListMediaItemsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('mediaItems'))
        obj.mediaItems = ApiClient.convertToType(data['mediaItems'], [MediaItem]);
      if (data.hasOwnProperty('nextPageToken'))
        obj.nextPageToken = ApiClient.convertToType(data['nextPageToken'], 'String');
      if (data.hasOwnProperty('totalMediaItemCount'))
        obj.totalMediaItemCount = ApiClient.convertToType(data['totalMediaItemCount'], 'Number');
    }
    return obj;
  }

  /**
   * The returned list of media items.
   * @member {Array.<module:model/MediaItem>} mediaItems
   */
  exports.prototype.mediaItems = undefined;

  /**
   * If there are more media items than the requested page size, then this field is populated with a token to fetch the next page of media items on a subsequent call to ListMediaItems.
   * @member {String} nextPageToken
   */
  exports.prototype.nextPageToken = undefined;

  /**
   * The total number of media items for this location, irrespective of pagination.
   * @member {Number} totalMediaItemCount
   */
  exports.prototype.totalMediaItemCount = undefined;

  return exports;

}));
