/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Question'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Question'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ListQuestionsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Question);
  }
}(this, function(ApiClient, Question) {
  'use strict';

  /**
   * The ListQuestionsResponse model module.
   * @module model/ListQuestionsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ListQuestionsResponse</code>.
   * Response message for QuestionsAndAnswers.ListQuestions
   * @alias module:model/ListQuestionsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ListQuestionsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ListQuestionsResponse} obj Optional instance to populate.
   * @return {module:model/ListQuestionsResponse} The populated <code>ListQuestionsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('nextPageToken'))
        obj.nextPageToken = ApiClient.convertToType(data['nextPageToken'], 'String');
      if (data.hasOwnProperty('questions'))
        obj.questions = ApiClient.convertToType(data['questions'], [Question]);
      if (data.hasOwnProperty('totalSize'))
        obj.totalSize = ApiClient.convertToType(data['totalSize'], 'Number');
    }
    return obj;
  }

  /**
   * If the number of questions exceeds the requested max page size, this field is populated with a token to fetch the next page of questions on a subsequent call. If there are no more questions, this field is not present in the response.
   * @member {String} nextPageToken
   */
  exports.prototype.nextPageToken = undefined;

  /**
   * The requested questions,
   * @member {Array.<module:model/Question>} questions
   */
  exports.prototype.questions = undefined;

  /**
   * The total number of questions posted for this location across all pages.
   * @member {Number} totalSize
   */
  exports.prototype.totalSize = undefined;

  return exports;

}));
