/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/GoogleLocation'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./GoogleLocation'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ListRecommendedGoogleLocationsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.GoogleLocation);
  }
}(this, function(ApiClient, GoogleLocation) {
  'use strict';

  /**
   * The ListRecommendedGoogleLocationsResponse model module.
   * @module model/ListRecommendedGoogleLocationsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ListRecommendedGoogleLocationsResponse</code>.
   * Response message for GoogleLocations.ListRecommendedGoogleLocations. It also contains some locations that have been claimed by other GMB users since the last time they were recommended to this GMB account.
   * @alias module:model/ListRecommendedGoogleLocationsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ListRecommendedGoogleLocationsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ListRecommendedGoogleLocationsResponse} obj Optional instance to populate.
   * @return {module:model/ListRecommendedGoogleLocationsResponse} The populated <code>ListRecommendedGoogleLocationsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('googleLocations'))
        obj.googleLocations = ApiClient.convertToType(data['googleLocations'], [GoogleLocation]);
      if (data.hasOwnProperty('nextPageToken'))
        obj.nextPageToken = ApiClient.convertToType(data['nextPageToken'], 'String');
      if (data.hasOwnProperty('totalSize'))
        obj.totalSize = ApiClient.convertToType(data['totalSize'], 'Number');
    }
    return obj;
  }

  /**
   * The locations recommended to a GMB account. Each of these represents a GoogleLocation that is present on Maps. The locations are sorted in decreasing order of relevance to the GMB account.
   * @member {Array.<module:model/GoogleLocation>} googleLocations
   */
  exports.prototype.googleLocations = undefined;

  /**
   * During pagination, if there are more locations available to be fetched in the next page, this field is populated with a token to fetch the next page of locations in a subsequent call. If there are no more locations to be fetched, this field is not present in the response.
   * @member {String} nextPageToken
   */
  exports.prototype.nextPageToken = undefined;

  /**
   * The total number of recommended locations for this GMB account, irrespective of pagination.
   * @member {Number} totalSize
   */
  exports.prototype.totalSize = undefined;

  return exports;

}));
