/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Review'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Review'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ListReviewsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Review);
  }
}(this, function(ApiClient, Review) {
  'use strict';

  /**
   * The ListReviewsResponse model module.
   * @module model/ListReviewsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ListReviewsResponse</code>.
   * Response message for Reviews.ListReviews.
   * @alias module:model/ListReviewsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ListReviewsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ListReviewsResponse} obj Optional instance to populate.
   * @return {module:model/ListReviewsResponse} The populated <code>ListReviewsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('averageRating'))
        obj.averageRating = ApiClient.convertToType(data['averageRating'], 'Number');
      if (data.hasOwnProperty('nextPageToken'))
        obj.nextPageToken = ApiClient.convertToType(data['nextPageToken'], 'String');
      if (data.hasOwnProperty('reviews'))
        obj.reviews = ApiClient.convertToType(data['reviews'], [Review]);
      if (data.hasOwnProperty('totalReviewCount'))
        obj.totalReviewCount = ApiClient.convertToType(data['totalReviewCount'], 'Number');
    }
    return obj;
  }

  /**
   * The average star rating of all reviews for this location on a scale of 1 to 5, where 5 is the highest rating.
   * @member {Number} averageRating
   */
  exports.prototype.averageRating = undefined;

  /**
   * If the number of reviews exceeded the requested page size, this field is populated with a token to fetch the next page of reviews on a subsequent call to ListReviews. If there are no more reviews, this field is not present in the response.
   * @member {String} nextPageToken
   */
  exports.prototype.nextPageToken = undefined;

  /**
   * The reviews.
   * @member {Array.<module:model/Review>} reviews
   */
  exports.prototype.reviews = undefined;

  /**
   * The total number of reviews for this location.
   * @member {Number} totalReviewCount
   */
  exports.prototype.totalReviewCount = undefined;

  return exports;

}));
