/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Verification'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Verification'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ListVerificationsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Verification);
  }
}(this, function(ApiClient, Verification) {
  'use strict';

  /**
   * The ListVerificationsResponse model module.
   * @module model/ListVerificationsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ListVerificationsResponse</code>.
   * Response message for Verifications.ListVerifications.
   * @alias module:model/ListVerificationsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ListVerificationsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ListVerificationsResponse} obj Optional instance to populate.
   * @return {module:model/ListVerificationsResponse} The populated <code>ListVerificationsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('nextPageToken'))
        obj.nextPageToken = ApiClient.convertToType(data['nextPageToken'], 'String');
      if (data.hasOwnProperty('verifications'))
        obj.verifications = ApiClient.convertToType(data['verifications'], [Verification]);
    }
    return obj;
  }

  /**
   * If the number of verifications exceeded the requested page size, this field will be populated with a token to fetch the next page of verification on a subsequent call. If there are no more attributes, this field will not be present in the response.
   * @member {String} nextPageToken
   */
  exports.prototype.nextPageToken = undefined;

  /**
   * List of the verifications.
   * @member {Array.<module:model/Verification>} verifications
   */
  exports.prototype.verifications = undefined;

  return exports;

}));
