/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/CallToAction', 'model/LocalPostEvent', 'model/LocalPostOffer', 'model/MediaItem'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./CallToAction'), require('./LocalPostEvent'), require('./LocalPostOffer'), require('./MediaItem'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.LocalPost = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.CallToAction, root.GoogleMyBusinessApi.LocalPostEvent, root.GoogleMyBusinessApi.LocalPostOffer, root.GoogleMyBusinessApi.MediaItem);
  }
}(this, function(ApiClient, CallToAction, LocalPostEvent, LocalPostOffer, MediaItem) {
  'use strict';

  /**
   * The LocalPost model module.
   * @module model/LocalPost
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>LocalPost</code>.
   * Represents a [local post](https://support.google.com/business/answer/7662907) for a location.
   * @alias module:model/LocalPost
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>LocalPost</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/LocalPost} obj Optional instance to populate.
   * @return {module:model/LocalPost} The populated <code>LocalPost</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('alertType'))
        obj.alertType = ApiClient.convertToType(data['alertType'], 'String');
      if (data.hasOwnProperty('callToAction'))
        obj.callToAction = CallToAction.constructFromObject(data['callToAction']);
      if (data.hasOwnProperty('createTime'))
        obj.createTime = ApiClient.convertToType(data['createTime'], 'String');
      if (data.hasOwnProperty('event'))
        obj.event = LocalPostEvent.constructFromObject(data['event']);
      if (data.hasOwnProperty('languageCode'))
        obj.languageCode = ApiClient.convertToType(data['languageCode'], 'String');
      if (data.hasOwnProperty('media'))
        obj.media = ApiClient.convertToType(data['media'], [MediaItem]);
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('offer'))
        obj.offer = LocalPostOffer.constructFromObject(data['offer']);
      if (data.hasOwnProperty('searchUrl'))
        obj.searchUrl = ApiClient.convertToType(data['searchUrl'], 'String');
      if (data.hasOwnProperty('state'))
        obj.state = ApiClient.convertToType(data['state'], 'String');
      if (data.hasOwnProperty('summary'))
        obj.summary = ApiClient.convertToType(data['summary'], 'String');
      if (data.hasOwnProperty('topicType'))
        obj.topicType = ApiClient.convertToType(data['topicType'], 'String');
      if (data.hasOwnProperty('updateTime'))
        obj.updateTime = ApiClient.convertToType(data['updateTime'], 'String');
    }
    return obj;
  }

  /**
   * The type of alert the post is created for. This field is only applicable for posts of topic_type Alert, and behaves as a sub-type of Alerts.
   * @member {module:model/LocalPost.AlertTypeEnum} alertType
   */
  exports.prototype.alertType = undefined;

  /**
   * The URL that users are sent to when clicking through the promotion. Ignored for topic type `OFFER`.
   * @member {module:model/CallToAction} callToAction
   */
  exports.prototype.callToAction = undefined;

  /**
   * Output only. Time of the creation of the post.
   * @member {String} createTime
   */
  exports.prototype.createTime = undefined;

  /**
   * Event information. Required for topic types `EVENT` and `OFFER`.
   * @member {module:model/LocalPostEvent} event
   */
  exports.prototype.event = undefined;

  /**
   * The language of the local post.
   * @member {String} languageCode
   */
  exports.prototype.languageCode = undefined;

  /**
   * The media associated with the post. source_url is the only supported data field for a LocalPost MediaItem.
   * @member {Array.<module:model/MediaItem>} media
   */
  exports.prototype.media = undefined;

  /**
   * Output only. Google identifier for this local post in the form: `accounts/{account_id}/locations/{location_id}/localPosts/{local_post_id}`
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * Additional data for offer posts. This should only be set when the topic_type is OFFER.
   * @member {module:model/LocalPostOffer} offer
   */
  exports.prototype.offer = undefined;

  /**
   * Output only. The link to the local post in Google search. This link can be used to share the post via social media, email, text, etc.
   * @member {String} searchUrl
   */
  exports.prototype.searchUrl = undefined;

  /**
   * Output only. The state of the post, indicating what part of its lifecycle it is in.
   * @member {module:model/LocalPost.StateEnum} state
   */
  exports.prototype.state = undefined;

  /**
   * Description/body of the local post.
   * @member {String} summary
   */
  exports.prototype.summary = undefined;

  /**
   * Required. The topic type of the post: standard, event, offer, or alert.
   * @member {module:model/LocalPost.TopicTypeEnum} topicType
   */
  exports.prototype.topicType = undefined;

  /**
   * Output only. Time of the last modification of the post made by the user.
   * @member {String} updateTime
   */
  exports.prototype.updateTime = undefined;


  /**
   * Allowed values for the <code>alertType</code> property.
   * @enum {String}
   * @readonly
   */
  exports.AlertTypeEnum = {
    /**
     * value: "ALERT_TYPE_UNSPECIFIED"
     * @const
     */
    ALERT_TYPE_UNSPECIFIED: "ALERT_TYPE_UNSPECIFIED",

    /**
     * value: "COVID_19"
     * @const
     */
    cOVID19: "COVID_19"
  };


  /**
   * Allowed values for the <code>state</code> property.
   * @enum {String}
   * @readonly
   */
  exports.StateEnum = {
    /**
     * value: "LOCAL_POST_STATE_UNSPECIFIED"
     * @const
     */
    LOCAL_POST_STATE_UNSPECIFIED: "LOCAL_POST_STATE_UNSPECIFIED",

    /**
     * value: "REJECTED"
     * @const
     */
    REJECTED: "REJECTED",

    /**
     * value: "LIVE"
     * @const
     */
    LIVE: "LIVE",

    /**
     * value: "PROCESSING"
     * @const
     */
    PROCESSING: "PROCESSING"
  };


  /**
   * Allowed values for the <code>topicType</code> property.
   * @enum {String}
   * @readonly
   */
  exports.TopicTypeEnum = {
    /**
     * value: "LOCAL_POST_TOPIC_TYPE_UNSPECIFIED"
     * @const
     */
    LOCAL_POST_TOPIC_TYPE_UNSPECIFIED: "LOCAL_POST_TOPIC_TYPE_UNSPECIFIED",

    /**
     * value: "STANDARD"
     * @const
     */
    STANDARD: "STANDARD",

    /**
     * value: "EVENT"
     * @const
     */
    EVENT: "EVENT",

    /**
     * value: "OFFER"
     * @const
     */
    OFFER: "OFFER",

    /**
     * value: "ALERT"
     * @const
     */
    ALERT: "ALERT"
  };

  return exports;

}));
