/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/TimeInterval'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./TimeInterval'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.LocalPostEvent = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.TimeInterval);
  }
}(this, function(ApiClient, TimeInterval) {
  'use strict';

  /**
   * The LocalPostEvent model module.
   * @module model/LocalPostEvent
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>LocalPostEvent</code>.
   * All the information pertaining to an event featured in a local post.
   * @alias module:model/LocalPostEvent
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>LocalPostEvent</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/LocalPostEvent} obj Optional instance to populate.
   * @return {module:model/LocalPostEvent} The populated <code>LocalPostEvent</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('schedule'))
        obj.schedule = TimeInterval.constructFromObject(data['schedule']);
      if (data.hasOwnProperty('title'))
        obj.title = ApiClient.convertToType(data['title'], 'String');
    }
    return obj;
  }

  /**
   * Event start and end date/time.
   * @member {module:model/TimeInterval} schedule
   */
  exports.prototype.schedule = undefined;

  /**
   * Name of the event.
   * @member {String} title
   */
  exports.prototype.title = undefined;

  return exports;

}));
