/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.LocalPostOffer = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The LocalPostOffer model module.
   * @module model/LocalPostOffer
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>LocalPostOffer</code>.
   * Specific fields for offer posts.
   * @alias module:model/LocalPostOffer
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>LocalPostOffer</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/LocalPostOffer} obj Optional instance to populate.
   * @return {module:model/LocalPostOffer} The populated <code>LocalPostOffer</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('couponCode'))
        obj.couponCode = ApiClient.convertToType(data['couponCode'], 'String');
      if (data.hasOwnProperty('redeemOnlineUrl'))
        obj.redeemOnlineUrl = ApiClient.convertToType(data['redeemOnlineUrl'], 'String');
      if (data.hasOwnProperty('termsConditions'))
        obj.termsConditions = ApiClient.convertToType(data['termsConditions'], 'String');
    }
    return obj;
  }

  /**
   * Optional. Offer code that is usable in store or online.
   * @member {String} couponCode
   */
  exports.prototype.couponCode = undefined;

  /**
   * Optional. Online link to redeem offer.
   * @member {String} redeemOnlineUrl
   */
  exports.prototype.redeemOnlineUrl = undefined;

  /**
   * Optional. Offer terms and conditions.
   * @member {String} termsConditions
   */
  exports.prototype.termsConditions = undefined;

  return exports;

}));
