/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.LocationAssociation = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The LocationAssociation model module.
   * @module model/LocationAssociation
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>LocationAssociation</code>.
   * How the media item is associated with its location.
   * @alias module:model/LocationAssociation
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>LocationAssociation</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/LocationAssociation} obj Optional instance to populate.
   * @return {module:model/LocationAssociation} The populated <code>LocationAssociation</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('category'))
        obj.category = ApiClient.convertToType(data['category'], 'String');
      if (data.hasOwnProperty('priceListItemId'))
        obj.priceListItemId = ApiClient.convertToType(data['priceListItemId'], 'String');
    }
    return obj;
  }

  /**
   * The category that this location photo belongs to.
   * @member {module:model/LocationAssociation.CategoryEnum} category
   */
  exports.prototype.category = undefined;

  /**
   * The ID of a price list item that this location photo is associated with.
   * @member {String} priceListItemId
   */
  exports.prototype.priceListItemId = undefined;


  /**
   * Allowed values for the <code>category</code> property.
   * @enum {String}
   * @readonly
   */
  exports.CategoryEnum = {
    /**
     * value: "CATEGORY_UNSPECIFIED"
     * @const
     */
    CATEGORY_UNSPECIFIED: "CATEGORY_UNSPECIFIED",

    /**
     * value: "COVER"
     * @const
     */
    COVER: "COVER",

    /**
     * value: "PROFILE"
     * @const
     */
    PROFILE: "PROFILE",

    /**
     * value: "LOGO"
     * @const
     */
    LOGO: "LOGO",

    /**
     * value: "EXTERIOR"
     * @const
     */
    EXTERIOR: "EXTERIOR",

    /**
     * value: "INTERIOR"
     * @const
     */
    INTERIOR: "INTERIOR",

    /**
     * value: "PRODUCT"
     * @const
     */
    PRODUCT: "PRODUCT",

    /**
     * value: "AT_WORK"
     * @const
     */
    AT_WORK: "AT_WORK",

    /**
     * value: "FOOD_AND_DRINK"
     * @const
     */
    FOOD_AND_DRINK: "FOOD_AND_DRINK",

    /**
     * value: "MENU"
     * @const
     */
    MENU: "MENU",

    /**
     * value: "COMMON_AREA"
     * @const
     */
    COMMON_AREA: "COMMON_AREA",

    /**
     * value: "ROOMS"
     * @const
     */
    ROOMS: "ROOMS",

    /**
     * value: "TEAMS"
     * @const
     */
    TEAMS: "TEAMS",

    /**
     * value: "ADDITIONAL"
     * @const
     */
    ADDITIONAL: "ADDITIONAL"
  };

  return exports;

}));
