/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/TopDirectionSources'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./TopDirectionSources'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.LocationDrivingDirectionMetrics = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.TopDirectionSources);
  }
}(this, function(ApiClient, TopDirectionSources) {
  'use strict';

  /**
   * The LocationDrivingDirectionMetrics model module.
   * @module model/LocationDrivingDirectionMetrics
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>LocationDrivingDirectionMetrics</code>.
   * A location indexed with the regions that people usually come from. This is captured by counting how many driving-direction requests to this location are from each region.
   * @alias module:model/LocationDrivingDirectionMetrics
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>LocationDrivingDirectionMetrics</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/LocationDrivingDirectionMetrics} obj Optional instance to populate.
   * @return {module:model/LocationDrivingDirectionMetrics} The populated <code>LocationDrivingDirectionMetrics</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('locationName'))
        obj.locationName = ApiClient.convertToType(data['locationName'], 'String');
      if (data.hasOwnProperty('timeZone'))
        obj.timeZone = ApiClient.convertToType(data['timeZone'], 'String');
      if (data.hasOwnProperty('topDirectionSources'))
        obj.topDirectionSources = ApiClient.convertToType(data['topDirectionSources'], [TopDirectionSources]);
    }
    return obj;
  }

  /**
   * The location resource name this metric value belongs to.
   * @member {String} locationName
   */
  exports.prototype.locationName = undefined;

  /**
   * Time zone (IANA timezone IDs, for example, 'Europe/London') of the location.
   * @member {String} timeZone
   */
  exports.prototype.timeZone = undefined;

  /**
   * Driving-direction requests by source region. By convention, these are sorted by count with at most 10 results.
   * @member {Array.<module:model/TopDirectionSources>} topDirectionSources
   */
  exports.prototype.topDirectionSources = undefined;

  return exports;

}));
