/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.LocationKey = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The LocationKey model module.
   * @module model/LocationKey
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>LocationKey</code>.
   * Alternate/surrogate key references for a location.
   * @alias module:model/LocationKey
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>LocationKey</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/LocationKey} obj Optional instance to populate.
   * @return {module:model/LocationKey} The populated <code>LocationKey</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('explicitNoPlaceId'))
        obj.explicitNoPlaceId = ApiClient.convertToType(data['explicitNoPlaceId'], 'Boolean');
      if (data.hasOwnProperty('placeId'))
        obj.placeId = ApiClient.convertToType(data['placeId'], 'String');
      if (data.hasOwnProperty('plusPageId'))
        obj.plusPageId = ApiClient.convertToType(data['plusPageId'], 'String');
      if (data.hasOwnProperty('requestId'))
        obj.requestId = ApiClient.convertToType(data['requestId'], 'String');
    }
    return obj;
  }

  /**
   * Output only. A value of true indicates that an unset place ID is deliberate, which is different from no association being made yet.
   * @member {Boolean} explicitNoPlaceId
   */
  exports.prototype.explicitNoPlaceId = undefined;

  /**
   * If this location has been verified and is connected to/appears on Google Maps, this field is populated with the place ID for the location. This ID can be used in various Places APIs. If this location is unverified, this field may be populated if the location has been associated with a place that appears on Google Maps. This field can be set during Create calls, but not for Update. The additional `explicit_no_place_id` bool qualifies whether an unset place ID is deliberate or not.
   * @member {String} placeId
   */
  exports.prototype.placeId = undefined;

  /**
   * Output only. If this location has a Google+ page associated with it, this is populated with the Google+ page ID for this location.
   * @member {String} plusPageId
   */
  exports.prototype.plusPageId = undefined;

  /**
   * Output only. The `request_id` used to create this location. May be empty if this location was created outside of the GMB API or Google My Business Locations.
   * @member {String} requestId
   */
  exports.prototype.requestId = undefined;

  return exports;

}));
