/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/MetricValue'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./MetricValue'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.LocationMetrics = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.MetricValue);
  }
}(this, function(ApiClient, MetricValue) {
  'use strict';

  /**
   * The LocationMetrics model module.
   * @module model/LocationMetrics
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>LocationMetrics</code>.
   * A series of Metrics and BreakdownMetrics associated with a Location over some time range.
   * @alias module:model/LocationMetrics
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>LocationMetrics</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/LocationMetrics} obj Optional instance to populate.
   * @return {module:model/LocationMetrics} The populated <code>LocationMetrics</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('locationName'))
        obj.locationName = ApiClient.convertToType(data['locationName'], 'String');
      if (data.hasOwnProperty('metricValues'))
        obj.metricValues = ApiClient.convertToType(data['metricValues'], [MetricValue]);
      if (data.hasOwnProperty('timeZone'))
        obj.timeZone = ApiClient.convertToType(data['timeZone'], 'String');
    }
    return obj;
  }

  /**
   * The location resource name these values belong to.
   * @member {String} locationName
   */
  exports.prototype.locationName = undefined;

  /**
   * A list of values for the requested metrics.
   * @member {Array.<module:model/MetricValue>} metricValues
   */
  exports.prototype.metricValues = undefined;

  /**
   * IANA timezone for the location.
   * @member {String} timeZone
   */
  exports.prototype.timeZone = undefined;

  return exports;

}));
