/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.LocationState = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The LocationState model module.
   * @module model/LocationState
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>LocationState</code>.
   * Contains a set of booleans that reflect the [state of a Location.](https://support.google.com/business/answer/3480862)
   * @alias module:model/LocationState
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>LocationState</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/LocationState} obj Optional instance to populate.
   * @return {module:model/LocationState} The populated <code>LocationState</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('canDelete'))
        obj.canDelete = ApiClient.convertToType(data['canDelete'], 'Boolean');
      if (data.hasOwnProperty('canHaveFoodMenus'))
        obj.canHaveFoodMenus = ApiClient.convertToType(data['canHaveFoodMenus'], 'Boolean');
      if (data.hasOwnProperty('canModifyServiceList'))
        obj.canModifyServiceList = ApiClient.convertToType(data['canModifyServiceList'], 'Boolean');
      if (data.hasOwnProperty('canUpdate'))
        obj.canUpdate = ApiClient.convertToType(data['canUpdate'], 'Boolean');
      if (data.hasOwnProperty('hasPendingEdits'))
        obj.hasPendingEdits = ApiClient.convertToType(data['hasPendingEdits'], 'Boolean');
      if (data.hasOwnProperty('hasPendingVerification'))
        obj.hasPendingVerification = ApiClient.convertToType(data['hasPendingVerification'], 'Boolean');
      if (data.hasOwnProperty('isDisabled'))
        obj.isDisabled = ApiClient.convertToType(data['isDisabled'], 'Boolean');
      if (data.hasOwnProperty('isDisconnected'))
        obj.isDisconnected = ApiClient.convertToType(data['isDisconnected'], 'Boolean');
      if (data.hasOwnProperty('isDuplicate'))
        obj.isDuplicate = ApiClient.convertToType(data['isDuplicate'], 'Boolean');
      if (data.hasOwnProperty('isGoogleUpdated'))
        obj.isGoogleUpdated = ApiClient.convertToType(data['isGoogleUpdated'], 'Boolean');
      if (data.hasOwnProperty('isLocalPostApiDisabled'))
        obj.isLocalPostApiDisabled = ApiClient.convertToType(data['isLocalPostApiDisabled'], 'Boolean');
      if (data.hasOwnProperty('isPendingReview'))
        obj.isPendingReview = ApiClient.convertToType(data['isPendingReview'], 'Boolean');
      if (data.hasOwnProperty('isPublished'))
        obj.isPublished = ApiClient.convertToType(data['isPublished'], 'Boolean');
      if (data.hasOwnProperty('isSuspended'))
        obj.isSuspended = ApiClient.convertToType(data['isSuspended'], 'Boolean');
      if (data.hasOwnProperty('isVerified'))
        obj.isVerified = ApiClient.convertToType(data['isVerified'], 'Boolean');
      if (data.hasOwnProperty('needsReverification'))
        obj.needsReverification = ApiClient.convertToType(data['needsReverification'], 'Boolean');
    }
    return obj;
  }

  /**
   * Output only. Indicates whether the location can be deleted using the Google My Business API.
   * @member {Boolean} canDelete
   */
  exports.prototype.canDelete = undefined;

  /**
   * Output only. Indicates if the listing is eligible for food menu.
   * @member {Boolean} canHaveFoodMenus
   */
  exports.prototype.canHaveFoodMenus = undefined;

  /**
   * Output only. Indicates if the listing can modify a ServiceList.
   * @member {Boolean} canModifyServiceList
   */
  exports.prototype.canModifyServiceList = undefined;

  /**
   * Output only. Indicates whether the location can be updated.
   * @member {Boolean} canUpdate
   */
  exports.prototype.canUpdate = undefined;

  /**
   * Output only. Indicates whether any of this Location's properties are in the edit pending state.
   * @member {Boolean} hasPendingEdits
   */
  exports.prototype.hasPendingEdits = undefined;

  /**
   * Output only. Indicates whether the location has pending verification requests.
   * @member {Boolean} hasPendingVerification
   */
  exports.prototype.hasPendingVerification = undefined;

  /**
   * Output only. Indicates whether the location is disabled.
   * @member {Boolean} isDisabled
   */
  exports.prototype.isDisabled = undefined;

  /**
   * Output only. Indicates whether the location is disconnected from a place on Google Maps.
   * @member {Boolean} isDisconnected
   */
  exports.prototype.isDisconnected = undefined;

  /**
   * Output only. Indicates whether the location is a duplicate of another location. For more information, see [metadata.duplicate](/my-business/reference/rest/v4/accounts.locations#Duplicate).
   * @member {Boolean} isDuplicate
   */
  exports.prototype.isDuplicate = undefined;

  /**
   * Output only. Indicates whether the place ID associated with this location has updates.
   * @member {Boolean} isGoogleUpdated
   */
  exports.prototype.isGoogleUpdated = undefined;

  /**
   * Output only. Indicates whether [accounts.locations.localPosts](/my-business/reference/rest/v4/accounts.locations.localPosts) is disabled for this location.
   * @member {Boolean} isLocalPostApiDisabled
   */
  exports.prototype.isLocalPostApiDisabled = undefined;

  /**
   * Output only. Indicates whether the review of the location is pending.
   * @member {Boolean} isPendingReview
   */
  exports.prototype.isPendingReview = undefined;

  /**
   * Output only. Indicates whether the location is published.
   * @member {Boolean} isPublished
   */
  exports.prototype.isPublished = undefined;

  /**
   * Output only. Indicates whether the location is suspended. Suspended locations are not visible to end users in Google products. If you believe this was a mistake, see the [help center article] (https://support.google.com/business/answer/4569145).
   * @member {Boolean} isSuspended
   */
  exports.prototype.isSuspended = undefined;

  /**
   * Output only. Indicates whether the location is verified.
   * @member {Boolean} isVerified
   */
  exports.prototype.isVerified = undefined;

  /**
   * Output only. Indicates whether the location requires reverification.
   * @member {Boolean} needsReverification
   */
  exports.prototype.needsReverification = undefined;

  return exports;

}));
