/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Location'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Location'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.MatchedLocation = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Location);
  }
}(this, function(ApiClient, Location) {
  'use strict';

  /**
   * The MatchedLocation model module.
   * @module model/MatchedLocation
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>MatchedLocation</code>.
   * Represents a possible match to a location.
   * @alias module:model/MatchedLocation
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>MatchedLocation</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/MatchedLocation} obj Optional instance to populate.
   * @return {module:model/MatchedLocation} The populated <code>MatchedLocation</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('isExactMatch'))
        obj.isExactMatch = ApiClient.convertToType(data['isExactMatch'], 'Boolean');
      if (data.hasOwnProperty('location'))
        obj.location = Location.constructFromObject(data['location']);
    }
    return obj;
  }

  /**
   * Is this an exact match?
   * @member {Boolean} isExactMatch
   */
  exports.prototype.isExactMatch = undefined;

  /**
   * The sparsely populated location that is a potential match. Unpopulated fields include, but may not be limited to: name (the matched location cannot be retrieved via `GetLocation` nor `BatchGetLocations`); `store_code`; `service_area` coverage area details; `labels`; `ad_words_location_extensions`; `photos`
   * @member {module:model/Location} location
   */
  exports.prototype.location = undefined;

  return exports;

}));
