/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Attribution', 'model/Dimensions', 'model/LocationAssociation', 'model/MediaInsights', 'model/MediaItemDataRef'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Attribution'), require('./Dimensions'), require('./LocationAssociation'), require('./MediaInsights'), require('./MediaItemDataRef'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.MediaItem = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Attribution, root.GoogleMyBusinessApi.Dimensions, root.GoogleMyBusinessApi.LocationAssociation, root.GoogleMyBusinessApi.MediaInsights, root.GoogleMyBusinessApi.MediaItemDataRef);
  }
}(this, function(ApiClient, Attribution, Dimensions, LocationAssociation, MediaInsights, MediaItemDataRef) {
  'use strict';

  /**
   * The MediaItem model module.
   * @module model/MediaItem
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>MediaItem</code>.
   * A single media item.
   * @alias module:model/MediaItem
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>MediaItem</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/MediaItem} obj Optional instance to populate.
   * @return {module:model/MediaItem} The populated <code>MediaItem</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('attribution'))
        obj.attribution = Attribution.constructFromObject(data['attribution']);
      if (data.hasOwnProperty('createTime'))
        obj.createTime = ApiClient.convertToType(data['createTime'], 'String');
      if (data.hasOwnProperty('dataRef'))
        obj.dataRef = MediaItemDataRef.constructFromObject(data['dataRef']);
      if (data.hasOwnProperty('description'))
        obj.description = ApiClient.convertToType(data['description'], 'String');
      if (data.hasOwnProperty('dimensions'))
        obj.dimensions = Dimensions.constructFromObject(data['dimensions']);
      if (data.hasOwnProperty('googleUrl'))
        obj.googleUrl = ApiClient.convertToType(data['googleUrl'], 'String');
      if (data.hasOwnProperty('insights'))
        obj.insights = MediaInsights.constructFromObject(data['insights']);
      if (data.hasOwnProperty('locationAssociation'))
        obj.locationAssociation = LocationAssociation.constructFromObject(data['locationAssociation']);
      if (data.hasOwnProperty('mediaFormat'))
        obj.mediaFormat = ApiClient.convertToType(data['mediaFormat'], 'String');
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('sourceUrl'))
        obj.sourceUrl = ApiClient.convertToType(data['sourceUrl'], 'String');
      if (data.hasOwnProperty('thumbnailUrl'))
        obj.thumbnailUrl = ApiClient.convertToType(data['thumbnailUrl'], 'String');
    }
    return obj;
  }

  /**
   * Output only. Attribution information for customer media items. You must display this attribution as provided to your users and must not delete or alter the attribution.
   * @member {module:model/Attribution} attribution
   */
  exports.prototype.attribution = undefined;

  /**
   * Output only. Creation time of this media item.
   * @member {String} createTime
   */
  exports.prototype.createTime = undefined;

  /**
   * Input only. A reference to media item binary data as obtained by the `StartUploadMediaItemData` method. When creating a media item, either sourceUrl or dataRef must be set.
   * @member {module:model/MediaItemDataRef} dataRef
   */
  exports.prototype.dataRef = undefined;

  /**
   * Description for this media item. Descriptions cannot be modified through the My Business API, but can be set when creating a new media item that is not a cover photo.
   * @member {String} description
   */
  exports.prototype.description = undefined;

  /**
   * Output only. The dimensions (width and height) in pixels.
   * @member {module:model/Dimensions} dimensions
   */
  exports.prototype.dimensions = undefined;

  /**
   * Output only. Google-hosted URL for this media item. This URL is not static since it may change over time. For video this will be a preview image with an overlaid play icon.
   * @member {String} googleUrl
   */
  exports.prototype.googleUrl = undefined;

  /**
   * Output only. Statistics for this media item.
   * @member {module:model/MediaInsights} insights
   */
  exports.prototype.insights = undefined;

  /**
   * Required when calling `CreatePhoto`. Describes how this media item is connected to its location. Must be either a category (for example, EXTERIOR) or the ID of a price list item. This is required when adding new media to a location with `CreateMediaItem`. For other types of media, for example, photos on local posts, this will not be present.
   * @member {module:model/LocationAssociation} locationAssociation
   */
  exports.prototype.locationAssociation = undefined;

  /**
   * The format of this media item. Must be set when the media item is created, and is read-only on all other requests. Cannot be updated.
   * @member {module:model/MediaItem.MediaFormatEnum} mediaFormat
   */
  exports.prototype.mediaFormat = undefined;

  /**
   * The resource name for this media item. `accounts/{account_id}/locations/{location_id}/media/{media_key}`
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * A publicly accessible URL where the media item can be retrieved from. When creating one of this or data_ref must be set to specify the source of the media item. If `source_url` was used when creating a media item, it will be populated with that source URL when the media item is retrieved. This field cannot be updated.
   * @member {String} sourceUrl
   */
  exports.prototype.sourceUrl = undefined;

  /**
   * Output only. Where provided, the URL of a thumbnail image for this media item.
   * @member {String} thumbnailUrl
   */
  exports.prototype.thumbnailUrl = undefined;


  /**
   * Allowed values for the <code>mediaFormat</code> property.
   * @enum {String}
   * @readonly
   */
  exports.MediaFormatEnum = {
    /**
     * value: "MEDIA_FORMAT_UNSPECIFIED"
     * @const
     */
    MEDIA_FORMAT_UNSPECIFIED: "MEDIA_FORMAT_UNSPECIFIED",

    /**
     * value: "PHOTO"
     * @const
     */
    PHOTO: "PHOTO",

    /**
     * value: "VIDEO"
     * @const
     */
    VIDEO: "VIDEO"
  };

  return exports;

}));
