/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Duplicate'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Duplicate'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Metadata = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Duplicate);
  }
}(this, function(ApiClient, Duplicate) {
  'use strict';

  /**
   * The Metadata model module.
   * @module model/Metadata
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Metadata</code>.
   * Additional non-user-editable information about the location.
   * @alias module:model/Metadata
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Metadata</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Metadata} obj Optional instance to populate.
   * @return {module:model/Metadata} The populated <code>Metadata</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('duplicate'))
        obj.duplicate = Duplicate.constructFromObject(data['duplicate']);
      if (data.hasOwnProperty('mapsUrl'))
        obj.mapsUrl = ApiClient.convertToType(data['mapsUrl'], 'String');
      if (data.hasOwnProperty('newReviewUrl'))
        obj.newReviewUrl = ApiClient.convertToType(data['newReviewUrl'], 'String');
    }
    return obj;
  }

  /**
   * Information about the location that this location duplicates. Only present when `location_state.is_duplicate` is true.
   * @member {module:model/Duplicate} duplicate
   */
  exports.prototype.duplicate = undefined;

  /**
   * A link to the location on Maps.
   * @member {String} mapsUrl
   */
  exports.prototype.mapsUrl = undefined;

  /**
   * A link to the page on Google Search where a customer can leave a review for the location.
   * @member {String} newReviewUrl
   */
  exports.prototype.newReviewUrl = undefined;

  return exports;

}));
