/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.MetricRequest = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The MetricRequest model module.
   * @module model/MetricRequest
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>MetricRequest</code>.
   * A request to return values for one metric and the options for how those values should be returned.
   * @alias module:model/MetricRequest
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>MetricRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/MetricRequest} obj Optional instance to populate.
   * @return {module:model/MetricRequest} The populated <code>MetricRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('metric'))
        obj.metric = ApiClient.convertToType(data['metric'], 'String');
      if (data.hasOwnProperty('options'))
        obj.options = ApiClient.convertToType(data['options'], ['String']);
    }
    return obj;
  }

  /**
   * The requested metric.
   * @member {module:model/MetricRequest.MetricEnum} metric
   */
  exports.prototype.metric = undefined;

  /**
   * How the values should appear when returned.
   * @member {Array.<module:model/MetricRequest.OptionsEnum>} options
   */
  exports.prototype.options = undefined;


  /**
   * Allowed values for the <code>metric</code> property.
   * @enum {String}
   * @readonly
   */
  exports.MetricEnum = {
    /**
     * value: "METRIC_UNSPECIFIED"
     * @const
     */
    METRIC_UNSPECIFIED: "METRIC_UNSPECIFIED",

    /**
     * value: "ALL"
     * @const
     */
    ALL: "ALL",

    /**
     * value: "QUERIES_DIRECT"
     * @const
     */
    QUERIES_DIRECT: "QUERIES_DIRECT",

    /**
     * value: "QUERIES_INDIRECT"
     * @const
     */
    QUERIES_INDIRECT: "QUERIES_INDIRECT",

    /**
     * value: "QUERIES_CHAIN"
     * @const
     */
    QUERIES_CHAIN: "QUERIES_CHAIN",

    /**
     * value: "VIEWS_MAPS"
     * @const
     */
    VIEWS_MAPS: "VIEWS_MAPS",

    /**
     * value: "VIEWS_SEARCH"
     * @const
     */
    VIEWS_SEARCH: "VIEWS_SEARCH",

    /**
     * value: "ACTIONS_WEBSITE"
     * @const
     */
    ACTIONS_WEBSITE: "ACTIONS_WEBSITE",

    /**
     * value: "ACTIONS_PHONE"
     * @const
     */
    ACTIONS_PHONE: "ACTIONS_PHONE",

    /**
     * value: "ACTIONS_DRIVING_DIRECTIONS"
     * @const
     */
    ACTIONS_DRIVING_DIRECTIONS: "ACTIONS_DRIVING_DIRECTIONS",

    /**
     * value: "PHOTOS_VIEWS_MERCHANT"
     * @const
     */
    PHOTOS_VIEWS_MERCHANT: "PHOTOS_VIEWS_MERCHANT",

    /**
     * value: "PHOTOS_VIEWS_CUSTOMERS"
     * @const
     */
    PHOTOS_VIEWS_CUSTOMERS: "PHOTOS_VIEWS_CUSTOMERS",

    /**
     * value: "PHOTOS_COUNT_MERCHANT"
     * @const
     */
    PHOTOS_COUNT_MERCHANT: "PHOTOS_COUNT_MERCHANT",

    /**
     * value: "PHOTOS_COUNT_CUSTOMERS"
     * @const
     */
    PHOTOS_COUNT_CUSTOMERS: "PHOTOS_COUNT_CUSTOMERS",

    /**
     * value: "LOCAL_POST_VIEWS_SEARCH"
     * @const
     */
    LOCAL_POST_VIEWS_SEARCH: "LOCAL_POST_VIEWS_SEARCH",

    /**
     * value: "LOCAL_POST_ACTIONS_CALL_TO_ACTION"
     * @const
     */
    LOCAL_POST_ACTIONS_CALL_TO_ACTION: "LOCAL_POST_ACTIONS_CALL_TO_ACTION"
  };


  /**
   * Allowed values for the <code>options</code> property.
   * @enum {String}
   * @readonly
   */
  exports.OptionsEnum = {
    /**
     * value: "METRIC_OPTION_UNSPECIFIED"
     * @const
     */
    METRIC_OPTION_UNSPECIFIED: "METRIC_OPTION_UNSPECIFIED",

    /**
     * value: "AGGREGATED_TOTAL"
     * @const
     */
    AGGREGATED_TOTAL: "AGGREGATED_TOTAL",

    /**
     * value: "AGGREGATED_DAILY"
     * @const
     */
    AGGREGATED_DAILY: "AGGREGATED_DAILY",

    /**
     * value: "BREAKDOWN_DAY_OF_WEEK"
     * @const
     */
    BREAKDOWN_DAY_OF_WEEK: "BREAKDOWN_DAY_OF_WEEK",

    /**
     * value: "BREAKDOWN_HOUR_OF_DAY"
     * @const
     */
    BREAKDOWN_HOUR_OF_DAY: "BREAKDOWN_HOUR_OF_DAY"
  };

  return exports;

}));
