/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/DimensionalMetricValue'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./DimensionalMetricValue'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.MetricValue = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.DimensionalMetricValue);
  }
}(this, function(ApiClient, DimensionalMetricValue) {
  'use strict';

  /**
   * The MetricValue model module.
   * @module model/MetricValue
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>MetricValue</code>.
   * A value for a single Metric from a starting time.
   * @alias module:model/MetricValue
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>MetricValue</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/MetricValue} obj Optional instance to populate.
   * @return {module:model/MetricValue} The populated <code>MetricValue</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('dimensionalValues'))
        obj.dimensionalValues = ApiClient.convertToType(data['dimensionalValues'], [DimensionalMetricValue]);
      if (data.hasOwnProperty('metric'))
        obj.metric = ApiClient.convertToType(data['metric'], 'String');
      if (data.hasOwnProperty('totalValue'))
        obj.totalValue = DimensionalMetricValue.constructFromObject(data['totalValue']);
    }
    return obj;
  }

  /**
   * Dimensional values for this metric.
   * @member {Array.<module:model/DimensionalMetricValue>} dimensionalValues
   */
  exports.prototype.dimensionalValues = undefined;

  /**
   * The metric for which the value applies.
   * @member {module:model/MetricValue.MetricEnum} metric
   */
  exports.prototype.metric = undefined;

  /**
   * The total aggregated value for this metric. Set for the AGGREGATED_TOTAL option.
   * @member {module:model/DimensionalMetricValue} totalValue
   */
  exports.prototype.totalValue = undefined;


  /**
   * Allowed values for the <code>metric</code> property.
   * @enum {String}
   * @readonly
   */
  exports.MetricEnum = {
    /**
     * value: "METRIC_UNSPECIFIED"
     * @const
     */
    METRIC_UNSPECIFIED: "METRIC_UNSPECIFIED",

    /**
     * value: "ALL"
     * @const
     */
    ALL: "ALL",

    /**
     * value: "QUERIES_DIRECT"
     * @const
     */
    QUERIES_DIRECT: "QUERIES_DIRECT",

    /**
     * value: "QUERIES_INDIRECT"
     * @const
     */
    QUERIES_INDIRECT: "QUERIES_INDIRECT",

    /**
     * value: "QUERIES_CHAIN"
     * @const
     */
    QUERIES_CHAIN: "QUERIES_CHAIN",

    /**
     * value: "VIEWS_MAPS"
     * @const
     */
    VIEWS_MAPS: "VIEWS_MAPS",

    /**
     * value: "VIEWS_SEARCH"
     * @const
     */
    VIEWS_SEARCH: "VIEWS_SEARCH",

    /**
     * value: "ACTIONS_WEBSITE"
     * @const
     */
    ACTIONS_WEBSITE: "ACTIONS_WEBSITE",

    /**
     * value: "ACTIONS_PHONE"
     * @const
     */
    ACTIONS_PHONE: "ACTIONS_PHONE",

    /**
     * value: "ACTIONS_DRIVING_DIRECTIONS"
     * @const
     */
    ACTIONS_DRIVING_DIRECTIONS: "ACTIONS_DRIVING_DIRECTIONS",

    /**
     * value: "PHOTOS_VIEWS_MERCHANT"
     * @const
     */
    PHOTOS_VIEWS_MERCHANT: "PHOTOS_VIEWS_MERCHANT",

    /**
     * value: "PHOTOS_VIEWS_CUSTOMERS"
     * @const
     */
    PHOTOS_VIEWS_CUSTOMERS: "PHOTOS_VIEWS_CUSTOMERS",

    /**
     * value: "PHOTOS_COUNT_MERCHANT"
     * @const
     */
    PHOTOS_COUNT_MERCHANT: "PHOTOS_COUNT_MERCHANT",

    /**
     * value: "PHOTOS_COUNT_CUSTOMERS"
     * @const
     */
    PHOTOS_COUNT_CUSTOMERS: "PHOTOS_COUNT_CUSTOMERS",

    /**
     * value: "LOCAL_POST_VIEWS_SEARCH"
     * @const
     */
    LOCAL_POST_VIEWS_SEARCH: "LOCAL_POST_VIEWS_SEARCH",

    /**
     * value: "LOCAL_POST_ACTIONS_CALL_TO_ACTION"
     * @const
     */
    LOCAL_POST_ACTIONS_CALL_TO_ACTION: "LOCAL_POST_ACTIONS_CALL_TO_ACTION"
  };

  return exports;

}));
