/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Notifications = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The Notifications model module.
   * @module model/Notifications
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Notifications</code>.
   * A Google Cloud Pub/Sub topic where notifications can be published when a location is updated or has a new review. There will be only one notification settings resource per-account.
   * @alias module:model/Notifications
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Notifications</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Notifications} obj Optional instance to populate.
   * @return {module:model/Notifications} The populated <code>Notifications</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('notificationTypes'))
        obj.notificationTypes = ApiClient.convertToType(data['notificationTypes'], ['String']);
      if (data.hasOwnProperty('topicName'))
        obj.topicName = ApiClient.convertToType(data['topicName'], 'String');
    }
    return obj;
  }

  /**
   * Output only. The notifications resource name.
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * The types of notifications that will be sent to the Cloud Pub/Sub topic. At least one must be specified. To stop receiving notifications entirely, use DeleteNotifications.
   * @member {Array.<module:model/Notifications.NotificationTypesEnum>} notificationTypes
   */
  exports.prototype.notificationTypes = undefined;

  /**
   * The Google Cloud Pub/Sub topic that will receive notifications when locations managed by this account are updated. If unset, no notifications will be posted. The account mybusiness-api-pubsub@system.gserviceaccount.com must have at least Publish permissions on the Cloud Pub/Sub topic.
   * @member {String} topicName
   */
  exports.prototype.topicName = undefined;


  /**
   * Allowed values for the <code>notificationTypes</code> property.
   * @enum {String}
   * @readonly
   */
  exports.NotificationTypesEnum = {
    /**
     * value: "NOTIFICATION_TYPE_UNSPECIFIED"
     * @const
     */
    NOTIFICATION_TYPE_UNSPECIFIED: "NOTIFICATION_TYPE_UNSPECIFIED",

    /**
     * value: "GOOGLE_UPDATE"
     * @const
     */
    GOOGLE_UPDATE: "GOOGLE_UPDATE",

    /**
     * value: "NEW_REVIEW"
     * @const
     */
    NEW_REVIEW: "NEW_REVIEW",

    /**
     * value: "UPDATED_REVIEW"
     * @const
     */
    UPDATED_REVIEW: "UPDATED_REVIEW",

    /**
     * value: "NEW_CUSTOMER_MEDIA"
     * @const
     */
    NEW_CUSTOMER_MEDIA: "NEW_CUSTOMER_MEDIA",

    /**
     * value: "NEW_QUESTION"
     * @const
     */
    NEW_QUESTION: "NEW_QUESTION",

    /**
     * value: "UPDATED_QUESTION"
     * @const
     */
    UPDATED_QUESTION: "UPDATED_QUESTION",

    /**
     * value: "NEW_ANSWER"
     * @const
     */
    NEW_ANSWER: "NEW_ANSWER",

    /**
     * value: "UPDATED_ANSWER"
     * @const
     */
    UPDATED_ANSWER: "UPDATED_ANSWER",

    /**
     * value: "UPDATED_LOCATION_STATE"
     * @const
     */
    UPDATED_LOCATION_STATE: "UPDATED_LOCATION_STATE"
  };

  return exports;

}));
