/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.NutritionFact = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The NutritionFact model module.
   * @module model/NutritionFact
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>NutritionFact</code>.
   * This message denotes nutrition information with an upper bound and lower bound range and can be represented by mass unit. Lower amount must be specified. Both lower and upper amounts are non-negative numbers.
   * @alias module:model/NutritionFact
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>NutritionFact</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/NutritionFact} obj Optional instance to populate.
   * @return {module:model/NutritionFact} The populated <code>NutritionFact</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('lowerAmount'))
        obj.lowerAmount = ApiClient.convertToType(data['lowerAmount'], 'Number');
      if (data.hasOwnProperty('unit'))
        obj.unit = ApiClient.convertToType(data['unit'], 'String');
      if (data.hasOwnProperty('upperAmount'))
        obj.upperAmount = ApiClient.convertToType(data['upperAmount'], 'Number');
    }
    return obj;
  }

  /**
   * Required. Lower amount of nutrition
   * @member {Number} lowerAmount
   */
  exports.prototype.lowerAmount = undefined;

  /**
   * Required. Unit of the given nutrition information.
   * @member {module:model/NutritionFact.UnitEnum} unit
   */
  exports.prototype.unit = undefined;

  /**
   * Optional. Upper amount of nutrition
   * @member {Number} upperAmount
   */
  exports.prototype.upperAmount = undefined;


  /**
   * Allowed values for the <code>unit</code> property.
   * @enum {String}
   * @readonly
   */
  exports.UnitEnum = {
    /**
     * value: "MASS_UNIT_UNSPECIFIED"
     * @const
     */
    MASS_UNIT_UNSPECIFIED: "MASS_UNIT_UNSPECIFIED",

    /**
     * value: "GRAM"
     * @const
     */
    GRAM: "GRAM",

    /**
     * value: "MILLIGRAM"
     * @const
     */
    MILLIGRAM: "MILLIGRAM"
  };

  return exports;

}));
