/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/CaloriesFact', 'model/NutritionFact'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./CaloriesFact'), require('./NutritionFact'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.NutritionFacts = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.CaloriesFact, root.GoogleMyBusinessApi.NutritionFact);
  }
}(this, function(ApiClient, CaloriesFact, NutritionFact) {
  'use strict';

  /**
   * The NutritionFacts model module.
   * @module model/NutritionFacts
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>NutritionFacts</code>.
   * This message represents nutrition facts for a food dish.
   * @alias module:model/NutritionFacts
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>NutritionFacts</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/NutritionFacts} obj Optional instance to populate.
   * @return {module:model/NutritionFacts} The populated <code>NutritionFacts</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('calories'))
        obj.calories = CaloriesFact.constructFromObject(data['calories']);
      if (data.hasOwnProperty('cholesterol'))
        obj.cholesterol = NutritionFact.constructFromObject(data['cholesterol']);
      if (data.hasOwnProperty('protein'))
        obj.protein = NutritionFact.constructFromObject(data['protein']);
      if (data.hasOwnProperty('sodium'))
        obj.sodium = NutritionFact.constructFromObject(data['sodium']);
      if (data.hasOwnProperty('totalCarbohydrate'))
        obj.totalCarbohydrate = NutritionFact.constructFromObject(data['totalCarbohydrate']);
      if (data.hasOwnProperty('totalFat'))
        obj.totalFat = NutritionFact.constructFromObject(data['totalFat']);
    }
    return obj;
  }

  /**
   * Optional. Calories of the dish.
   * @member {module:model/CaloriesFact} calories
   */
  exports.prototype.calories = undefined;

  /**
   * Optional. Cholesterol information for a given food dish.
   * @member {module:model/NutritionFact} cholesterol
   */
  exports.prototype.cholesterol = undefined;

  /**
   * Optional. Protein information for a given food dish.
   * @member {module:model/NutritionFact} protein
   */
  exports.prototype.protein = undefined;

  /**
   * Optional. Sodium information for a given food dish.
   * @member {module:model/NutritionFact} sodium
   */
  exports.prototype.sodium = undefined;

  /**
   * Optional. Carbohydrate information for a given food dish.
   * @member {module:model/NutritionFact} totalCarbohydrate
   */
  exports.prototype.totalCarbohydrate = undefined;

  /**
   * Optional. Fat information for a given food dish.
   * @member {module:model/NutritionFact} totalFat
   */
  exports.prototype.totalFat = undefined;

  return exports;

}));
