/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/ModelDate'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./ModelDate'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.OpenInfo = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.ModelDate);
  }
}(this, function(ApiClient, ModelDate) {
  'use strict';

  /**
   * The OpenInfo model module.
   * @module model/OpenInfo
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>OpenInfo</code>.
   * Information related to the opening state of the business.
   * @alias module:model/OpenInfo
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>OpenInfo</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/OpenInfo} obj Optional instance to populate.
   * @return {module:model/OpenInfo} The populated <code>OpenInfo</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('canReopen'))
        obj.canReopen = ApiClient.convertToType(data['canReopen'], 'Boolean');
      if (data.hasOwnProperty('openingDate'))
        obj.openingDate = ModelDate.constructFromObject(data['openingDate']);
      if (data.hasOwnProperty('status'))
        obj.status = ApiClient.convertToType(data['status'], 'String');
    }
    return obj;
  }

  /**
   * Output only. Indicates whether this business is eligible for re-open.
   * @member {Boolean} canReopen
   */
  exports.prototype.canReopen = undefined;

  /**
   * The date on which the location first opened. If the exact day is not known, month and year only can be provided. The date must be in the past or be no more than one year in the future.
   * @member {module:model/ModelDate} openingDate
   */
  exports.prototype.openingDate = undefined;

  /**
   * Indicates whether or not the Location is currently open for business. All locations are open by default, unless updated to be closed.
   * @member {module:model/OpenInfo.StatusEnum} status
   */
  exports.prototype.status = undefined;


  /**
   * Allowed values for the <code>status</code> property.
   * @enum {String}
   * @readonly
   */
  exports.StatusEnum = {
    /**
     * value: "OPEN_FOR_BUSINESS_UNSPECIFIED"
     * @const
     */
    OPEN_FOR_BUSINESS_UNSPECIFIED: "OPEN_FOR_BUSINESS_UNSPECIFIED",

    /**
     * value: "OPEN"
     * @const
     */
    OPEN: "OPEN",

    /**
     * value: "CLOSED_PERMANENTLY"
     * @const
     */
    CLOSED_PERMANENTLY: "CLOSED_PERMANENTLY",

    /**
     * value: "CLOSED_TEMPORARILY"
     * @const
     */
    CLOSED_TEMPORARILY: "CLOSED_TEMPORARILY"
  };

  return exports;

}));
