/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/PostalAddress'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./PostalAddress'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.OrganizationInfo = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.PostalAddress);
  }
}(this, function(ApiClient, PostalAddress) {
  'use strict';

  /**
   * The OrganizationInfo model module.
   * @module model/OrganizationInfo
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>OrganizationInfo</code>.
   * Additional Info stored for an organization.
   * @alias module:model/OrganizationInfo
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>OrganizationInfo</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/OrganizationInfo} obj Optional instance to populate.
   * @return {module:model/OrganizationInfo} The populated <code>OrganizationInfo</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('phoneNumber'))
        obj.phoneNumber = ApiClient.convertToType(data['phoneNumber'], 'String');
      if (data.hasOwnProperty('postalAddress'))
        obj.postalAddress = PostalAddress.constructFromObject(data['postalAddress']);
      if (data.hasOwnProperty('registeredDomain'))
        obj.registeredDomain = ApiClient.convertToType(data['registeredDomain'], 'String');
    }
    return obj;
  }

  /**
   * The contact number for the organization.
   * @member {String} phoneNumber
   */
  exports.prototype.phoneNumber = undefined;

  /**
   * The postal address for the account.
   * @member {module:model/PostalAddress} postalAddress
   */
  exports.prototype.postalAddress = undefined;

  /**
   * The registered domain for the account.
   * @member {String} registeredDomain
   */
  exports.prototype.registeredDomain = undefined;

  return exports;

}));
