/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.PhoneInput = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The PhoneInput model module.
   * @module model/PhoneInput
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>PhoneInput</code>.
   * Input for PHONE_CALL/SMS verification.
   * @alias module:model/PhoneInput
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>PhoneInput</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/PhoneInput} obj Optional instance to populate.
   * @return {module:model/PhoneInput} The populated <code>PhoneInput</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('phoneNumber'))
        obj.phoneNumber = ApiClient.convertToType(data['phoneNumber'], 'String');
    }
    return obj;
  }

  /**
   * The phone number that should be called or be sent SMS to. It must be one of the phone numbers in the eligible options.
   * @member {String} phoneNumber
   */
  exports.prototype.phoneNumber = undefined;

  return exports;

}));
