/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.PlaceInfo = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The PlaceInfo model module.
   * @module model/PlaceInfo
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>PlaceInfo</code>.
   * Defines an area that's represented by a place ID.
   * @alias module:model/PlaceInfo
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>PlaceInfo</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/PlaceInfo} obj Optional instance to populate.
   * @return {module:model/PlaceInfo} The populated <code>PlaceInfo</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('placeId'))
        obj.placeId = ApiClient.convertToType(data['placeId'], 'String');
    }
    return obj;
  }

  /**
   * The localized name of the place. For example, `Scottsdale, AZ`.
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * The ID of the place. Must correspond to a [region.] (https://developers.google.com/places/web-service/supported_types#table3)
   * @member {String} placeId
   */
  exports.prototype.placeId = undefined;

  return exports;

}));
