/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/PlaceInfo'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./PlaceInfo'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Places = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.PlaceInfo);
  }
}(this, function(ApiClient, PlaceInfo) {
  'use strict';

  /**
   * The Places model module.
   * @module model/Places
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Places</code>.
   * Defines the union of areas represented by a set of places.
   * @alias module:model/Places
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Places</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Places} obj Optional instance to populate.
   * @return {module:model/Places} The populated <code>Places</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('placeInfos'))
        obj.placeInfos = ApiClient.convertToType(data['placeInfos'], [PlaceInfo]);
    }
    return obj;
  }

  /**
   * The areas represented by place IDs. Limited to a maximum of 20 places.
   * @member {Array.<module:model/PlaceInfo>} placeInfos
   */
  exports.prototype.placeInfos = undefined;

  return exports;

}));
