/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/LatLng'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./LatLng'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.PointRadius = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.LatLng);
  }
}(this, function(ApiClient, LatLng) {
  'use strict';

  /**
   * The PointRadius model module.
   * @module model/PointRadius
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>PointRadius</code>.
   * A radius around a particular point (latitude/longitude).
   * @alias module:model/PointRadius
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>PointRadius</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/PointRadius} obj Optional instance to populate.
   * @return {module:model/PointRadius} The populated <code>PointRadius</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('latlng'))
        obj.latlng = LatLng.constructFromObject(data['latlng']);
      if (data.hasOwnProperty('radiusKm'))
        obj.radiusKm = ApiClient.convertToType(data['radiusKm'], 'Number');
    }
    return obj;
  }

  /**
   * The latitude/longitude that specifies the center of an area defined by the radius.
   * @member {module:model/LatLng} latlng
   */
  exports.prototype.latlng = undefined;

  /**
   * The distance in kilometers of the area around the point.
   * @member {Number} radiusKm
   */
  exports.prototype.radiusKm = undefined;

  return exports;

}));
