/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/MenuLabel'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./MenuLabel'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.PortionSize = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.MenuLabel);
  }
}(this, function(ApiClient, MenuLabel) {
  'use strict';

  /**
   * The PortionSize model module.
   * @module model/PortionSize
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>PortionSize</code>.
   * Serving portion size of a food dish.
   * @alias module:model/PortionSize
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>PortionSize</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/PortionSize} obj Optional instance to populate.
   * @return {module:model/PortionSize} The populated <code>PortionSize</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('quantity'))
        obj.quantity = ApiClient.convertToType(data['quantity'], 'Number');
      if (data.hasOwnProperty('unit'))
        obj.unit = ApiClient.convertToType(data['unit'], [MenuLabel]);
    }
    return obj;
  }

  /**
   * Required. Number of the portion.
   * @member {Number} quantity
   */
  exports.prototype.quantity = undefined;

  /**
   * Required. The repeated name_info field is for the unit in multiple languages.
   * @member {Array.<module:model/MenuLabel>} unit
   */
  exports.prototype.unit = undefined;

  return exports;

}));
