/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Label', 'model/Section'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Label'), require('./Section'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.PriceList = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Label, root.GoogleMyBusinessApi.Section);
  }
}(this, function(ApiClient, Label, Section) {
  'use strict';

  /**
   * The PriceList model module.
   * @module model/PriceList
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>PriceList</code>.
   * A list of item price information. Price lists are structured as one or more price lists, each containing one or more sections with one or more items. For example, food price lists may represent breakfast/lunch/dinner menus, with sections for burgers/steak/seafood.
   * @alias module:model/PriceList
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>PriceList</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/PriceList} obj Optional instance to populate.
   * @return {module:model/PriceList} The populated <code>PriceList</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('labels'))
        obj.labels = ApiClient.convertToType(data['labels'], [Label]);
      if (data.hasOwnProperty('priceListId'))
        obj.priceListId = ApiClient.convertToType(data['priceListId'], 'String');
      if (data.hasOwnProperty('sections'))
        obj.sections = ApiClient.convertToType(data['sections'], [Section]);
      if (data.hasOwnProperty('sourceUrl'))
        obj.sourceUrl = ApiClient.convertToType(data['sourceUrl'], 'String');
    }
    return obj;
  }

  /**
   * Required. Language-tagged labels for the price list.
   * @member {Array.<module:model/Label>} labels
   */
  exports.prototype.labels = undefined;

  /**
   * Required. ID for the price list. Price list, section, and item IDs cannot be duplicated within this Location.
   * @member {String} priceListId
   */
  exports.prototype.priceListId = undefined;

  /**
   * Required. Sections for this price list. Each price list must contain at least one section.
   * @member {Array.<module:model/Section>} sections
   */
  exports.prototype.sections = undefined;

  /**
   * Optional source URL of where the price list was retrieved from. For example, this could be the URL of the page that was automatically scraped to populate the menu information.
   * @member {String} sourceUrl
   */
  exports.prototype.sourceUrl = undefined;

  return exports;

}));
