/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Answer', 'model/Author'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Answer'), require('./Author'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Question = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Answer, root.GoogleMyBusinessApi.Author);
  }
}(this, function(ApiClient, Answer, Author) {
  'use strict';

  /**
   * The Question model module.
   * @module model/Question
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Question</code>.
   * Represents a single question and some of its answers.
   * @alias module:model/Question
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Question</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Question} obj Optional instance to populate.
   * @return {module:model/Question} The populated <code>Question</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('author'))
        obj.author = Author.constructFromObject(data['author']);
      if (data.hasOwnProperty('createTime'))
        obj.createTime = ApiClient.convertToType(data['createTime'], 'String');
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('text'))
        obj.text = ApiClient.convertToType(data['text'], 'String');
      if (data.hasOwnProperty('topAnswers'))
        obj.topAnswers = ApiClient.convertToType(data['topAnswers'], [Answer]);
      if (data.hasOwnProperty('totalAnswerCount'))
        obj.totalAnswerCount = ApiClient.convertToType(data['totalAnswerCount'], 'Number');
      if (data.hasOwnProperty('updateTime'))
        obj.updateTime = ApiClient.convertToType(data['updateTime'], 'String');
      if (data.hasOwnProperty('upvoteCount'))
        obj.upvoteCount = ApiClient.convertToType(data['upvoteCount'], 'Number');
    }
    return obj;
  }

  /**
   * Output only. The author of the question.
   * @member {module:model/Author} author
   */
  exports.prototype.author = undefined;

  /**
   * Output only. The timestamp for when the question was written.
   * @member {String} createTime
   */
  exports.prototype.createTime = undefined;

  /**
   * Output only. The unique name for the question. accounts/_*_/locations/_*_/questions/_*
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * The text of the question. It should contain at least three words and the total length should be greater than or equal to 10 characters. The maximum length is 4096 characters.
   * @member {String} text
   */
  exports.prototype.text = undefined;

  /**
   * Output only. A list of answers to the question, sorted by upvotes. This may not be a complete list of answers depending on the request parameters (answers_per_question)
   * @member {Array.<module:model/Answer>} topAnswers
   */
  exports.prototype.topAnswers = undefined;

  /**
   * Output only. The total number of answers posted for this question.
   * @member {Number} totalAnswerCount
   */
  exports.prototype.totalAnswerCount = undefined;

  /**
   * Output only. The timestamp for when the question was last modified.
   * @member {String} updateTime
   */
  exports.prototype.updateTime = undefined;

  /**
   * Output only. The number of upvotes for the question.
   * @member {Number} upvoteCount
   */
  exports.prototype.upvoteCount = undefined;

  return exports;

}));
