/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/LatLng'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./LatLng'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.RegionCount = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.LatLng);
  }
}(this, function(ApiClient, LatLng) {
  'use strict';

  /**
   * The RegionCount model module.
   * @module model/RegionCount
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>RegionCount</code>.
   * A region with its associated request count.
   * @alias module:model/RegionCount
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>RegionCount</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/RegionCount} obj Optional instance to populate.
   * @return {module:model/RegionCount} The populated <code>RegionCount</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('count'))
        obj.count = ApiClient.convertToType(data['count'], 'String');
      if (data.hasOwnProperty('label'))
        obj.label = ApiClient.convertToType(data['label'], 'String');
      if (data.hasOwnProperty('latlng'))
        obj.latlng = LatLng.constructFromObject(data['latlng']);
    }
    return obj;
  }

  /**
   * Number of driving-direction requests from this region.
   * @member {String} count
   */
  exports.prototype.count = undefined;

  /**
   * Human-readable label for the region.
   * @member {String} label
   */
  exports.prototype.label = undefined;

  /**
   * Center of region.
   * @member {module:model/LatLng} latlng
   */
  exports.prototype.latlng = undefined;

  return exports;

}));
