/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ReportGoogleLocationRequest = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The ReportGoogleLocationRequest model module.
   * @module model/ReportGoogleLocationRequest
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ReportGoogleLocationRequest</code>.
   * Request message for reporting a GoogleLocation.
   * @alias module:model/ReportGoogleLocationRequest
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ReportGoogleLocationRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ReportGoogleLocationRequest} obj Optional instance to populate.
   * @return {module:model/ReportGoogleLocationRequest} The populated <code>ReportGoogleLocationRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('locationGroupName'))
        obj.locationGroupName = ApiClient.convertToType(data['locationGroupName'], 'String');
      if (data.hasOwnProperty('reportReasonBadLocation'))
        obj.reportReasonBadLocation = ApiClient.convertToType(data['reportReasonBadLocation'], 'String');
      if (data.hasOwnProperty('reportReasonBadRecommendation'))
        obj.reportReasonBadRecommendation = ApiClient.convertToType(data['reportReasonBadRecommendation'], 'String');
      if (data.hasOwnProperty('reportReasonElaboration'))
        obj.reportReasonElaboration = ApiClient.convertToType(data['reportReasonElaboration'], 'String');
      if (data.hasOwnProperty('reportReasonLanguageCode'))
        obj.reportReasonLanguageCode = ApiClient.convertToType(data['reportReasonLanguageCode'], 'String');
    }
    return obj;
  }

  /**
   * Optional. The resource name of the location group that this Google Location is being reported for, in the format `accounts/{account_id}`.
   * @member {String} locationGroupName
   */
  exports.prototype.locationGroupName = undefined;

  /**
   * The reason for which the user is reporting this location when the issue is with the location itself.
   * @member {module:model/ReportGoogleLocationRequest.ReportReasonBadLocationEnum} reportReasonBadLocation
   */
  exports.prototype.reportReasonBadLocation = undefined;

  /**
   * The reason for which the user is reporting this location when the issue is with the recommendation. This report is useful if the location has been recommended to the GMB account.
   * @member {module:model/ReportGoogleLocationRequest.ReportReasonBadRecommendationEnum} reportReasonBadRecommendation
   */
  exports.prototype.reportReasonBadRecommendation = undefined;

  /**
   * Optional. A text entry for elaborating on the reason for which the user is reporting this location. The maximum length is 512 characters.
   * @member {String} reportReasonElaboration
   */
  exports.prototype.reportReasonElaboration = undefined;

  /**
   * Optional. The BCP 47 code of language used in `report_reason_elaboration`.
   * @member {String} reportReasonLanguageCode
   */
  exports.prototype.reportReasonLanguageCode = undefined;


  /**
   * Allowed values for the <code>reportReasonBadLocation</code> property.
   * @enum {String}
   * @readonly
   */
  exports.ReportReasonBadLocationEnum = {
    /**
     * value: "BAD_LOCATION_REASON_UNSPECIFIED"
     * @const
     */
    BAD_LOCATION_REASON_UNSPECIFIED: "BAD_LOCATION_REASON_UNSPECIFIED",

    /**
     * value: "NOT_A_LOCATION"
     * @const
     */
    NOT_A_LOCATION: "NOT_A_LOCATION",

    /**
     * value: "PERMANENTLY_CLOSED"
     * @const
     */
    PERMANENTLY_CLOSED: "PERMANENTLY_CLOSED",

    /**
     * value: "DOES_NOT_EXIST"
     * @const
     */
    DOES_NOT_EXIST: "DOES_NOT_EXIST",

    /**
     * value: "SPAM"
     * @const
     */
    SPAM: "SPAM",

    /**
     * value: "NOT_A_BUSINESS"
     * @const
     */
    NOT_A_BUSINESS: "NOT_A_BUSINESS",

    /**
     * value: "MOVED"
     * @const
     */
    MOVED: "MOVED",

    /**
     * value: "DUPLICATE"
     * @const
     */
    DUPLICATE: "DUPLICATE"
  };


  /**
   * Allowed values for the <code>reportReasonBadRecommendation</code> property.
   * @enum {String}
   * @readonly
   */
  exports.ReportReasonBadRecommendationEnum = {
    /**
     * value: "BAD_RECOMMENDATION_REASON_UNSPECIFIED"
     * @const
     */
    BAD_RECOMMENDATION_REASON_UNSPECIFIED: "BAD_RECOMMENDATION_REASON_UNSPECIFIED",

    /**
     * value: "NOT_A_STORE_FRONT"
     * @const
     */
    NOT_A_STORE_FRONT: "NOT_A_STORE_FRONT",

    /**
     * value: "NOT_PART_OF_SUGGESTED_CHAIN"
     * @const
     */
    NOT_PART_OF_SUGGESTED_CHAIN: "NOT_PART_OF_SUGGESTED_CHAIN",

    /**
     * value: "IRRELEVANT"
     * @const
     */
    IRRELEVANT: "IRRELEVANT"
  };

  return exports;

}));
