/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/BasicMetricsRequest'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./BasicMetricsRequest'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ReportLocalPostInsightsRequest = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.BasicMetricsRequest);
  }
}(this, function(ApiClient, BasicMetricsRequest) {
  'use strict';

  /**
   * The ReportLocalPostInsightsRequest model module.
   * @module model/ReportLocalPostInsightsRequest
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ReportLocalPostInsightsRequest</code>.
   * Request message for Insights.ReportLocalPostInsights
   * @alias module:model/ReportLocalPostInsightsRequest
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ReportLocalPostInsightsRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ReportLocalPostInsightsRequest} obj Optional instance to populate.
   * @return {module:model/ReportLocalPostInsightsRequest} The populated <code>ReportLocalPostInsightsRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('basicRequest'))
        obj.basicRequest = BasicMetricsRequest.constructFromObject(data['basicRequest']);
      if (data.hasOwnProperty('localPostNames'))
        obj.localPostNames = ApiClient.convertToType(data['localPostNames'], ['String']);
    }
    return obj;
  }

  /**
   * A request to include basic metric insights in the report. This request applies to all posts requested.
   * @member {module:model/BasicMetricsRequest} basicRequest
   */
  exports.prototype.basicRequest = undefined;

  /**
   * Required. The list of posts for which to fetch insights data. All posts have to belong to the location whose name is specified in the `name` field.
   * @member {Array.<String>} localPostNames
   */
  exports.prototype.localPostNames = undefined;

  return exports;

}));
