/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/LocalPostMetrics'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./LocalPostMetrics'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ReportLocalPostInsightsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.LocalPostMetrics);
  }
}(this, function(ApiClient, LocalPostMetrics) {
  'use strict';

  /**
   * The ReportLocalPostInsightsResponse model module.
   * @module model/ReportLocalPostInsightsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ReportLocalPostInsightsResponse</code>.
   * Response message for Insights.ReportLocalPostInsights
   * @alias module:model/ReportLocalPostInsightsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ReportLocalPostInsightsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ReportLocalPostInsightsResponse} obj Optional instance to populate.
   * @return {module:model/ReportLocalPostInsightsResponse} The populated <code>ReportLocalPostInsightsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('localPostMetrics'))
        obj.localPostMetrics = ApiClient.convertToType(data['localPostMetrics'], [LocalPostMetrics]);
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('timeZone'))
        obj.timeZone = ApiClient.convertToType(data['timeZone'], 'String');
    }
    return obj;
  }

  /**
   * One entry per requested post corresponding to this location.
   * @member {Array.<module:model/LocalPostMetrics>} localPostMetrics
   */
  exports.prototype.localPostMetrics = undefined;

  /**
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * Time zone (IANA timezone IDs, eg, 'Europe/London') of the location.
   * @member {String} timeZone
   */
  exports.prototype.timeZone = undefined;

  return exports;

}));
