/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/BasicMetricsRequest', 'model/DrivingDirectionMetricsRequest'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./BasicMetricsRequest'), require('./DrivingDirectionMetricsRequest'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ReportLocationInsightsRequest = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.BasicMetricsRequest, root.GoogleMyBusinessApi.DrivingDirectionMetricsRequest);
  }
}(this, function(ApiClient, BasicMetricsRequest, DrivingDirectionMetricsRequest) {
  'use strict';

  /**
   * The ReportLocationInsightsRequest model module.
   * @module model/ReportLocationInsightsRequest
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ReportLocationInsightsRequest</code>.
   * Request message for Insights.ReportLocationInsights.
   * @alias module:model/ReportLocationInsightsRequest
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ReportLocationInsightsRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ReportLocationInsightsRequest} obj Optional instance to populate.
   * @return {module:model/ReportLocationInsightsRequest} The populated <code>ReportLocationInsightsRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('basicRequest'))
        obj.basicRequest = BasicMetricsRequest.constructFromObject(data['basicRequest']);
      if (data.hasOwnProperty('drivingDirectionsRequest'))
        obj.drivingDirectionsRequest = DrivingDirectionMetricsRequest.constructFromObject(data['drivingDirectionsRequest']);
      if (data.hasOwnProperty('locationNames'))
        obj.locationNames = ApiClient.convertToType(data['locationNames'], ['String']);
    }
    return obj;
  }

  /**
   * A request to include basic metric insights in the report.
   * @member {module:model/BasicMetricsRequest} basicRequest
   */
  exports.prototype.basicRequest = undefined;

  /**
   * A request to include insights about driving-direction requests in the report.
   * @member {module:model/DrivingDirectionMetricsRequest} drivingDirectionsRequest
   */
  exports.prototype.drivingDirectionsRequest = undefined;

  /**
   * A collection of locations to fetch insights for, specified by their names.
   * @member {Array.<String>} locationNames
   */
  exports.prototype.locationNames = undefined;

  return exports;

}));
