/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/LocationDrivingDirectionMetrics', 'model/LocationMetrics'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./LocationDrivingDirectionMetrics'), require('./LocationMetrics'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ReportLocationInsightsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.LocationDrivingDirectionMetrics, root.GoogleMyBusinessApi.LocationMetrics);
  }
}(this, function(ApiClient, LocationDrivingDirectionMetrics, LocationMetrics) {
  'use strict';

  /**
   * The ReportLocationInsightsResponse model module.
   * @module model/ReportLocationInsightsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ReportLocationInsightsResponse</code>.
   * Response message for `Insights.ReportLocationInsights`.
   * @alias module:model/ReportLocationInsightsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ReportLocationInsightsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ReportLocationInsightsResponse} obj Optional instance to populate.
   * @return {module:model/ReportLocationInsightsResponse} The populated <code>ReportLocationInsightsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('locationDrivingDirectionMetrics'))
        obj.locationDrivingDirectionMetrics = ApiClient.convertToType(data['locationDrivingDirectionMetrics'], [LocationDrivingDirectionMetrics]);
      if (data.hasOwnProperty('locationMetrics'))
        obj.locationMetrics = ApiClient.convertToType(data['locationMetrics'], [LocationMetrics]);
    }
    return obj;
  }

  /**
   * A collection of values for driving direction-related metrics.
   * @member {Array.<module:model/LocationDrivingDirectionMetrics>} locationDrivingDirectionMetrics
   */
  exports.prototype.locationDrivingDirectionMetrics = undefined;

  /**
   * A collection of metric values by location.
   * @member {Array.<module:model/LocationMetrics>} locationMetrics
   */
  exports.prototype.locationMetrics = undefined;

  return exports;

}));
