/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/ReviewReply', 'model/Reviewer'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./ReviewReply'), require('./Reviewer'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Review = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.ReviewReply, root.GoogleMyBusinessApi.Reviewer);
  }
}(this, function(ApiClient, ReviewReply, Reviewer) {
  'use strict';

  /**
   * The Review model module.
   * @module model/Review
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Review</code>.
   * Output only. Represents a review for a location.
   * @alias module:model/Review
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Review</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Review} obj Optional instance to populate.
   * @return {module:model/Review} The populated <code>Review</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('comment'))
        obj.comment = ApiClient.convertToType(data['comment'], 'String');
      if (data.hasOwnProperty('createTime'))
        obj.createTime = ApiClient.convertToType(data['createTime'], 'String');
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('reviewId'))
        obj.reviewId = ApiClient.convertToType(data['reviewId'], 'String');
      if (data.hasOwnProperty('reviewReply'))
        obj.reviewReply = ReviewReply.constructFromObject(data['reviewReply']);
      if (data.hasOwnProperty('reviewer'))
        obj.reviewer = Reviewer.constructFromObject(data['reviewer']);
      if (data.hasOwnProperty('starRating'))
        obj.starRating = ApiClient.convertToType(data['starRating'], 'String');
      if (data.hasOwnProperty('updateTime'))
        obj.updateTime = ApiClient.convertToType(data['updateTime'], 'String');
    }
    return obj;
  }

  /**
   * The body of the review as plain text with markups.
   * @member {String} comment
   */
  exports.prototype.comment = undefined;

  /**
   * The timestamp for when the review was written.
   * @member {String} createTime
   */
  exports.prototype.createTime = undefined;

  /**
   * The resource name. For Review it is of the form `accounts/{account_id}/locations/{location_id}/reviews/{review_id}`
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * The encrypted unique identifier.
   * @member {String} reviewId
   */
  exports.prototype.reviewId = undefined;

  /**
   * The owner/manager of this location's reply to this review.
   * @member {module:model/ReviewReply} reviewReply
   */
  exports.prototype.reviewReply = undefined;

  /**
   * The author of the review.
   * @member {module:model/Reviewer} reviewer
   */
  exports.prototype.reviewer = undefined;

  /**
   * The star rating of the review.
   * @member {module:model/Review.StarRatingEnum} starRating
   */
  exports.prototype.starRating = undefined;

  /**
   * The timestamp for when the review was last modified.
   * @member {String} updateTime
   */
  exports.prototype.updateTime = undefined;


  /**
   * Allowed values for the <code>starRating</code> property.
   * @enum {String}
   * @readonly
   */
  exports.StarRatingEnum = {
    /**
     * value: "STAR_RATING_UNSPECIFIED"
     * @const
     */
    STAR_RATING_UNSPECIFIED: "STAR_RATING_UNSPECIFIED",

    /**
     * value: "ONE"
     * @const
     */
    ONE: "ONE",

    /**
     * value: "TWO"
     * @const
     */
    TWO: "TWO",

    /**
     * value: "THREE"
     * @const
     */
    THREE: "THREE",

    /**
     * value: "FOUR"
     * @const
     */
    FOUR: "FOUR",

    /**
     * value: "FIVE"
     * @const
     */
    FIVE: "FIVE"
  };

  return exports;

}));
