/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ReviewReply = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The ReviewReply model module.
   * @module model/ReviewReply
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ReviewReply</code>.
   * Represents the location owner/manager's reply to a review.
   * @alias module:model/ReviewReply
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ReviewReply</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ReviewReply} obj Optional instance to populate.
   * @return {module:model/ReviewReply} The populated <code>ReviewReply</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('comment'))
        obj.comment = ApiClient.convertToType(data['comment'], 'String');
      if (data.hasOwnProperty('updateTime'))
        obj.updateTime = ApiClient.convertToType(data['updateTime'], 'String');
    }
    return obj;
  }

  /**
   * The body of the reply as plain text with markups. The maximum length is 4096 bytes.
   * @member {String} comment
   */
  exports.prototype.comment = undefined;

  /**
   * Output only. The timestamp for when the reply was last modified.
   * @member {String} updateTime
   */
  exports.prototype.updateTime = undefined;

  return exports;

}));
