/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Reviewer = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The Reviewer model module.
   * @module model/Reviewer
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Reviewer</code>.
   * Represents the author of the review.
   * @alias module:model/Reviewer
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Reviewer</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Reviewer} obj Optional instance to populate.
   * @return {module:model/Reviewer} The populated <code>Reviewer</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('displayName'))
        obj.displayName = ApiClient.convertToType(data['displayName'], 'String');
      if (data.hasOwnProperty('isAnonymous'))
        obj.isAnonymous = ApiClient.convertToType(data['isAnonymous'], 'Boolean');
      if (data.hasOwnProperty('profilePhotoUrl'))
        obj.profilePhotoUrl = ApiClient.convertToType(data['profilePhotoUrl'], 'String');
    }
    return obj;
  }

  /**
   * The name of the reviewer. Only populated with the reviewer's real name if `is_anonymous` is false.
   * @member {String} displayName
   */
  exports.prototype.displayName = undefined;

  /**
   * Indicates whether the reviewer has opted to remain anonymous.
   * @member {Boolean} isAnonymous
   */
  exports.prototype.isAnonymous = undefined;

  /**
   * The profile photo link of the reviewer. Only populated if `is_anonymous` is false.
   * @member {String} profilePhotoUrl
   */
  exports.prototype.profilePhotoUrl = undefined;

  return exports;

}));
