/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Chain'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Chain'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.SearchChainsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Chain);
  }
}(this, function(ApiClient, Chain) {
  'use strict';

  /**
   * The SearchChainsResponse model module.
   * @module model/SearchChainsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>SearchChainsResponse</code>.
   * Response message for Locations.SearchChains.
   * @alias module:model/SearchChainsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>SearchChainsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/SearchChainsResponse} obj Optional instance to populate.
   * @return {module:model/SearchChainsResponse} The populated <code>SearchChainsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('chains'))
        obj.chains = ApiClient.convertToType(data['chains'], [Chain]);
    }
    return obj;
  }

  /**
   * Chains that match the queried chain_display_name in SearchChainsRequest. If there are no matches, this field will be empty. Results are listed in order of relevance.
   * @member {Array.<module:model/Chain>} chains
   */
  exports.prototype.chains = undefined;

  return exports;

}));
