/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Location'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Location'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.SearchGoogleLocationsRequest = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Location);
  }
}(this, function(ApiClient, Location) {
  'use strict';

  /**
   * The SearchGoogleLocationsRequest model module.
   * @module model/SearchGoogleLocationsRequest
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>SearchGoogleLocationsRequest</code>.
   * Request message for GoogleLocations.SearchGoogleLocations.
   * @alias module:model/SearchGoogleLocationsRequest
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>SearchGoogleLocationsRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/SearchGoogleLocationsRequest} obj Optional instance to populate.
   * @return {module:model/SearchGoogleLocationsRequest} The populated <code>SearchGoogleLocationsRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('location'))
        obj.location = Location.constructFromObject(data['location']);
      if (data.hasOwnProperty('query'))
        obj.query = ApiClient.convertToType(data['query'], 'String');
      if (data.hasOwnProperty('resultCount'))
        obj.resultCount = ApiClient.convertToType(data['resultCount'], 'Number');
    }
    return obj;
  }

  /**
   * Location to search for. If provided, will find locations which match the provided location details.
   * @member {module:model/Location} location
   */
  exports.prototype.location = undefined;

  /**
   * Text query to search for. The search results from a query string will be less accurate than if providing an exact location, but can provide more inexact matches.
   * @member {String} query
   */
  exports.prototype.query = undefined;

  /**
   * The number of matches to return. The default value is 3, with a maximum of 10. Note that latency may increase if more are requested. There is no pagination.
   * @member {Number} resultCount
   */
  exports.prototype.resultCount = undefined;

  return exports;

}));
