/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/GoogleLocation'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./GoogleLocation'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.SearchGoogleLocationsResponse = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.GoogleLocation);
  }
}(this, function(ApiClient, GoogleLocation) {
  'use strict';

  /**
   * The SearchGoogleLocationsResponse model module.
   * @module model/SearchGoogleLocationsResponse
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>SearchGoogleLocationsResponse</code>.
   * Response message for GoogleLocations.SearchGoogleLocations.
   * @alias module:model/SearchGoogleLocationsResponse
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>SearchGoogleLocationsResponse</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/SearchGoogleLocationsResponse} obj Optional instance to populate.
   * @return {module:model/SearchGoogleLocationsResponse} The populated <code>SearchGoogleLocationsResponse</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('googleLocations'))
        obj.googleLocations = ApiClient.convertToType(data['googleLocations'], [GoogleLocation]);
    }
    return obj;
  }

  /**
   * A collection of GoogleLocations that are potential matches to the specified request, listed in order from most to least accuracy.
   * @member {Array.<module:model/GoogleLocation>} googleLocations
   */
  exports.prototype.googleLocations = undefined;

  return exports;

}));
