/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Item', 'model/Label'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Item'), require('./Label'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Section = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Item, root.GoogleMyBusinessApi.Label);
  }
}(this, function(ApiClient, Item, Label) {
  'use strict';

  /**
   * The Section model module.
   * @module model/Section
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Section</code>.
   * A section of the price list containing one or more items.
   * @alias module:model/Section
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Section</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Section} obj Optional instance to populate.
   * @return {module:model/Section} The populated <code>Section</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('items'))
        obj.items = ApiClient.convertToType(data['items'], [Item]);
      if (data.hasOwnProperty('labels'))
        obj.labels = ApiClient.convertToType(data['labels'], [Label]);
      if (data.hasOwnProperty('sectionId'))
        obj.sectionId = ApiClient.convertToType(data['sectionId'], 'String');
      if (data.hasOwnProperty('sectionType'))
        obj.sectionType = ApiClient.convertToType(data['sectionType'], 'String');
    }
    return obj;
  }

  /**
   * Items that are contained within this section of the price list.
   * @member {Array.<module:model/Item>} items
   */
  exports.prototype.items = undefined;

  /**
   * Required. Language-tagged labels for the section. We recommend that section names and descriptions be 140 characters or less. At least one set of labels is required.
   * @member {Array.<module:model/Label>} labels
   */
  exports.prototype.labels = undefined;

  /**
   * Required. ID for the section. Price list, section, and item IDs cannot be duplicated within this Location.
   * @member {String} sectionId
   */
  exports.prototype.sectionId = undefined;

  /**
   * Optional. Type of the current price list section. Default value is FOOD.
   * @member {module:model/Section.SectionTypeEnum} sectionType
   */
  exports.prototype.sectionType = undefined;


  /**
   * Allowed values for the <code>sectionType</code> property.
   * @enum {String}
   * @readonly
   */
  exports.SectionTypeEnum = {
    /**
     * value: "SECTION_TYPE_UNSPECIFIED"
     * @const
     */
    SECTION_TYPE_UNSPECIFIED: "SECTION_TYPE_UNSPECIFIED",

    /**
     * value: "FOOD"
     * @const
     */
    FOOD: "FOOD",

    /**
     * value: "SERVICES"
     * @const
     */
    SERVICES: "SERVICES"
  };

  return exports;

}));
