/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/Places', 'model/PointRadius'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./Places'), require('./PointRadius'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ServiceAreaBusiness = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.Places, root.GoogleMyBusinessApi.PointRadius);
  }
}(this, function(ApiClient, Places, PointRadius) {
  'use strict';

  /**
   * The ServiceAreaBusiness model module.
   * @module model/ServiceAreaBusiness
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ServiceAreaBusiness</code>.
   * Service area businesses provide their service at the customer's location (for example, a locksmith or plumber).
   * @alias module:model/ServiceAreaBusiness
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ServiceAreaBusiness</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ServiceAreaBusiness} obj Optional instance to populate.
   * @return {module:model/ServiceAreaBusiness} The populated <code>ServiceAreaBusiness</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('businessType'))
        obj.businessType = ApiClient.convertToType(data['businessType'], 'String');
      if (data.hasOwnProperty('places'))
        obj.places = Places.constructFromObject(data['places']);
      if (data.hasOwnProperty('radius'))
        obj.radius = PointRadius.constructFromObject(data['radius']);
    }
    return obj;
  }

  /**
   * Indicates the type of the service area business.
   * @member {module:model/ServiceAreaBusiness.BusinessTypeEnum} businessType
   */
  exports.prototype.businessType = undefined;

  /**
   * The area that this business serves defined through a set of places.
   * @member {module:model/Places} places
   */
  exports.prototype.places = undefined;

  /**
   * Output only. The area that this business serves centered around a point.
   * @member {module:model/PointRadius} radius
   */
  exports.prototype.radius = undefined;


  /**
   * Allowed values for the <code>businessType</code> property.
   * @enum {String}
   * @readonly
   */
  exports.BusinessTypeEnum = {
    /**
     * value: "BUSINESS_TYPE_UNSPECIFIED"
     * @const
     */
    BUSINESS_TYPE_UNSPECIFIED: "BUSINESS_TYPE_UNSPECIFIED",

    /**
     * value: "CUSTOMER_LOCATION_ONLY"
     * @const
     */
    CUSTOMER_LOCATION_ONLY: "CUSTOMER_LOCATION_ONLY",

    /**
     * value: "CUSTOMER_AND_BUSINESS_LOCATION"
     * @const
     */
    CUSTOMER_AND_BUSINESS_LOCATION: "CUSTOMER_AND_BUSINESS_LOCATION"
  };

  return exports;

}));
