/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/FreeFormServiceItem', 'model/Money', 'model/StructuredServiceItem'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./FreeFormServiceItem'), require('./Money'), require('./StructuredServiceItem'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ServiceItem = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.FreeFormServiceItem, root.GoogleMyBusinessApi.Money, root.GoogleMyBusinessApi.StructuredServiceItem);
  }
}(this, function(ApiClient, FreeFormServiceItem, Money, StructuredServiceItem) {
  'use strict';

  /**
   * The ServiceItem model module.
   * @module model/ServiceItem
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ServiceItem</code>.
   * A message that describes a single service item. It is used to describe the type of service that the merchant provides. For example, haircut can be a service.
   * @alias module:model/ServiceItem
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ServiceItem</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ServiceItem} obj Optional instance to populate.
   * @return {module:model/ServiceItem} The populated <code>ServiceItem</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('freeFormServiceItem'))
        obj.freeFormServiceItem = FreeFormServiceItem.constructFromObject(data['freeFormServiceItem']);
      if (data.hasOwnProperty('isOffered'))
        obj.isOffered = ApiClient.convertToType(data['isOffered'], 'Boolean');
      if (data.hasOwnProperty('price'))
        obj.price = Money.constructFromObject(data['price']);
      if (data.hasOwnProperty('structuredServiceItem'))
        obj.structuredServiceItem = StructuredServiceItem.constructFromObject(data['structuredServiceItem']);
    }
    return obj;
  }

  /**
   * This field will be set case of free-form services data.
   * @member {module:model/FreeFormServiceItem} freeFormServiceItem
   */
  exports.prototype.freeFormServiceItem = undefined;

  /**
   * Optional. This field decides whether or not the input service is offered by the merchant.
   * @member {Boolean} isOffered
   */
  exports.prototype.isOffered = undefined;

  /**
   * Optional. Represents the monetary price of the service item. We recommend that currency_code and units should be set when including a price.
   * @member {module:model/Money} price
   */
  exports.prototype.price = undefined;

  /**
   * This field will be set case of structured services data.
   * @member {module:model/StructuredServiceItem} structuredServiceItem
   */
  exports.prototype.structuredServiceItem = undefined;

  return exports;

}));
