/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/ServiceItem'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./ServiceItem'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ServiceList = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.ServiceItem);
  }
}(this, function(ApiClient, ServiceItem) {
  'use strict';

  /**
   * The ServiceList model module.
   * @module model/ServiceList
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ServiceList</code>.
   * A service list containing one or more service items.
   * @alias module:model/ServiceList
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ServiceList</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ServiceList} obj Optional instance to populate.
   * @return {module:model/ServiceList} The populated <code>ServiceList</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('serviceItems'))
        obj.serviceItems = ApiClient.convertToType(data['serviceItems'], [ServiceItem]);
    }
    return obj;
  }

  /**
   * Required. Google identifier for this location in the form: `accounts/{account_id}/locations/{location_id}/serviceList`
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * Service items that are contained within this service list. Duplicated service items will be removed automatically.
   * @member {Array.<module:model/ServiceItem>} serviceItems
   */
  exports.prototype.serviceItems = undefined;

  return exports;

}));
