/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.ServiceType = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The ServiceType model module.
   * @module model/ServiceType
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>ServiceType</code>.
   * A message describing a service type that the business offers.
   * @alias module:model/ServiceType
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>ServiceType</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/ServiceType} obj Optional instance to populate.
   * @return {module:model/ServiceType} The populated <code>ServiceType</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('displayName'))
        obj.displayName = ApiClient.convertToType(data['displayName'], 'String');
      if (data.hasOwnProperty('serviceTypeId'))
        obj.serviceTypeId = ApiClient.convertToType(data['serviceTypeId'], 'String');
    }
    return obj;
  }

  /**
   * @OutputOnly The human-readable display name for the service type.
   * @member {String} displayName
   */
  exports.prototype.displayName = undefined;

  /**
   * @OutputOnly. A stable ID (provided by Google) for this service type.
   * @member {String} serviceTypeId
   */
  exports.prototype.serviceTypeId = undefined;

  return exports;

}));
