/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/ModelDate'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./ModelDate'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.SpecialHourPeriod = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.ModelDate);
  }
}(this, function(ApiClient, ModelDate) {
  'use strict';

  /**
   * The SpecialHourPeriod model module.
   * @module model/SpecialHourPeriod
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>SpecialHourPeriod</code>.
   * Represents a single time period when a location's operational hours differ from its normal business hours. A special hour period must represent a range of less than 24 hours. The `open_time` and `start_date` must predate the `close_time` and `end_date`. The `close_time` and `end_date` can extend to 11:59 a.m. on the day after the specified `start_date`. For example, the following inputs are valid: start_date=2015-11-23, open_time=08:00, close_time=18:00 start_date=2015-11-23, end_date=2015-11-23, open_time=08:00, close_time=18:00 start_date=2015-11-23, end_date=2015-11-24, open_time=13:00, close_time=11:59 The following inputs are not valid: start_date=2015-11-23, open_time=13:00, close_time=11:59 start_date=2015-11-23, end_date=2015-11-24, open_time=13:00, close_time=12:00 start_date=2015-11-23, end_date=2015-11-25, open_time=08:00, close_time=18:00
   * @alias module:model/SpecialHourPeriod
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>SpecialHourPeriod</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/SpecialHourPeriod} obj Optional instance to populate.
   * @return {module:model/SpecialHourPeriod} The populated <code>SpecialHourPeriod</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('closeTime'))
        obj.closeTime = ApiClient.convertToType(data['closeTime'], 'String');
      if (data.hasOwnProperty('endDate'))
        obj.endDate = ModelDate.constructFromObject(data['endDate']);
      if (data.hasOwnProperty('isClosed'))
        obj.isClosed = ApiClient.convertToType(data['isClosed'], 'Boolean');
      if (data.hasOwnProperty('openTime'))
        obj.openTime = ApiClient.convertToType(data['openTime'], 'String');
      if (data.hasOwnProperty('startDate'))
        obj.startDate = ModelDate.constructFromObject(data['startDate']);
    }
    return obj;
  }

  /**
   * The wall time on `end_date` when a location closes, expressed in 24hr ISO 8601 extended format. (hh:mm) Valid values are 00:00-24:00, where 24:00 represents midnight at the end of the specified day field. Must be specified if `is_closed` is false.
   * @member {String} closeTime
   */
  exports.prototype.closeTime = undefined;

  /**
   * The calendar date this special hour period ends on. If `end_date` field is not set, default to the date specified in `start_date`. If set, this field must be equal to or at most 1 day after `start_date`.
   * @member {module:model/ModelDate} endDate
   */
  exports.prototype.endDate = undefined;

  /**
   * If true, `end_date`, `open_time`, and `close_time` are ignored, and the date specified in `start_date` is treated as the location being closed for the entire day.
   * @member {Boolean} isClosed
   */
  exports.prototype.isClosed = undefined;

  /**
   * The wall time on `start_date` when a location opens, expressed in 24hr ISO 8601 extended format. (hh:mm) Valid values are 00:00-24:00, where 24:00 represents midnight at the end of the specified day field. Must be specified if `is_closed` is false.
   * @member {String} openTime
   */
  exports.prototype.openTime = undefined;

  /**
   * The calendar date this special hour period starts on.
   * @member {module:model/ModelDate} startDate
   */
  exports.prototype.startDate = undefined;

  return exports;

}));
