/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/SpecialHourPeriod'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./SpecialHourPeriod'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.SpecialHours = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.SpecialHourPeriod);
  }
}(this, function(ApiClient, SpecialHourPeriod) {
  'use strict';

  /**
   * The SpecialHours model module.
   * @module model/SpecialHours
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>SpecialHours</code>.
   * Represents a set of time periods when a location's operational hours differ from its normal business hours.
   * @alias module:model/SpecialHours
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>SpecialHours</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/SpecialHours} obj Optional instance to populate.
   * @return {module:model/SpecialHours} The populated <code>SpecialHours</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('specialHourPeriods'))
        obj.specialHourPeriods = ApiClient.convertToType(data['specialHourPeriods'], [SpecialHourPeriod]);
    }
    return obj;
  }

  /**
   * A list of exceptions to the business's regular hours.
   * @member {Array.<module:model/SpecialHourPeriod>} specialHourPeriods
   */
  exports.prototype.specialHourPeriods = undefined;

  return exports;

}));
