/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.StructuredServiceItem = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The StructuredServiceItem model module.
   * @module model/StructuredServiceItem
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>StructuredServiceItem</code>.
   * Represents a structured service offered by the merchant. For eg: toilet_installation.
   * @alias module:model/StructuredServiceItem
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>StructuredServiceItem</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/StructuredServiceItem} obj Optional instance to populate.
   * @return {module:model/StructuredServiceItem} The populated <code>StructuredServiceItem</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('description'))
        obj.description = ApiClient.convertToType(data['description'], 'String');
      if (data.hasOwnProperty('serviceTypeId'))
        obj.serviceTypeId = ApiClient.convertToType(data['serviceTypeId'], 'String');
    }
    return obj;
  }

  /**
   * Optional. Description of structured service item. The character limit is 300.
   * @member {String} description
   */
  exports.prototype.description = undefined;

  /**
   * Required. The `service_type_id` field is a Google provided unique ID that can be found in `ServiceTypeMetadata`. This information is provided by BatchGetBusinessCategories rpc service.
   * @member {String} serviceTypeId
   */
  exports.prototype.serviceTypeId = undefined;

  return exports;

}));
