/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.TargetLocation = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The TargetLocation model module.
   * @module model/TargetLocation
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>TargetLocation</code>.
   * Represents a target location for a pending invitation.
   * @alias module:model/TargetLocation
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>TargetLocation</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/TargetLocation} obj Optional instance to populate.
   * @return {module:model/TargetLocation} The populated <code>TargetLocation</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('locationAddress'))
        obj.locationAddress = ApiClient.convertToType(data['locationAddress'], 'String');
      if (data.hasOwnProperty('locationName'))
        obj.locationName = ApiClient.convertToType(data['locationName'], 'String');
    }
    return obj;
  }

  /**
   * The address of the location to which the user is invited.
   * @member {String} locationAddress
   */
  exports.prototype.locationAddress = undefined;

  /**
   * The name of the location to which the user is invited.
   * @member {String} locationName
   */
  exports.prototype.locationName = undefined;

  return exports;

}));
