/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/TimeOfDay', 'model/TimeRange'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./TimeOfDay'), require('./TimeRange'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.TimeDimension = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.TimeOfDay, root.GoogleMyBusinessApi.TimeRange);
  }
}(this, function(ApiClient, TimeOfDay, TimeRange) {
  'use strict';

  /**
   * The TimeDimension model module.
   * @module model/TimeDimension
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>TimeDimension</code>.
   * The dimension for which data is divided over.
   * @alias module:model/TimeDimension
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>TimeDimension</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/TimeDimension} obj Optional instance to populate.
   * @return {module:model/TimeDimension} The populated <code>TimeDimension</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('dayOfWeek'))
        obj.dayOfWeek = ApiClient.convertToType(data['dayOfWeek'], 'String');
      if (data.hasOwnProperty('timeOfDay'))
        obj.timeOfDay = TimeOfDay.constructFromObject(data['timeOfDay']);
      if (data.hasOwnProperty('timeRange'))
        obj.timeRange = TimeRange.constructFromObject(data['timeRange']);
    }
    return obj;
  }

  /**
   * The day of the week (\"MONDAY\" to \"SUNDAY\") this value corresponds to. Set for BREAKDOWN_DAY_OF_WEEK option.
   * @member {module:model/TimeDimension.DayOfWeekEnum} dayOfWeek
   */
  exports.prototype.dayOfWeek = undefined;

  /**
   * The hour of the day (0 to 23) this value corresponds to. Set for BREAKDOWN_HOUR_OF_DAY option.
   * @member {module:model/TimeOfDay} timeOfDay
   */
  exports.prototype.timeOfDay = undefined;

  /**
   * The range of time this value covers. Set for AGGREGATED_TOTAL and AGGREGATED_DAILY options.
   * @member {module:model/TimeRange} timeRange
   */
  exports.prototype.timeRange = undefined;


  /**
   * Allowed values for the <code>dayOfWeek</code> property.
   * @enum {String}
   * @readonly
   */
  exports.DayOfWeekEnum = {
    /**
     * value: "DAY_OF_WEEK_UNSPECIFIED"
     * @const
     */
    DAY_OF_WEEK_UNSPECIFIED: "DAY_OF_WEEK_UNSPECIFIED",

    /**
     * value: "MONDAY"
     * @const
     */
    MONDAY: "MONDAY",

    /**
     * value: "TUESDAY"
     * @const
     */
    TUESDAY: "TUESDAY",

    /**
     * value: "WEDNESDAY"
     * @const
     */
    WEDNESDAY: "WEDNESDAY",

    /**
     * value: "THURSDAY"
     * @const
     */
    THURSDAY: "THURSDAY",

    /**
     * value: "FRIDAY"
     * @const
     */
    FRIDAY: "FRIDAY",

    /**
     * value: "SATURDAY"
     * @const
     */
    SATURDAY: "SATURDAY",

    /**
     * value: "SUNDAY"
     * @const
     */
    SUNDAY: "SUNDAY"
  };

  return exports;

}));
