/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/ModelDate', 'model/TimeOfDay'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./ModelDate'), require('./TimeOfDay'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.TimeInterval = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.ModelDate, root.GoogleMyBusinessApi.TimeOfDay);
  }
}(this, function(ApiClient, ModelDate, TimeOfDay) {
  'use strict';

  /**
   * The TimeInterval model module.
   * @module model/TimeInterval
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>TimeInterval</code>.
   * An interval of time, inclusive. It must contain all fields to be valid.
   * @alias module:model/TimeInterval
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>TimeInterval</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/TimeInterval} obj Optional instance to populate.
   * @return {module:model/TimeInterval} The populated <code>TimeInterval</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('endDate'))
        obj.endDate = ModelDate.constructFromObject(data['endDate']);
      if (data.hasOwnProperty('endTime'))
        obj.endTime = TimeOfDay.constructFromObject(data['endTime']);
      if (data.hasOwnProperty('startDate'))
        obj.startDate = ModelDate.constructFromObject(data['startDate']);
      if (data.hasOwnProperty('startTime'))
        obj.startTime = TimeOfDay.constructFromObject(data['startTime']);
    }
    return obj;
  }

  /**
   * The end date of this period.
   * @member {module:model/ModelDate} endDate
   */
  exports.prototype.endDate = undefined;

  /**
   * The end time of this period.
   * @member {module:model/TimeOfDay} endTime
   */
  exports.prototype.endTime = undefined;

  /**
   * The start date of this period.
   * @member {module:model/ModelDate} startDate
   */
  exports.prototype.startDate = undefined;

  /**
   * The start time of this period.
   * @member {module:model/TimeOfDay} startTime
   */
  exports.prototype.startTime = undefined;

  return exports;

}));
