/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.TimeOfDay = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The TimeOfDay model module.
   * @module model/TimeOfDay
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>TimeOfDay</code>.
   * Represents a time of day. The date and time zone are either not significant or are specified elsewhere. An API may choose to allow leap seconds. Related types are google.type.Date and `google.protobuf.Timestamp`.
   * @alias module:model/TimeOfDay
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>TimeOfDay</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/TimeOfDay} obj Optional instance to populate.
   * @return {module:model/TimeOfDay} The populated <code>TimeOfDay</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('hours'))
        obj.hours = ApiClient.convertToType(data['hours'], 'Number');
      if (data.hasOwnProperty('minutes'))
        obj.minutes = ApiClient.convertToType(data['minutes'], 'Number');
      if (data.hasOwnProperty('nanos'))
        obj.nanos = ApiClient.convertToType(data['nanos'], 'Number');
      if (data.hasOwnProperty('seconds'))
        obj.seconds = ApiClient.convertToType(data['seconds'], 'Number');
    }
    return obj;
  }

  /**
   * Hours of day in 24 hour format. Should be from 0 to 23. An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.
   * @member {Number} hours
   */
  exports.prototype.hours = undefined;

  /**
   * Minutes of hour of day. Must be from 0 to 59.
   * @member {Number} minutes
   */
  exports.prototype.minutes = undefined;

  /**
   * Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.
   * @member {Number} nanos
   */
  exports.prototype.nanos = undefined;

  /**
   * Seconds of minutes of the time. Must normally be from 0 to 59. An API may allow the value 60 if it allows leap-seconds.
   * @member {Number} seconds
   */
  exports.prototype.seconds = undefined;

  return exports;

}));
