/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.TimePeriod = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The TimePeriod model module.
   * @module model/TimePeriod
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>TimePeriod</code>.
   * Represents a span of time that the business is open, starting on the specified open day/time and closing on the specified close day/time. The closing time must occur after the opening time, for example later in the same day, or on a subsequent day.
   * @alias module:model/TimePeriod
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>TimePeriod</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/TimePeriod} obj Optional instance to populate.
   * @return {module:model/TimePeriod} The populated <code>TimePeriod</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('closeDay'))
        obj.closeDay = ApiClient.convertToType(data['closeDay'], 'String');
      if (data.hasOwnProperty('closeTime'))
        obj.closeTime = ApiClient.convertToType(data['closeTime'], 'String');
      if (data.hasOwnProperty('openDay'))
        obj.openDay = ApiClient.convertToType(data['openDay'], 'String');
      if (data.hasOwnProperty('openTime'))
        obj.openTime = ApiClient.convertToType(data['openTime'], 'String');
    }
    return obj;
  }

  /**
   * Indicates the day of the week this period ends on.
   * @member {module:model/TimePeriod.CloseDayEnum} closeDay
   */
  exports.prototype.closeDay = undefined;

  /**
   * Time in 24hr ISO 8601 extended format (hh:mm). Valid values are 00:00-24:00, where 24:00 represents midnight at the end of the specified day field.
   * @member {String} closeTime
   */
  exports.prototype.closeTime = undefined;

  /**
   * Indicates the day of the week this period starts on.
   * @member {module:model/TimePeriod.OpenDayEnum} openDay
   */
  exports.prototype.openDay = undefined;

  /**
   * Time in 24hr ISO 8601 extended format (hh:mm). Valid values are 00:00-24:00, where 24:00 represents midnight at the end of the specified day field.
   * @member {String} openTime
   */
  exports.prototype.openTime = undefined;


  /**
   * Allowed values for the <code>closeDay</code> property.
   * @enum {String}
   * @readonly
   */
  exports.CloseDayEnum = {
    /**
     * value: "DAY_OF_WEEK_UNSPECIFIED"
     * @const
     */
    DAY_OF_WEEK_UNSPECIFIED: "DAY_OF_WEEK_UNSPECIFIED",

    /**
     * value: "MONDAY"
     * @const
     */
    MONDAY: "MONDAY",

    /**
     * value: "TUESDAY"
     * @const
     */
    TUESDAY: "TUESDAY",

    /**
     * value: "WEDNESDAY"
     * @const
     */
    WEDNESDAY: "WEDNESDAY",

    /**
     * value: "THURSDAY"
     * @const
     */
    THURSDAY: "THURSDAY",

    /**
     * value: "FRIDAY"
     * @const
     */
    FRIDAY: "FRIDAY",

    /**
     * value: "SATURDAY"
     * @const
     */
    SATURDAY: "SATURDAY",

    /**
     * value: "SUNDAY"
     * @const
     */
    SUNDAY: "SUNDAY"
  };


  /**
   * Allowed values for the <code>openDay</code> property.
   * @enum {String}
   * @readonly
   */
  exports.OpenDayEnum = {
    /**
     * value: "DAY_OF_WEEK_UNSPECIFIED"
     * @const
     */
    DAY_OF_WEEK_UNSPECIFIED: "DAY_OF_WEEK_UNSPECIFIED",

    /**
     * value: "MONDAY"
     * @const
     */
    MONDAY: "MONDAY",

    /**
     * value: "TUESDAY"
     * @const
     */
    TUESDAY: "TUESDAY",

    /**
     * value: "WEDNESDAY"
     * @const
     */
    WEDNESDAY: "WEDNESDAY",

    /**
     * value: "THURSDAY"
     * @const
     */
    THURSDAY: "THURSDAY",

    /**
     * value: "FRIDAY"
     * @const
     */
    FRIDAY: "FRIDAY",

    /**
     * value: "SATURDAY"
     * @const
     */
    SATURDAY: "SATURDAY",

    /**
     * value: "SUNDAY"
     * @const
     */
    SUNDAY: "SUNDAY"
  };

  return exports;

}));
