/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.TimeRange = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The TimeRange model module.
   * @module model/TimeRange
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>TimeRange</code>.
   * A range of time. Data will be pulled over the range as a half-open inverval (that is, [start_time, end_time)).
   * @alias module:model/TimeRange
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>TimeRange</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/TimeRange} obj Optional instance to populate.
   * @return {module:model/TimeRange} The populated <code>TimeRange</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('endTime'))
        obj.endTime = ApiClient.convertToType(data['endTime'], 'String');
      if (data.hasOwnProperty('startTime'))
        obj.startTime = ApiClient.convertToType(data['startTime'], 'String');
    }
    return obj;
  }

  /**
   * Epoch timestamp for the end of the range (exclusive).
   * @member {String} endTime
   */
  exports.prototype.endTime = undefined;

  /**
   * Epoch timestamp for the start of the range (inclusive).
   * @member {String} startTime
   */
  exports.prototype.startTime = undefined;

  return exports;

}));
