/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/RegionCount'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./RegionCount'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.TopDirectionSources = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.RegionCount);
  }
}(this, function(ApiClient, RegionCount) {
  'use strict';

  /**
   * The TopDirectionSources model module.
   * @module model/TopDirectionSources
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>TopDirectionSources</code>.
   * Top regions where driving-direction requests originated from.
   * @alias module:model/TopDirectionSources
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>TopDirectionSources</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/TopDirectionSources} obj Optional instance to populate.
   * @return {module:model/TopDirectionSources} The populated <code>TopDirectionSources</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('dayCount'))
        obj.dayCount = ApiClient.convertToType(data['dayCount'], 'Number');
      if (data.hasOwnProperty('regionCounts'))
        obj.regionCounts = ApiClient.convertToType(data['regionCounts'], [RegionCount]);
    }
    return obj;
  }

  /**
   * The number of days data is aggregated over.
   * @member {Number} dayCount
   */
  exports.prototype.dayCount = undefined;

  /**
   * Regions sorted in descending order by count.
   * @member {Array.<module:model/RegionCount>} regionCounts
   */
  exports.prototype.regionCounts = undefined;

  return exports;

}));
