/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.TransferLocationRequest = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The TransferLocationRequest model module.
   * @module model/TransferLocationRequest
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>TransferLocationRequest</code>.
   * Request message for Locations.TransferLocation.
   * @alias module:model/TransferLocationRequest
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>TransferLocationRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/TransferLocationRequest} obj Optional instance to populate.
   * @return {module:model/TransferLocationRequest} The populated <code>TransferLocationRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('toAccount'))
        obj.toAccount = ApiClient.convertToType(data['toAccount'], 'String');
    }
    return obj;
  }

  /**
   * Name of the account resource to transfer the location to (for example, \"accounts/8675309\").
   * @member {String} toAccount
   */
  exports.prototype.toAccount = undefined;

  return exports;

}));
