/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.Verification = factory(root.GoogleMyBusinessApi.ApiClient);
  }
}(this, function(ApiClient) {
  'use strict';

  /**
   * The Verification model module.
   * @module model/Verification
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>Verification</code>.
   * A verification represents a verification attempt on a location.
   * @alias module:model/Verification
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>Verification</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/Verification} obj Optional instance to populate.
   * @return {module:model/Verification} The populated <code>Verification</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('createTime'))
        obj.createTime = ApiClient.convertToType(data['createTime'], 'String');
      if (data.hasOwnProperty('method'))
        obj.method = ApiClient.convertToType(data['method'], 'String');
      if (data.hasOwnProperty('name'))
        obj.name = ApiClient.convertToType(data['name'], 'String');
      if (data.hasOwnProperty('state'))
        obj.state = ApiClient.convertToType(data['state'], 'String');
    }
    return obj;
  }

  /**
   * The timestamp when the verification is requested.
   * @member {String} createTime
   */
  exports.prototype.createTime = undefined;

  /**
   * The method of the verification.
   * @member {module:model/Verification.MethodEnum} method
   */
  exports.prototype.method = undefined;

  /**
   * Resource name of the verification.
   * @member {String} name
   */
  exports.prototype.name = undefined;

  /**
   * The state of the verification.
   * @member {module:model/Verification.StateEnum} state
   */
  exports.prototype.state = undefined;


  /**
   * Allowed values for the <code>method</code> property.
   * @enum {String}
   * @readonly
   */
  exports.MethodEnum = {
    /**
     * value: "VERIFICATION_METHOD_UNSPECIFIED"
     * @const
     */
    VERIFICATION_METHOD_UNSPECIFIED: "VERIFICATION_METHOD_UNSPECIFIED",

    /**
     * value: "ADDRESS"
     * @const
     */
    ADDRESS: "ADDRESS",

    /**
     * value: "EMAIL"
     * @const
     */
    EMAIL: "EMAIL",

    /**
     * value: "PHONE_CALL"
     * @const
     */
    PHONE_CALL: "PHONE_CALL",

    /**
     * value: "SMS"
     * @const
     */
    SMS: "SMS",

    /**
     * value: "AUTO"
     * @const
     */
    AUTO: "AUTO"
  };


  /**
   * Allowed values for the <code>state</code> property.
   * @enum {String}
   * @readonly
   */
  exports.StateEnum = {
    /**
     * value: "VERIFICATION_STATE_UNSPECIFIED"
     * @const
     */
    VERIFICATION_STATE_UNSPECIFIED: "VERIFICATION_STATE_UNSPECIFIED",

    /**
     * value: "PENDING"
     * @const
     */
    PENDING: "PENDING",

    /**
     * value: "COMPLETED"
     * @const
     */
    COMPLETED: "COMPLETED",

    /**
     * value: "FAILED"
     * @const
     */
    FAILED: "FAILED"
  };

  return exports;

}));
