/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/AddressVerificationData', 'model/EmailVerificationData', 'model/PhoneVerificationData'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./AddressVerificationData'), require('./EmailVerificationData'), require('./PhoneVerificationData'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.VerificationOption = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.AddressVerificationData, root.GoogleMyBusinessApi.EmailVerificationData, root.GoogleMyBusinessApi.PhoneVerificationData);
  }
}(this, function(ApiClient, AddressVerificationData, EmailVerificationData, PhoneVerificationData) {
  'use strict';

  /**
   * The VerificationOption model module.
   * @module model/VerificationOption
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>VerificationOption</code>.
   * The verification option represents how to verify the location (indicated by verification method) and where the verification will be sent to (indicated by display data).
   * @alias module:model/VerificationOption
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>VerificationOption</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/VerificationOption} obj Optional instance to populate.
   * @return {module:model/VerificationOption} The populated <code>VerificationOption</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('addressData'))
        obj.addressData = AddressVerificationData.constructFromObject(data['addressData']);
      if (data.hasOwnProperty('emailData'))
        obj.emailData = EmailVerificationData.constructFromObject(data['emailData']);
      if (data.hasOwnProperty('phoneData'))
        obj.phoneData = PhoneVerificationData.constructFromObject(data['phoneData']);
      if (data.hasOwnProperty('verificationMethod'))
        obj.verificationMethod = ApiClient.convertToType(data['verificationMethod'], 'String');
    }
    return obj;
  }

  /**
   * Set only if the method is MAIL.
   * @member {module:model/AddressVerificationData} addressData
   */
  exports.prototype.addressData = undefined;

  /**
   * Set only if the method is EMAIL.
   * @member {module:model/EmailVerificationData} emailData
   */
  exports.prototype.emailData = undefined;

  /**
   * Set only if the method is PHONE_CALL or SMS.
   * @member {module:model/PhoneVerificationData} phoneData
   */
  exports.prototype.phoneData = undefined;

  /**
   * Method to verify the location.
   * @member {module:model/VerificationOption.VerificationMethodEnum} verificationMethod
   */
  exports.prototype.verificationMethod = undefined;


  /**
   * Allowed values for the <code>verificationMethod</code> property.
   * @enum {String}
   * @readonly
   */
  exports.VerificationMethodEnum = {
    /**
     * value: "VERIFICATION_METHOD_UNSPECIFIED"
     * @const
     */
    VERIFICATION_METHOD_UNSPECIFIED: "VERIFICATION_METHOD_UNSPECIFIED",

    /**
     * value: "ADDRESS"
     * @const
     */
    ADDRESS: "ADDRESS",

    /**
     * value: "EMAIL"
     * @const
     */
    EMAIL: "EMAIL",

    /**
     * value: "PHONE_CALL"
     * @const
     */
    PHONE_CALL: "PHONE_CALL",

    /**
     * value: "SMS"
     * @const
     */
    SMS: "SMS",

    /**
     * value: "AUTO"
     * @const
     */
    AUTO: "AUTO"
  };

  return exports;

}));
