/*
 * Google My Business API
 * The Google My Business API provides an interface for managing business location information on Google.
 *
 * OpenAPI spec version: 1.0.0
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.4.17
 *
 * Do not edit the class manually.
 *
 */

(function(root, factory) {
  if (typeof define === 'function' && define.amd) {
    // AMD. Register as an anonymous module.
    define(['ApiClient', 'model/AddressInput', 'model/EmailInput', 'model/PhoneInput', 'model/ServiceBusinessContext'], factory);
  } else if (typeof module === 'object' && module.exports) {
    // CommonJS-like environments that support module.exports, like Node.
    module.exports = factory(require('../ApiClient'), require('./AddressInput'), require('./EmailInput'), require('./PhoneInput'), require('./ServiceBusinessContext'));
  } else {
    // Browser globals (root is window)
    if (!root.GoogleMyBusinessApi) {
      root.GoogleMyBusinessApi = {};
    }
    root.GoogleMyBusinessApi.VerifyLocationRequest = factory(root.GoogleMyBusinessApi.ApiClient, root.GoogleMyBusinessApi.AddressInput, root.GoogleMyBusinessApi.EmailInput, root.GoogleMyBusinessApi.PhoneInput, root.GoogleMyBusinessApi.ServiceBusinessContext);
  }
}(this, function(ApiClient, AddressInput, EmailInput, PhoneInput, ServiceBusinessContext) {
  'use strict';

  /**
   * The VerifyLocationRequest model module.
   * @module model/VerifyLocationRequest
   * @version 1.0.0
   */

  /**
   * Constructs a new <code>VerifyLocationRequest</code>.
   * Request message for Verifications.VerifyLocation.
   * @alias module:model/VerifyLocationRequest
   * @class
   */
  var exports = function() {
  };

  /**
   * Constructs a <code>VerifyLocationRequest</code> from a plain JavaScript object, optionally creating a new instance.
   * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
   * @param {Object} data The plain JavaScript object bearing properties of interest.
   * @param {module:model/VerifyLocationRequest} obj Optional instance to populate.
   * @return {module:model/VerifyLocationRequest} The populated <code>VerifyLocationRequest</code> instance.
   */
  exports.constructFromObject = function(data, obj) {
    if (data) {
      obj = obj || new exports();
      if (data.hasOwnProperty('addressInput'))
        obj.addressInput = AddressInput.constructFromObject(data['addressInput']);
      if (data.hasOwnProperty('context'))
        obj.context = ServiceBusinessContext.constructFromObject(data['context']);
      if (data.hasOwnProperty('emailInput'))
        obj.emailInput = EmailInput.constructFromObject(data['emailInput']);
      if (data.hasOwnProperty('languageCode'))
        obj.languageCode = ApiClient.convertToType(data['languageCode'], 'String');
      if (data.hasOwnProperty('method'))
        obj.method = ApiClient.convertToType(data['method'], 'String');
      if (data.hasOwnProperty('phoneInput'))
        obj.phoneInput = PhoneInput.constructFromObject(data['phoneInput']);
    }
    return obj;
  }

  /**
   * The input for ADDRESS method.
   * @member {module:model/AddressInput} addressInput
   */
  exports.prototype.addressInput = undefined;

  /**
   * Extra context information for the verification of service businesses. Required for the locations whose business type is CUSTOMER_LOCATION_ONLY. For ADDRESS verification, the address will be used to send out postcard. For other methods, it should be the same as the one that is passed to FetchVerificationOptions. INVALID_ARGUMENT will be thrown if it is set for other types of business locations.
   * @member {module:model/ServiceBusinessContext} context
   */
  exports.prototype.context = undefined;

  /**
   * The input for EMAIL method.
   * @member {module:model/EmailInput} emailInput
   */
  exports.prototype.emailInput = undefined;

  /**
   * The BCP 47 language code representing the language that is to be used for the verification process.
   * @member {String} languageCode
   */
  exports.prototype.languageCode = undefined;

  /**
   * Verification method.
   * @member {module:model/VerifyLocationRequest.MethodEnum} method
   */
  exports.prototype.method = undefined;

  /**
   * The input for PHONE_CALL/SMS method
   * @member {module:model/PhoneInput} phoneInput
   */
  exports.prototype.phoneInput = undefined;


  /**
   * Allowed values for the <code>method</code> property.
   * @enum {String}
   * @readonly
   */
  exports.MethodEnum = {
    /**
     * value: "VERIFICATION_METHOD_UNSPECIFIED"
     * @const
     */
    VERIFICATION_METHOD_UNSPECIFIED: "VERIFICATION_METHOD_UNSPECIFIED",

    /**
     * value: "ADDRESS"
     * @const
     */
    ADDRESS: "ADDRESS",

    /**
     * value: "EMAIL"
     * @const
     */
    EMAIL: "EMAIL",

    /**
     * value: "PHONE_CALL"
     * @const
     */
    PHONE_CALL: "PHONE_CALL",

    /**
     * value: "SMS"
     * @const
     */
    SMS: "SMS",

    /**
     * value: "AUTO"
     * @const
     */
    AUTO: "AUTO"
  };

  return exports;

}));
